package 
{
    import CompoCountDown.*;
    import flash.display.*;
    import flash.events.*;
    import flash.utils.*;

    public class CompoCountDown extends Sprite
    {
        private var timerTour_mc:TimerTour_mc;
        private var timeText:int;
        private var min:int = 0;
        private var sec:int = 0;
        private var timer:Timer;

        public function CompoCountDown()
        {
            this.timerTour_mc = new TimerTour_mc();
            this.addChild(this.timerTour_mc);
            this.timerTour_mc.min1.visible = false;
            this.timerTour_mc.min2.visible = false;
            this.timerTour_mc.min3.visible = false;
            this.timer = new Timer(1000);
            this.timer.addEventListener(TimerEvent.TIMER, this.onTimer, false, 0, true);
            return;
        }// end function

        public function set TimeText(param1:int) : void
        {
            this.timerTour_mc.min1.visible = false;
            this.timerTour_mc.min2.visible = false;
            this.timerTour_mc.min3.visible = false;
            this.timer.stop();
            this.timer.reset();
            this.timeText = param1;
            this.processTime();
            this.timer.start();
            return;
        }// end function

        private function onTimer(event:TimerEvent) : void
        {
            this.timeText = this.timeText - 1000;
            this.processTime();
            return;
        }// end function

        private function processTime() : void
        {
            var _loc_1:int = 0;
            var _loc_2:int = 0;
            this.min = this.timeText / (1000 * 60);
            this.sec = this.timeText / 1000 % 60;
            if (this.min > 9)
            {
                this.timerTour_mc.min3.visible = true;
            }
            if (this.min > 99)
            {
                this.timerTour_mc.min2.visible = true;
            }
            if (this.min > 999)
            {
                this.timerTour_mc.min1.visible = true;
            }
            if (this.min < 100)
            {
                this.timerTour_mc.min3.gotoAndStop((int(this.min / 10) + 1));
                this.timerTour_mc.min4.gotoAndStop(this.min % 10 + 1);
            }
            else if (this.min > 100 && this.min < 1000)
            {
                _loc_1 = int(this.min / 10);
                this.timerTour_mc.min2.gotoAndStop((int(_loc_1 / 10) + 1));
                this.timerTour_mc.min3.gotoAndStop((int(_loc_1 % 10) + 1));
                this.timerTour_mc.min4.gotoAndStop(this.min % 10 + 1);
            }
            else if (this.min > 1000 && this.min < 10000)
            {
                _loc_1 = int(this.min / 10);
                _loc_2 = _loc_1 / 10;
                this.timerTour_mc.min1.gotoAndStop((int(_loc_2 / 10) + 1));
                this.timerTour_mc.min2.gotoAndStop((int(_loc_2 % 10) + 1));
                this.timerTour_mc.min3.gotoAndStop((int(_loc_1 % 10) + 1));
                this.timerTour_mc.min4.gotoAndStop(this.min % 10 + 1);
            }
            this.timerTour_mc.sec1.gotoAndStop((int(this.sec / 10) + 1));
            this.timerTour_mc.sec2.gotoAndStop((int(this.sec % 10) + 1));
            return;
        }// end function

    }
}
