package 
{
    import AssetsCompoUserInfoPlay.*;
    import CompoUserInfoPlay.*;
    import MGameEvents.*;
    import MGameUtilities.*;
    import __AS3__.vec.*;
    import fl.containers.*;
    import flash.display.*;
    import flash.events.*;
    import flash.media.*;
    import flash.text.*;
    import flash.utils.*;
    import mgame.loader.*;
    import mgame.manager.*;
    import net.mgame.keys.*;

    public class CompoUserInfoPlay extends MGSprite
    {
        private var gameLoader:GameLoader;
        public var main_movie:UserInGame_mc = null;
        private var nickName:String = "";
        private var coin:Number = 0;
        private var avatar:String = "";
        private var level:int = 0;
        private var userType:int = 0;
        private var timeCount:int = 0;
        private var toolTipChatPosition:int = 1;
        private var timerEmotion:Timer = null;
        private var currentPhase:int = 0;
        private var timerItemBar:Timer = null;
        private var isFirstLoad:Boolean = false;
        private var itemPath:String = "";
        private var itemCreatedTime:String = "";
        private var phase:int = 0;
        private var timeEachPhase:int = 0;
        private var loader:MovieClip = null;
        private var itemBar_mc:MovieClip = null;
        private var isSubMovie:int = 0;
        private var isWaiter:Boolean = false;
        private var direction:int = 0;
        private var currentWaiterState:String = "walk";
        private var itemBarPosition:int = 1;
        private var popUpDirection:int = 1;
        public var isAlwayHighest:Boolean = false;
        public var clock_mc:CompoClock;
        public var emotionTime:int = 10000;
        public var largeEmotionPath:String = "";
        private var indexStartFromMe:int = 1;
        private var _currency:String = "G";
        public var tooltipChat_mc:CompoTooltipChat;
        public var lockChat:Boolean = false;
        private var _emotionMC:EmotionMC;
        private var noPlayer:int = 1;
        private var sex:String = "";
        private var elo:String = "";
        private var isOwner:Boolean = false;
        private var userId:int = 0;
        private var bangName:String = "";
        private var levelBang:String = "";
        private var isBangChu:int = 0;
        public var PositionSeat:int = -1;
        public var isMe:Boolean = false;
        private var _iconShopItemBarPosition:int = 1;
        private var _iconExpandCollapsePosition:int = 1;
        private var itemBetPos:int = 1;
        private var itemBetPath:String = "";
        private var isAssWinnerTournament:Boolean = false;
        private var isUserWinnerTournament:Boolean = false;
        private var myInfoUserType:int = 0;
        private var timerDisplayScore:Timer;
        private var coinToAdd:Number = 0;
        private var maxAddCoin:Number = 0;
        public static const LEFT:int = 1;
        public static const RIGHT:int = 2;

        public function CompoUserInfoPlay()
        {
            this.gameLoader = GameLoader.getInstance();
            this.timerDisplayScore = new Timer(100, 5);
            this.main_movie = new UserInGame_mc();
            this.addChild(this.main_movie);
            this.clock_mc = new CompoClock();
            this.clock_mc.mouseChildren = false;
            this.clock_mc.mouseEnabled = false;
            this.main_movie.addChildAt(this.clock_mc, (this.main_movie.getChildIndex(this.main_movie.resource) + 1));
            this.clock_mc.y = 4;
            this.clock_mc.name = "clock_mc";
            this.clock_mc.width = this.main_movie.resource.bgUser_mc.width + 10;
            this.clock_mc.height = this.main_movie.resource.bgUser_mc.height + 60;
            this.clock_mc.scaleY = 1.05;
            this.tooltipChat_mc = new CompoTooltipChat();
            this.tooltipChat_mc.x = 0;
            this.tooltipChat_mc.y = 10;
            this.addChild(this.tooltipChat_mc);
            this.main_movie.emotionLoader.visible = false;
            this.main_movie.mask_mc.buttonMode = true;
            addWeakEventListener(this.main_movie.mask_mc, MouseEvent.CLICK, this.onMouseClick);
            addWeakEventListener(this.main_movie.collapse_expand, MouseEvent.CLICK, this.onCollapseExpandClick);
            this.main_movie.resource.owner_mc.visible = false;
            this.main_movie.alpha = 0.5;
            this.main_movie.isCollapse_Expand = UserInGame_mc.COLLAPSING;
            this.main_movie.Collapse_Expand();
            return;
        }// end function

        public function set BoardOwnerIconPosition(param1:int) : void
        {
            if (param1 == LEFT)
            {
                this.main_movie.resource.owner_mc.x = 16;
            }
            else
            {
                this.main_movie.resource.owner_mc.x = 161;
            }
            return;
        }// end function

        public function set IndexStartFromMe(param1:int) : void
        {
            this.indexStartFromMe = param1;
            return;
        }// end function

        public function get IndexStartFromMe() : int
        {
            return this.indexStartFromMe;
        }// end function

        public function IsLockChat() : Boolean
        {
            return this.lockChat;
        }// end function

        public function set Sex(param1:String) : void
        {
            this.sex = param1;
            var _loc_2:* = param1.length == 3 ? (16776960) : (16711935);
            if (this.gameLoader.global.isVongGiauMat())
            {
                _loc_2 = 16776960;
            }
            this.main_movie.txtNickName.textColor = _loc_2;
            return;
        }// end function

        public function get Sex() : String
        {
            return this.sex;
        }// end function

        public function set Elo(param1:String) : void
        {
            this.elo = param1;
            this.main_movie.txtElo.text = param1;
            return;
        }// end function

        public function setColorElo(param1:uint) : void
        {
            this.main_movie.txtElo.textColor = param1;
            return;
        }// end function

        public function get Elo() : String
        {
            return this.elo;
        }// end function

        public function set IsOwner(param1:Boolean) : void
        {
            this.isOwner = param1;
            if (param1)
            {
                this.main_movie.resource.owner_mc.visible = true;
                this.main_movie.resource.owner_mc.ownerIconLeft.gotoAndPlay(1);
            }
            else
            {
                this.main_movie.resource.owner_mc.ownerIconLeft.gotoAndStop(1);
                this.main_movie.resource.owner_mc.visible = false;
            }
            return;
        }// end function

        public function get IsOwner() : Boolean
        {
            return this.isOwner;
        }// end function

        public function set UserId(param1:int) : void
        {
            this.userId = param1;
            return;
        }// end function

        public function get UserId() : int
        {
            return this.userId;
        }// end function

        public function set BangName(param1:String) : void
        {
            this.bangName = param1;
            return;
        }// end function

        public function get BangName() : String
        {
            return this.bangName;
        }// end function

        public function set LevelBang(param1:String) : void
        {
            this.levelBang = param1;
            return;
        }// end function

        public function get LevelBang() : String
        {
            return this.levelBang;
        }// end function

        public function set IsBangChu(param1:int) : void
        {
            this.isBangChu = param1;
            return;
        }// end function

        public function get IsBangChu() : int
        {
            return this.isBangChu;
        }// end function

        public function set IsMe(param1:Boolean) : void
        {
            this.isMe = param1;
            if (this.main_movie)
            {
                this.main_movie.collapse_expand.visible = param1;
                if (this.isMe)
                {
                    this.main_movie.isCollapse_Expand = UserInGame_mc.EXPANDING;
                    this.main_movie.Collapse_Expand();
                }
            }
            return;
        }// end function

        public function get IsMe() : Boolean
        {
            return this.isMe;
        }// end function

        public function get IconShopAssetsPosition() : int
        {
            return this._iconShopItemBarPosition;
        }// end function

        public function set IconShopAssetsPosition(param1:int) : void
        {
            this._iconShopItemBarPosition = param1;
            return;
        }// end function

        public function get IconExpandCollapsePosition() : int
        {
            return this._iconExpandCollapsePosition;
        }// end function

        public function set IconExpandCollapsePosition(param1:int) : void
        {
            this._iconExpandCollapsePosition = param1;
            if (param1 == LEFT)
            {
                this.main_movie.collapse_expand.x = -18;
            }
            else
            {
                this.main_movie.collapse_expand.x = 170;
            }
            return;
        }// end function

        public function get ItemBetPos() : int
        {
            return this.itemBetPos;
        }// end function

        public function set ItemBetPos(param1:int) : void
        {
            this.itemBetPos = param1;
            if (param1 == LEFT)
            {
                this.main_movie.itemBetLoader.x = -19;
            }
            else
            {
                this.main_movie.itemBetLoader.x = 76;
            }
            return;
        }// end function

        public function set ItemBetPath(param1:String) : void
        {
            if (param1.length == 0)
            {
                this.main_movie.itemBetLoader.source = null;
            }
            else if (this.itemBetPath != param1)
            {
                this.main_movie.itemBetLoader.source = param1;
                this.itemBetPath = param1;
            }
            return;
        }// end function

        public function set IsUserWinnerTournament(param1:Boolean) : void
        {
            this.isUserWinnerTournament = param1;
            if (this.isUserWinnerTournament == true)
            {
                this.showEffectWinnerTournament(false, true);
            }
            return;
        }// end function

        public function set IsAssWinnerTournament(param1:Boolean) : void
        {
            this.isAssWinnerTournament = param1;
            if (this.isAssWinnerTournament == true)
            {
                this.showEffectWinnerTournament(true, false);
            }
            return;
        }// end function

        private function onCollapseExpandClick(event:MouseEvent) : void
        {
            this.main_movie.Collapse_Expand();
            dispatchEvent(new Event("COLLAPSE_EXPAND", true));
            return;
        }// end function

        public function get isCollapse() : Boolean
        {
            return this.main_movie.isCollapse_Expand == UserInGame_mc.COLLAPSING;
        }// end function

        public function Collapse() : void
        {
            if (this.main_movie.isCollapse_Expand != UserInGame_mc.COLLAPSING)
            {
                this.main_movie.Collapse_Expand();
            }
            return;
        }// end function

        public function Expand() : void
        {
            if (this.main_movie.isCollapse_Expand != UserInGame_mc.EXPANDING)
            {
                this.main_movie.Collapse_Expand();
            }
            return;
        }// end function

        private function onMaskEmoticonClick(event:MouseEvent) : void
        {
            if (this.IsMe)
            {
                dispatchEvent(new EmotionListEvent(EmotionListEvent.LOAD, {UserID:this.userId}, true));
            }
            return;
        }// end function

        final private function onShowShopItemBar(event:MouseEvent) : void
        {
            dispatchEvent(new IconUserFullEvent(IconUserFullEvent.VIEW_SHOP_ASSET, {UserId:this.UserId}, true));
            return;
        }// end function

        public function StartClock(param1:int, param2:Boolean = true) : void
        {
            this.main_movie.setChildIndex(this.clock_mc, (this.main_movie.numChildren - 1));
            this.clock_mc.TimeCount = param1;
            this.clock_mc.Start(param2);
            return;
        }// end function

        public function StopClock() : void
        {
            this.clock_mc.Stop();
            return;
        }// end function

        public function get PopUpDirection() : int
        {
            return this.popUpDirection;
        }// end function

        private function onMouseClick(event:MouseEvent) : void
        {
            this.dispatchEvent(new IconUserFullEvent(IconUserFullEvent.USER_INFO, {UserId:this.UserId, Position:this.PositionSeat}, true));
            return;
        }// end function

        public function set NickName(param1:String) : void
        {
            this.nickName = param1;
            if (this.gameLoader.global.isVongGiauMat())
            {
                this.nickName = this.gameLoader.global.defaultNickName;
            }
            if (this.nickName.length > 12)
            {
                this.main_movie.txtNickName.text = this.nickName.substr(0, 12) + "..";
            }
            else
            {
                this.main_movie.txtNickName.text = this.nickName;
            }
            return;
        }// end function

        public function set TurnOnLevelStar(param1:Boolean) : void
        {
            this.main_movie.starPanel_mc.visible = param1;
            return;
        }// end function

        public function get NickName() : String
        {
            return this.nickName;
        }// end function

        public function set Coin(param1:Number) : void
        {
            this.coin = param1;
            this.main_movie.txtCoin.htmlText = "" + Format.MobileCoinFormat(this.coin);
            if (this.gameLoader.global.isVongGiauMat())
            {
                if (this.gameLoader.global.gameID == GlobalConstants.XiToGameId || this.gameLoader.global.gameID == GlobalConstants.LiengId || this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.MyInfo.userId == this.userId)
                {
                    this.main_movie.txtCoin.visible = true;
                }
                else
                {
                    this.main_movie.txtCoin.visible = false;
                }
            }
            return;
        }// end function

        public function get Coin() : Number
        {
            return this.coin;
        }// end function

        public function set Avatar(param1:String) : void
        {
            if (this.gameLoader.global.isVongGiauMat())
            {
                param1 = this.gameLoader.global.avatarPath + this.gameLoader.global.defaultAvatar;
            }
            if (param1 != this.avatar)
            {
                this.avatar = param1;
                this.ShowAvatar(this.avatar);
            }
            return;
        }// end function

        private function ShowAvatar(param1:String) : void
        {
            this.ClearOldAvatar();
            this.main_movie.avatarLoader.visible = true;
            if (getExtension(param1) == "swf" && this.gameLoader["isIOS"] == true)
            {
                param1 = param1.substr(0, param1.lastIndexOf("/")) + "/guestavatar.gif";
            }
            ImageLoader.getInstance().loadImagePath(param1, {container:this.main_movie.avatarLoader, autoPlay:true, width:121, height:121, onError:this.onLoadError});
            return;
        }// end function

        private function onLoadError(param1:String, param2:Object) : void
        {
            ImageLoader.getInstance().removeCache(param1);
            var _loc_3:* = this.avatar.substr(0, this.avatar.lastIndexOf("/")) + "/guestavatar.gif";
            ImageLoader.getInstance().loadImagePath(_loc_3, {container:this.main_movie.avatarLoader, autoPlay:true, width:121, height:121});
            return;
        }// end function

        private function ClearOldAvatar() : void
        {
            var _loc_1:DisplayObject = null;
            while (this.main_movie.avatarLoader.numChildren > 0)
            {
                
                _loc_1 = this.main_movie.avatarLoader.getChildAt(0);
                this.main_movie.avatarLoader.removeChild(_loc_1);
                _loc_1 = null;
            }
            this.main_movie.avatarLoader.unload();
            return;
        }// end function

        public function get Avatar() : String
        {
            return this.avatar;
        }// end function

        public function set UserType(param1:int) : void
        {
            this.userType = param1;
            return;
        }// end function

        public function get UserType() : int
        {
            return this.userType;
        }// end function

        public function set Level(param1:int) : void
        {
            this.level = param1;
            this.SetStar();
            return;
        }// end function

        public function get Level() : int
        {
            return this.level;
        }// end function

        private function SetStar() : void
        {
            if (this.gameLoader.global.isVongGiauMat())
            {
                this.main_movie.starPanel_mc.visible = false;
                return;
            }
            var _loc_1:int = 1;
            var _loc_2:* = this.level;
            var _loc_3:int = 5;
            var _loc_4:* = this.level % _loc_3 == 0 ? (_loc_3) : (this.level % _loc_3);
            if (_loc_2 > 50)
            {
                _loc_1 = 10;
                _loc_2 = 0;
                _loc_4 = 5;
            }
            while (_loc_2 > _loc_3)
            {
                
                _loc_2 = _loc_2 - _loc_3;
                _loc_1++;
            }
            var _loc_5:int = 1;
            while (_loc_5 <= _loc_4)
            {
                
                this.main_movie.starPanel_mc["Star" + _loc_5].gotoAndStop(_loc_1 * 2 - 1);
                _loc_5++;
            }
            _loc_5 = _loc_4 + 1;
            while (_loc_5 <= _loc_3)
            {
                
                this.main_movie.starPanel_mc["Star" + _loc_5].gotoAndStop(_loc_1 * 2);
                _loc_5++;
            }
            return;
        }// end function

        public function set TooltipChatPosition(param1:int) : void
        {
            this.toolTipChatPosition = param1;
            this.tooltipChat_mc.Orient = param1;
            switch(param1)
            {
                case CompoTooltipChat.BOTTOM_RIGHT:
                {
                    this.tooltipChat_mc.x = 0;
                    this.tooltipChat_mc.y = 20;
                    break;
                }
                case CompoTooltipChat.BOTTOM_LEFT:
                {
                    this.tooltipChat_mc.x = 0;
                    this.tooltipChat_mc.y = 20;
                    break;
                }
                case CompoTooltipChat.TOP_RIGHT:
                {
                    this.tooltipChat_mc.x = 0;
                    this.tooltipChat_mc.y = 15;
                    break;
                }
                case CompoTooltipChat.TOP_LEFT:
                {
                    this.tooltipChat_mc.x = 0;
                    this.tooltipChat_mc.y = 15;
                    break;
                }
                default:
                {
                    break;
                }
            }
            if (this.isMe)
            {
                this.tooltipChat_mc.y = this.main_movie.resource.bgUser_mc.y;
            }
            return;
        }// end function

        public function get TooltipChatPosition() : int
        {
            return this.toolTipChatPosition;
        }// end function

        public function AppendChat(param1:String, param2:int = 1500) : void
        {
            this.setChildIndex(this.tooltipChat_mc, (this.numChildren - 1));
            this.tooltipChat_mc.AppendText(param1, param2);
            if (this.parent && this.isAlwayHighest)
            {
                this.parent.setChildIndex(this, (this.parent.numChildren - 1));
            }
            return;
        }// end function

        public function ShowFunnyEmotion(param1:String) : void
        {
            if (this.timerEmotion != null)
            {
                this.timerEmotion.stop();
                this.timerEmotion.reset();
                this.timerEmotion.delay = this.emotionTime;
                this.timerEmotion.repeatCount = 1;
            }
            else
            {
                this.timerEmotion = new Timer(this.emotionTime, 1);
                this.timerEmotion.addEventListener(TimerEvent.TIMER_COMPLETE, this.onTimerEmotionComplete);
            }
            this.timerEmotion.start();
            this.emotionMC.preName = param1.replace(".swf", "") + "_";
            this.emotionMC.start();
            if (!hasWeakEventListener(this.emotionMC, MouseEvent.CLICK))
            {
                addWeakEventListener(this.emotionMC, MouseEvent.CLICK, this.onMouseClick);
            }
            this.main_movie.avatarLoader.visible = false;
            this.main_movie.setChildIndex(this.emotionMC, this.main_movie.getChildIndex(this.clock_mc));
            return;
        }// end function

        private function onTimerEmotionComplete(event:TimerEvent) : void
        {
            if (hasWeakEventListener(this.emotionMC, MouseEvent.CLICK))
            {
                removeWeakEventListener(this.emotionMC, MouseEvent.CLICK, this.onMouseClick);
            }
            if (this.main_movie.isCollapse_Expand == UserInGame_mc.EXPANDING)
            {
                this.main_movie.avatarLoader.visible = true;
            }
            if (this.isMe == false)
            {
                this.main_movie.avatarLoader.visible = true;
            }
            this.emotionMC.stop();
            this.emotionMC.clear();
            return;
        }// end function

        private function ClearEmotion(param1:UILoader) : void
        {
            var _loc_5:Object = null;
            var _loc_2:* = new Vector.<Object>;
            var _loc_3:int = 0;
            while (_loc_3 < param1.numChildren)
            {
                
                _loc_5 = param1.getChildAt(_loc_3);
                _loc_2.push(_loc_5);
                _loc_3++;
            }
            var _loc_4:int = 0;
            while (_loc_4 < _loc_2.length)
            {
                
                _loc_2[_loc_4].soundTransform = new SoundTransform(0);
                param1.removeChild(_loc_2[_loc_4] as DisplayObject);
                _loc_4++;
            }
            return;
        }// end function

        public function addAssets(param1:String) : void
        {
            if (this.timerItemBar != null)
            {
                if (this.timerItemBar.running == true)
                {
                    this.timerItemBar.stop();
                }
            }
            this.main_movie.itemBarLoader.source = param1;
            return;
        }// end function

        public function get NoPlayer() : int
        {
            return this.noPlayer;
        }// end function

        public function set NoPlayer(param1:int) : void
        {
            this.noPlayer = param1;
            this.clock_mc.playerNo = param1;
            if (this.noPlayer > 0)
            {
                this.main_movie.alpha = 1;
            }
            else
            {
                this.main_movie.alpha = 0.5;
            }
            return;
        }// end function

        final public function get MyInfoUserType() : int
        {
            return this.myInfoUserType;
        }// end function

        final public function set MyInfoUserType(param1:int) : void
        {
            this.myInfoUserType = param1;
            return;
        }// end function

        final private function onClick(event:MouseEvent) : void
        {
            this.sendDeleteUser(this.nickName);
            return;
        }// end function

        final private function sendDeleteUser(param1:String) : void
        {
            this.dispatchEvent(new KickUserEvent(KickUserEvent.KICK, {NickName:this.nickName, UserId:this.UserId}, true));
            return;
        }// end function

        public function set currency(param1:String) : void
        {
            this._currency = param1;
            this.Coin = this.coin;
            return;
        }// end function

        final public function showEffectCoin(param1:Number, param2:String = "") : void
        {
            if (param1 >= 0)
            {
                this.main_movie.thang_mc.visible = true;
                this.main_movie.thang_mc.effect.coin.defaultTextFormat = new TextFormat(this.main_movie.thang_mc.effect.coin.defaultTextFormat.font, 30, 16776960);
                this.main_movie.thang_mc.effect.coin.text = "+" + Format.Coin(param1.toString()) + param2;
                this.main_movie.thang_mc.gotoAndPlay(1);
                this.main_movie.setChildIndex(this.main_movie.thang_mc, (this.main_movie.numChildren - 1));
            }
            else
            {
                this.main_movie.thua_mc.visible = true;
                this.main_movie.thua_mc.effect.coin.defaultTextFormat = new TextFormat(this.main_movie.thua_mc.effect.coin.defaultTextFormat.font, 30, 13421772);
                this.main_movie.thua_mc.effect.coin.text = Format.Coin(param1.toString()) + param2;
                this.main_movie.thua_mc.gotoAndPlay(1);
                this.main_movie.setChildIndex(this.main_movie.thua_mc, (this.main_movie.numChildren - 1));
            }
            return;
        }// end function

        final public function updateCoinWithEffect(param1:Number, param2:Number = 0) : void
        {
            if (this.timerDisplayScore.running)
            {
                return;
            }
            this.coinToAdd = param1;
            this.maxAddCoin = param2;
            this.timerDisplayScore.addEventListener(TimerEvent.TIMER, this.onTimerDisplayCoin);
            this.timerDisplayScore.reset();
            this.timerDisplayScore.start();
            return;
        }// end function

        private function onTimerDisplayCoin(event:TimerEvent) : void
        {
            var _loc_2:* = this.coinToAdd / 5;
            var _loc_3:Number = 0;
            if (_loc_2 > 0)
            {
                if (this.maxAddCoin == 0)
                {
                    this.Coin = this.Coin + _loc_2;
                }
                else if (this.Coin < this.maxAddCoin)
                {
                    _loc_3 = this.Coin + _loc_2;
                    if (_loc_3 > this.maxAddCoin)
                    {
                        this.Coin = this.maxAddCoin;
                        this.timerDisplayScore.stop();
                        this.timerDisplayScore.reset();
                        return;
                    }
                    this.Coin = this.Coin + _loc_2;
                }
            }
            return;
        }// end function

        public function HideClock() : void
        {
            this.clock_mc.visible = false;
            return;
        }// end function

        public function ShowClock() : void
        {
            this.clock_mc.visible = true;
            return;
        }// end function

        public function setUpdateTimerClockFunction(param1:Function) : void
        {
            this.clock_mc.callBackFunction = param1;
            return;
        }// end function

        public function addItemBar(param1:String, param2:String, param3:Boolean = false, param4:String = "") : void
        {
            return;
        }// end function

        public function set ItemBarPosition(param1:int) : void
        {
            return;
        }// end function

        public function set PopUpDirection(param1:int) : void
        {
            this.popUpDirection = param1;
            return;
        }// end function

        public function EnableIconAsset(param1:Boolean) : void
        {
            return;
        }// end function

        public function EnableIconInviteFriend(param1:Boolean) : void
        {
            return;
        }// end function

        public function EnableIconStandUp(param1:Boolean) : void
        {
            return;
        }// end function

        public function EnableIconCastMoney(param1:Boolean) : void
        {
            return;
        }// end function

        public function EnableIconLockChat(param1:Boolean) : void
        {
            return;
        }// end function

        public function EnableIconBangHoi(param1:Boolean) : void
        {
            return;
        }// end function

        public function EnableIconUserInfo(param1:Boolean) : void
        {
            return;
        }// end function

        public function EnableIconBoardBlackList(param1:Boolean) : void
        {
            return;
        }// end function

        private function showEffectWinnerTournament(param1:Boolean, param2:Boolean) : void
        {
            return;
        }// end function

        public function set TurnOnIconShopAsset(param1:Boolean) : void
        {
            return;
        }// end function

        public function get emotionMC() : EmotionMC
        {
            if (this._emotionMC == null)
            {
                this._emotionMC = new EmotionMC();
                this.main_movie.addChild(this._emotionMC);
                this._emotionMC.x = 8;
                this._emotionMC.y = 36;
            }
            return this._emotionMC;
        }// end function

        public function changeStatus(param1:Boolean) : void
        {
            return;
        }// end function

        override public function dispose() : void
        {
            super.dispose();
            this.gameLoader = null;
            this.main_movie = null;
            this.timerItemBar = null;
            this.loader = null;
            this.itemBar_mc = null;
            this.clock_mc = null;
            this.tooltipChat_mc = null;
            return;
        }// end function

        public static function getExtension(param1:String) : String
        {
            var _loc_2:* = param1.substring((param1.lastIndexOf(".") + 1), param1.length);
            return _loc_2.toLowerCase();
        }// end function

    }
}
