package jackpot
{
    import flash.display.*;
    import flash.events.*;
    import flash.text.*;
    import mgame.manager.*;
    import net.mgame.*;
    import net.mgame.jackpot.*;

    public class CompoHistoryJackpot extends MGSprite
    {
        private var lichSuCuoc_mc:LichSuCuoc_mc;
        private var hisJacpotMC:HisJackpotMC;
        public var functionActiveJackpot:Function;
        public var preLoader:Object;
        private var widthAfterScaleX:Number = 1;
        private var heightAfterScaleY:Number = 1;
        private var headerAfterScale:Number = 80;
        private var bg:Bitmap;
        private var btnClose:ButtonClose_Orgrange;
        private var title_txt:TextField;
        public var isIOS:Boolean = false;
        private var btnJoin:JoinJackpot;
        private var btnLeave:LeaveJackpot;
        private var isActiveJackPot:Boolean = false;
        public var playSoundClick:Function;
        private var listJackpotMC:ListJackpotMC;
        private var btnViewMore:ViewMoreMC;
        private var btnViewMoreType:ViewMoreTypeMC;
        private var listJackpotContainer:ListJackpotContainer;
        public static var gameId:int;

        public function CompoHistoryJackpot() : void
        {
            addEventListener(Event.ADDED_TO_STAGE, this.init);
            return;
        }// end function

        private function init(event:Event) : void
        {
            removeEventListener(Event.ADDED_TO_STAGE, this.init);
            this.widthAfterScaleX = stage.fullScreenWidth + (1 - this.preLoader.appScaleSize) * this.preLoader.appRealWidth;
            this.heightAfterScaleY = stage.fullScreenHeight / this.scaleY;
            this.headerAfterScale = 110 * (this.heightAfterScaleY / 720);
            this.bg = new Bitmap(this.preLoader.backgroundInCompoBMD);
            this.bg.width = this.widthAfterScaleX;
            this.bg.height = this.heightAfterScaleY;
            this.addChildAt(this.bg, 0);
            this.btnClose = new ButtonClose_Orgrange();
            this.btnClose.visible = true;
            this.btnClose.buttonMode = true;
            this.btnClose.mouseChildren = false;
            this.btnClose.x = 1280 - 110;
            this.btnClose.y = this.headerAfterScale - 90 >> 1;
            this.btnClose.addEventListener(MouseEvent.CLICK, this.onClose);
            this.addChild(this.btnClose);
            this.drawTitlePopUp();
            this.btnJoin = new JoinJackpot();
            this.btnJoin.x = this.bg.width - this.btnJoin.width >> 1;
            this.btnJoin.y = this.bg.height - this.btnJoin.height - 10;
            this.btnJoin.addEventListener(MouseEvent.CLICK, this.onActiveJackpot);
            addChild(this.btnJoin);
            this.btnLeave = new LeaveJackpot();
            this.btnLeave.x = this.bg.width - this.btnLeave.width >> 1;
            this.btnLeave.y = this.bg.height - this.btnLeave.height - 10;
            this.btnLeave.addEventListener(MouseEvent.CLICK, this.onLeaveJackpot);
            addChild(this.btnLeave);
            this.btnJoin.visible = false;
            this.btnLeave.visible = false;
            this.hisJacpotMC = new HisJackpotMC();
            this.hisJacpotMC.y = this.headerAfterScale + 10;
            this.hisJacpotMC.height = 500 * (this.heightAfterScaleY / 720);
            addChild(this.hisJacpotMC);
            this.hisJacpotMC.visible = false;
            this.lichSuCuoc_mc = new LichSuCuoc_mc(this);
            this.lichSuCuoc_mc.x = 11;
            this.lichSuCuoc_mc.y = 50;
            this.hisJacpotMC.addChild(this.lichSuCuoc_mc);
            this.lichSuCuoc_mc.visible = false;
            this.listJackpotMC = new ListJackpotMC();
            this.listJackpotMC.y = this.headerAfterScale + 10;
            this.listJackpotMC.height = 500 * (this.heightAfterScaleY / 720);
            addChild(this.listJackpotMC);
            this.listJackpotContainer = new ListJackpotContainer(this, this.heightAfterScaleY, null);
            this.listJackpotContainer.x = 11;
            this.listJackpotContainer.y = 0;
            this.listJackpotMC.addChild(this.listJackpotContainer);
            this.btnViewMore = new ViewMoreMC();
            this.btnViewMore.x = this.bg.width - this.btnViewMore.width - 5;
            this.btnViewMore.y = this.bg.height - this.btnViewMore.height - 10;
            addChild(this.btnViewMore);
            this.btnViewMore.addEventListener(MouseEvent.CLICK, this.onViewMore);
            this.btnViewMoreType = new ViewMoreTypeMC();
            this.btnViewMoreType.x = this.bg.width - this.btnViewMoreType.width - 10;
            this.btnViewMoreType.y = this.bg.height - this.btnViewMoreType.height - 10;
            addChild(this.btnViewMoreType);
            this.btnViewMoreType.visible = false;
            this.btnViewMoreType.addEventListener(MouseEvent.CLICK, this.onViewMoreType);
            return;
        }// end function

        private function onViewMoreType(event:MouseEvent) : void
        {
            this.playSoundClick();
            this.btnViewMore.visible = true;
            this.listJackpotMC.visible = true;
            this.lichSuCuoc_mc.visible = false;
            this.hisJacpotMC.visible = false;
            this.btnViewMoreType.visible = false;
            this.btnJoin.visible = false;
            this.btnLeave.visible = false;
            this.title_txt.text = "CC LO?I JACKPOT";
            return;
        }// end function

        private function onViewMore(event:MouseEvent) : void
        {
            this.playSoundClick();
            this.btnViewMore.visible = false;
            this.listJackpotMC.visible = false;
            this.lichSuCuoc_mc.visible = true;
            this.hisJacpotMC.visible = true;
            this.btnViewMoreType.visible = true;
            this.btnJoin.visible = false;
            this.btnLeave.visible = false;
            this.title_txt.text = "TH?NG JACKPOT";
            return;
        }// end function

        private function onLeaveJackpot(event:MouseEvent) : void
        {
            this.playSoundClick();
            if (this.functionActiveJackpot != null)
            {
                this.functionActiveJackpot(false);
            }
            return;
        }// end function

        private function onActiveJackpot(event:MouseEvent) : void
        {
            this.playSoundClick();
            if (this.functionActiveJackpot != null)
            {
                this.functionActiveJackpot(true);
            }
            return;
        }// end function

        public function setStatusActiveJackpot(param1:Boolean) : void
        {
            this.isActiveJackPot = param1;
            if (this.btnJoin)
            {
                this.btnJoin.visible = !param1;
            }
            if (this.btnLeave)
            {
                this.btnLeave.visible = param1;
            }
            return;
        }// end function

        public function setTypeListJackpot(param1:Array) : void
        {
            this.listJackpotContainer.data = param1;
            this.listJackpotContainer.initListJackPot();
            return;
        }// end function

        private function drawTitlePopUp() : void
        {
            var _loc_1:* = new TextFormat("Arial", 55, 16777215, true);
            _loc_1.align = TextFormatAlign.CENTER;
            this.title_txt = new TextField();
            this.title_txt.name = "title";
            this.title_txt.selectable = false;
            this.title_txt.defaultTextFormat = _loc_1;
            this.title_txt.width = 630;
            this.title_txt.height = 85;
            this.title_txt.text = "CC LO?I JACKPOT";
            this.title_txt.mouseEnabled = false;
            this.title_txt.mouseWheelEnabled = false;
            this.title_txt.y = this.headerAfterScale - this.title_txt.height >> 1;
            this.title_txt.x = this.bg.width - this.title_txt.width >> 1;
            this.title_txt.visible = true;
            this.addChild(this.title_txt);
            return;
        }// end function

        private function onMouseOut(event:MouseEvent) : void
        {
            this.stopDrag();
            return;
        }// end function

        final public function show(param1:Array, param2:int, param3:int = -1) : void
        {
            this.visible = true;
            CompoHistoryJackpot.gameId = param2;
            this.lichSuCuoc_mc.show(param1, param3);
            this.btnViewMore.visible = true;
            this.btnViewMoreType.visible = false;
            this.listJackpotMC.visible = true;
            this.lichSuCuoc_mc.visible = false;
            this.hisJacpotMC.visible = false;
            this.btnJoin.visible = false;
            this.btnLeave.visible = false;
            this.title_txt.text = "CC LO?I JACKPOT";
            return;
        }// end function

        final public function hide() : void
        {
            this.visible = false;
            this.btnViewMore.visible = false;
            this.btnViewMoreType.visible = false;
            return;
        }// end function

        private function onClose(event:MouseEvent) : void
        {
            this.playSoundClick();
            this.visible = false;
            return;
        }// end function

        public function formatCoin(param1:String, param2:String = ".") : String
        {
            var _loc_3:String = "";
            var _loc_4:int = -1;
            if (param1 == null)
            {
                return "";
            }
            var _loc_5:* = param1.length;
            var _loc_6:int = 0;
            while (_loc_6 < _loc_5)
            {
                
                _loc_4++;
                if (_loc_4 == 3)
                {
                    _loc_4 = 0;
                    if (int(param1.charAt(_loc_5 - (_loc_6 + 1))).toString() != "NaN" && param1.charAt(_loc_5 - (_loc_6 + 1)) != "-")
                    {
                        _loc_3 = _loc_3 + (param2 + param1.charAt(_loc_5 - (_loc_6 + 1)));
                    }
                    else
                    {
                        _loc_3 = _loc_3 + param1.charAt(_loc_5 - (_loc_6 + 1));
                    }
                }
                else
                {
                    _loc_3 = _loc_3 + param1.charAt(_loc_5 - (_loc_6 + 1));
                }
                _loc_6++;
            }
            var _loc_7:String = "";
            var _loc_8:* = _loc_3.length;
            var _loc_9:int = 0;
            while (_loc_9 < _loc_8)
            {
                
                _loc_7 = _loc_7 + _loc_3.charAt(_loc_8 - (_loc_9 + 1));
                _loc_9++;
            }
            return _loc_7;
        }// end function

    }
}
