package net.mgame.components
{
    import MGameEvents.*;
    import MGameUtilities.*;
    import __AS3__.vec.*;
    import flash.display.*;
    import flash.events.*;
    import net.mGame.controllers.*;

    public class CompoPUBInGame extends Sprite
    {
        private var bg:bGPUB_resource;
        private var itemContainer:Sprite;
        private var scroll:IOSScrollArea;
        public var callBackViewProfile:Function;
        public var preLoader:Object;
        public var TimeOutInit:Number = 0;
        public var BetCoin:Number = 0;
        public var Position:Number = -1;
        public var playSoundClick:Function;
        private var listHadCallMakeFriend:Vector.<int>;

        public function CompoPUBInGame()
        {
            this.listHadCallMakeFriend = new Vector.<int>;
            this.bg = new bGPUB_resource();
            this.itemContainer = new Sprite();
            this.itemContainer.graphics.beginFill(1, 0);
            this.itemContainer.graphics.drawRect(0, 0, 1260, 592);
            this.itemContainer.graphics.endFill();
            this.addChild(this.bg);
            this.addChild(this.itemContainer);
            this.scroll = new IOSScrollArea(1260, 592, false);
            this.addChild(this.scroll);
            var _loc_1:Number = 8.6;
            this.scroll.x = 8.6;
            this.itemContainer.x = _loc_1;
            var _loc_1:int = 116;
            this.scroll.y = 116;
            this.itemContainer.y = _loc_1;
            this.visible = false;
            this.scroll.Initialize(IOSScrollArea.VERTICAL, this.itemContainer);
            addEventListener(Event.ADDED_TO_STAGE, this.init);
            return;
        }// end function

        private function init(event:Event) : void
        {
            removeEventListener(Event.ADDED_TO_STAGE, this.init);
            var _loc_2:* = stage.fullScreenWidth + (1 - this.preLoader.appScaleSize) * this.preLoader.appRealWidth;
            var _loc_3:* = stage.fullScreenHeight / this.scaleY;
            return;
        }// end function

        public function Show(param1:String, param2:String) : void
        {
            var _loc_5:ItemUserPUB = null;
            var _loc_6:Array = null;
            var _loc_10:UserData = null;
            this.itemContainer.y = 116;
            if (this.bg.btn_close.hasEventListener(MouseEvent.CLICK) == false)
            {
                this.bg.btn_close.addEventListener(MouseEvent.CLICK, this.onClickClose);
            }
            this.addChild(this.itemContainer);
            var _loc_3:* = param1.split("@!!!@");
            var _loc_4:int = 0;
            var _loc_7:int = 0;
            var _loc_8:* = _loc_3.length;
            var _loc_9:* = new Vector.<UserData>;
            _loc_7 = 1;
            while (_loc_7 < _loc_8)
            {
                
                if (_loc_3[_loc_7] != "")
                {
                    _loc_6 = _loc_3[_loc_7].split(",");
                    _loc_10 = new UserData();
                    _loc_10.userId = Number(_loc_6[0]);
                    _loc_10.nickName = _loc_6[1];
                    _loc_10.coin = "G " + Format.Coin(_loc_6[3]);
                    if (param2.indexOf("," + _loc_10.userId + ",") > -1 || this.listHadCallMakeFriend.indexOf(_loc_10.userId) > -1)
                    {
                        _loc_10.isFriend = true;
                    }
                    else
                    {
                        _loc_10.isFriend = false;
                    }
                    _loc_9.push(_loc_10);
                }
                _loc_7++;
            }
            _loc_9.sort(this.compareName);
            _loc_8 = _loc_9.length;
            _loc_7 = 0;
            while (_loc_7 < _loc_8)
            {
                
                _loc_10 = _loc_9[_loc_7];
                if (_loc_4 >= (this.itemContainer.numChildren - 1))
                {
                    _loc_5 = new ItemUserPUB(this.DispatchSelected, this.DispatchMakeFriend, this.callBackViewProfile);
                    this.itemContainer.addChild(_loc_5);
                }
                else
                {
                    _loc_5 = this.itemContainer.getChildAt((_loc_4 + 1)) as ItemUserPUB;
                }
                _loc_5.y = _loc_4 * 120;
                _loc_5.Init(_loc_10.userId, _loc_10.nickName, _loc_10.coin, _loc_10.isFriend);
                _loc_4++;
                _loc_7++;
            }
            this.visible = true;
            return;
        }// end function

        public function Hide() : void
        {
            var _loc_2:ItemUserPUB = null;
            this.visible = false;
            this.bg.btn_close.removeEventListener(MouseEvent.CLICK, this.onClickClose);
            var _loc_1:* = this.itemContainer.numChildren;
            this.removeChild(this.itemContainer);
            var _loc_3:int = 0;
            while (_loc_3 < _loc_1)
            {
                
                _loc_2 = this.itemContainer.getChildAt(_loc_3) as ItemUserPUB;
                _loc_2.release();
                _loc_3++;
            }
            return;
        }// end function

        public function onClickClose(event:MouseEvent) : void
        {
            this.playSoundClick();
            if (event != null)
            {
                this.Hide();
            }
            return;
        }// end function

        public function showBtnMoiChoi(param1:String) : void
        {
            var _loc_2:int = 0;
            var _loc_3:ItemUserPUB = null;
            var _loc_4:int = 0;
            if (this.visible == true)
            {
                _loc_2 = this.itemContainer.numChildren;
                _loc_4 = 0;
                while (_loc_4 < _loc_2)
                {
                    
                    _loc_3 = this.itemContainer.getChildAt(_loc_4) as ItemUserPUB;
                    if (_loc_3 != null)
                    {
                        if (_loc_3.nickName == param1)
                        {
                            _loc_3.showMoiChoiButton();
                        }
                    }
                    _loc_4++;
                }
            }
            return;
        }// end function

        private function DispatchSelected(param1:Number, param2:String) : void
        {
            this.dispatchEvent(new MenuInviteEvent(MenuInviteEvent.INVITE, {UserId:param1, NickNames:param2, NickName:"", TimeOutInit:this.TimeOutInit, BetCoin:this.BetCoin, Position:this.Position}, true));
            this.onClickClose(null);
            return;
        }// end function

        private function DispatchMakeFriend(param1:Number, param2:String) : void
        {
            this.dispatchEvent(new MakeFriendEvent(MakeFriendEvent.MAKE_FRIEND, {UserId:param1, NickName:param2}, true));
            this.onClickClose(null);
            this.listHadCallMakeFriend.push(param1);
            return;
        }// end function

        private function compareName(param1:UserData, param2:UserData) : int
        {
            if (param1.nickName > param2.nickName)
            {
                return 1;
            }
            return -1;
        }// end function

    }
}
