package net.mgame.components
{
    import flash.display.*;
    import flash.events.*;
    import flash.utils.*;

    public class ItemUserPUB extends Sprite
    {
        private var resource:itemUser_resource;
        private var userId:Number;
        public var nickName:String;
        private var callBackFunction:Function;
        private var callBackMakeFriend:Function;
        private var callBackViewProfile:Function;
        private var downTime:uint;

        public function ItemUserPUB(param1:Function, param2:Function, param3:Function)
        {
            this.resource = new itemUser_resource();
            this.addChild(this.resource);
            this.callBackFunction = param1;
            this.callBackMakeFriend = param2;
            this.callBackViewProfile = param3;
            return;
        }// end function

        public function Init(param1:Number, param2:String, param3:String, param4:Boolean) : void
        {
            this.userId = param1;
            this.nickName = param2;
            this.resource.txt_Name.text = param2;
            this.resource.txt_Coin.text = param3;
            if (this.resource.btn_dongy.hasEventListener(MouseEvent.CLICK) == false)
            {
                this.resource.btn_dongy.addEventListener(MouseEvent.CLICK, this.onClickItem);
            }
            if (this.resource.btn_ketban.hasEventListener(MouseEvent.CLICK) == false)
            {
                this.resource.btn_ketban.addEventListener(MouseEvent.CLICK, this.onClickMakeFriend);
            }
            if (this.resource.btnMask.hasEventListener(MouseEvent.MOUSE_DOWN) == false)
            {
                this.resource.btnMask.addEventListener(MouseEvent.MOUSE_DOWN, this.onDown);
            }
            if (this.resource.btnMask.hasEventListener(MouseEvent.MOUSE_UP) == false)
            {
                this.resource.btnMask.addEventListener(MouseEvent.MOUSE_UP, this.onClickViewProfile);
            }
            this.visible = true;
            this.resource.btn_ketban.visible = !param4;
            this.showMoiChoiButton();
            return;
        }// end function

        private function onDown(event:MouseEvent) : void
        {
            this.downTime = getTimer();
            return;
        }// end function

        private function onClickViewProfile(event:MouseEvent) : void
        {
            if (getTimer() - this.downTime < 151)
            {
                this.callBackViewProfile(this.userId);
            }
            this.downTime = 0;
            return;
        }// end function

        private function onClickItem(event:MouseEvent) : void
        {
            this.resource.btn_dongy.visible = false;
            if (this.callBackFunction != null)
            {
                this.callBackFunction(this.userId, this.nickName);
            }
            return;
        }// end function

        private function onClickMakeFriend(event:MouseEvent) : void
        {
            this.resource.btn_ketban.visible = false;
            if (this.callBackMakeFriend != null)
            {
                this.callBackMakeFriend(this.userId, this.nickName);
            }
            return;
        }// end function

        public function showMoiChoiButton() : void
        {
            this.resource.btn_dongy.visible = true;
            return;
        }// end function

        public function release() : void
        {
            this.resource.btn_dongy.removeEventListener(MouseEvent.CLICK, this.onClickItem);
            this.resource.btn_ketban.removeEventListener(MouseEvent.CLICK, this.onClickMakeFriend);
            this.resource.btnMask.removeEventListener(MouseEvent.MOUSE_DOWN, this.onDown);
            this.resource.btnMask.removeEventListener(MouseEvent.MOUSE_UP, this.onClickViewProfile);
            this.visible = false;
            this.userId = -1;
            this.resource.txt_Name.text = "";
            this.resource.txt_Coin.text = "";
            this.y = 0;
            return;
        }// end function

    }
}
