package net.mgame.controllers.features
{
    import MGameUtilities.*;
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;

    public class BuyAssetsHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function BuyAssetsHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = int(param1[JSONKeys.STATUS]);
            var _loc_3:* = param1[JSONKeys.ASSETS_NAME];
            var _loc_4:* = param1[JSONKeys.PRICE];
            var _loc_5:* = param1[JSONKeys.IMAGE];
            var _loc_6:* = param1[JSONKeys.ASSET_TYPE];
            switch(_loc_2)
            {
                case 0:
                {
                    this.gameLoader.globalComponents.compoNotify.Show("Giao d?ch hi?n t?i kh");
                    break;
                }
                case 1:
                {
                    this.gameLoader.globalComponents.compoNotify.Show("B?n d mua &lt;" + _loc_3 + "&gt; thnh c" + Format.Coin(_loc_4) + " " + this.gameLoader.global.currency + ".");
                    break;
                }
                case 2:
                {
                    this.gameLoader.globalComponents.compoNotify.Show("B?n kh" + this.gameLoader.global.currency + " d? mua &lt;" + _loc_3 + "&gt;, vui l" + this.gameLoader.global.currency + " d? mua du?c ti s?n.");
                    break;
                }
                case 3:
                {
                    this.gameLoader.globalComponents.compoNotify.Show("B?n d c" + _loc_3 + "&gt; ny r?i.");
                    break;
                }
                default:
                {
                    break;
                }
            }
            return;
        }// end function

    }
}
