package net.mgame.controllers.features
{
    import MGameUtilities.*;
    import flash.events.*;
    import net.mgame.controllers.features.*;
    import net.mgame.defaultcomponents.*;
    import net.mgame.keys.*;
    import net.mgame.utils.*;

    public class ItemBarHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;
        private var BuyItemInfo:Object;

        public function ItemBarHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            this.BuyItemInfo = {};
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            this.gameLoader.global.menuData = param1[JSONKeys.ITEM_BAR_MENU];
            this.onShowItemBar(param1[JSONKeys.USER_ID]);
            return;
        }// end function

        final private function onShowItemBar(param1:Number) : void
        {
            var _loc_2:* = this.gameLoader.globalComponents.compoMenuMyInfo;
            _loc_2.marketMC.MenuHandler = this.onSelectMenuInShopItemBar;
            _loc_2.marketMC.AssetsIconPath = this.gameLoader.global.itemBarPath;
            _loc_2.marketMC.MarketItemHandle = this.onSelectItemInShopItemBar;
            _loc_2.marketMC.MenuHandler(5);
            return;
        }// end function

        final private function onSelectMenuInShopItemBar(param1:int) : void
        {
            this.gameLoader.controller.sendGetSpecificItemBar(param1);
            return;
        }// end function

        final private function onSelectItemInShopItemBar(param1:MarketItem) : void
        {
            var _loc_9:String = null;
            var _loc_2:* = Number(param1.Price);
            var _loc_3:* = Format.Coin(_loc_2.toString());
            var _loc_4:* = int(param1.ItemID);
            var _loc_5:* = String(param1.ItemName);
            var _loc_6:* = this.gameLoader.global.getBetCondition();
            var _loc_7:Number = 0;
            if (this.gameLoader.global.MyInfo.joinedRoom.IsGame())
            {
                _loc_7 = this.gameLoader.global.getRoomBetCoin() * _loc_6;
            }
            if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
            {
                if (this.gameLoader.global.MyInfo.coin < _loc_2)
                {
                    this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.cannotBuyItemBarMessage, Format.Coin(_loc_2.toString())));
                    return;
                }
            }
            else if (this.gameLoader.global.MyInfo.coin <= _loc_2 + _loc_7)
            {
                this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.cannotBuyItemBarMessage, Format.Coin((_loc_2 + _loc_7).toString())));
                return;
            }
            var _loc_8:* = this.gameLoader.globalComponents.compoMenuMyInfo;
            if (this.gameLoader.isGame() && this.gameLoader.global.MyInfo.isPlayer == true || this.gameLoader.isLobby())
            {
                _loc_9 = "";
                if (this.gameLoader.global.MyInfo.userId != _loc_8.UserId)
                {
                }
                else
                {
                    this.BuyItemInfo = new Object();
                    this.BuyItemInfo[JSONKeys.KIND] = JSONKeys.BUY_ITEM_BAR;
                    this.BuyItemInfo[JSONKeys.ITEM_ID] = _loc_4;
                    this.BuyItemInfo[JSONKeys.IMAGE_PATH] = param1.ImagePath;
                    this.BuyItemInfo[JSONKeys.USER_ID] = _loc_8.UserId;
                    this.BuyItemInfo[JSONKeys.PRICE] = _loc_2;
                    this.BuyItemInfo[JSONKeys.PHASE] = param1.Phase;
                    this.BuyItemInfo[JSONKeys.TIME_EACH_PHASE] = param1.TimeEachPhase;
                    this.BuyItemInfo[JSONKeys.IS_SUB_MOVIE] = param1.IsSubMovie;
                    this.BuyItemInfo[JSONKeys.DIRECTION] = param1.Direction;
                    this.BuyItemInfo[JSONKeys.ITEM_NAME] = _loc_5;
                    _loc_9 = StringUtils.formatString(this.gameLoader.global.buyItemBarWithPriceMessage, _loc_5, _loc_3 + this.gameLoader.global.currency);
                    this.gameLoader.globalComponents.compoNotify.ShowWithArgreeAndNoAgree(_loc_9, this.buyItemYes, null);
                }
            }
            return;
        }// end function

        final private function onHideGiveItem(event:MouseEvent) : void
        {
            return;
        }// end function

        final private function onGiveItemPopUp(event:MouseEvent) : void
        {
            return;
        }// end function

        final private function buyItemYes() : void
        {
            var _loc_1:* = this.gameLoader.globalComponents.compoMenuMyInfo;
            _loc_1.visible = false;
            _loc_1 = null;
            if (this.BuyItemInfo != null)
            {
                this.gameLoader.controller.sendBuyItem(this.BuyItemInfo);
            }
            return;
        }// end function

    }
}
