package net.mgame.controllers.features
{
    import net.mgame.controllers.features.*;

    public class PersonalAssetsHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function PersonalAssetsHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            return;
        }// end function

        final private function SendUserUseAssets(param1:String) : void
        {
            this.gameLoader.controller.sendUserUseAssets(param1);
            return;
        }// end function

        final public function SendGetPersonalAssetsList() : void
        {
            this.gameLoader.controller.SendGetPersonalAssets(this.gameLoader.global.MyInfo.userId);
            return;
        }// end function

        final public function SendGetAssetsList() : void
        {
            this.gameLoader.controller.SendGetAssetsList();
            return;
        }// end function

        final private function ShowShopAsset(param1:Number) : void
        {
            if (this.gameLoader.global.MyInfo.isPlayer)
            {
                this.gameLoader.controller.sendGetItemBarAllCategory(param1);
            }
            else
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.cannotGiveItemBarViewerMessage);
            }
            return;
        }// end function

    }
}
