package net.mgame.controllers.features
{
    import ICompoLuat.*;
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;

    public class UpdateBetCoinAndTimeOutHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function UpdateBetCoinAndTimeOutHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = param1[JSONKeys.BET_COIN];
            var _loc_3:* = param1[JSONKeys.TIME_OUT];
            var _loc_4:* = param1[JSONKeys.RULES];
            var _loc_5:* = param1[JSONKeys.ROOM_ID];
            var _loc_6:* = param1[JSONKeys.IS_SOLO];
            var _loc_7:* = param1[JSONKeys.IS_GOPGA];
            if (this.gameLoader.isGame())
            {
                this.gameLoader.globalComponents.compoSetting.BetCoin = _loc_2;
                this.gameLoader.globalComponents.compoSetting.BetTime = _loc_3;
                if (this.gameLoader.globalComponents.compoSetting.compoLuatGame)
                {
                    this.gameLoader.globalComponents.compoSetting.isSolo = _loc_6;
                    this.gameLoader.gameScreen.handleUnknownObject(JSONKeys.IS_SOLO, new Object());
                }
                this.gameLoader.globalComponents.compoSetting.isGopGa = _loc_7;
                this.gameLoader.lobbyScreen.listBoard.updateGopGa(_loc_5.toString(), _loc_7);
            }
            else
            {
                if (this.gameLoader.global.gameID != GlobalConstants.TaiXiuId)
                {
                    this.gameLoader.lobbyScreen.updateBetCoin(_loc_5.toString(), _loc_2);
                }
                if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.gameID == GlobalConstants.TienlenMNGameId || this.gameLoader.global.gameID == GlobalConstants.TienlenMNGame41Id || this.gameLoader.global.gameID == GlobalConstants.DanhChanBetaId)
                {
                    this.gameLoader.lobbyScreen.updateRule(_loc_5.toString(), _loc_4);
                }
                if (this.gameLoader.global.gameID == GlobalConstants.XiToGameId)
                {
                    this.gameLoader.lobbyScreen.updateRule(_loc_5.toString(), _loc_4);
                }
                if (this.gameLoader.globalComponents.compoBETDialog.compoLuatGame)
                {
                    this.gameLoader.lobbyScreen.updateBoardData(_loc_5.toString());
                    this.gameLoader.globalComponents.compoBETDialog.compoLuatGame.isSolo = _loc_6;
                }
            }
            return;
        }// end function

    }
}
