package net.mgame.controllers.features.tournament
{
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;

    public class TournamentInfoHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function TournamentInfoHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = param1[JSONKeys.REMAIN_TIME];
            this.gameLoader.global.tourId = param1[JSONKeys.TOUR_ID];
            this.gameLoader.global.betTime = param1[JSONKeys.TIME_OUT];
            this.gameLoader.global.betCoin = param1[JSONKeys.BET_COIN];
            this.gameLoader.global.rules = param1[JSONKeys.RULES];
            this.gameLoader.global.isCanChat = param1[JSONKeys.IS_CAN_CHAT];
            if (_loc_2 < 0)
            {
                _loc_2 = 0;
            }
            var _loc_3:* = this.gameLoader.globalComponents.compoCountDown;
            _loc_3.TimeText = _loc_2;
            if (this.gameLoader.isLobby())
            {
                _loc_3.x = this.gameLoader.getScaleHorizontal(400);
                _loc_3.y = this.gameLoader.getScaleHorizontal(300);
                _loc_3.scaleX = 3.3 * this.gameLoader.appScaleSize;
                _loc_3.scaleY = 3.3 * this.gameLoader.appScaleSize;
            }
            else
            {
                _loc_3.x = this.gameLoader.getScaleHorizontal(710);
                _loc_3.y = this.gameLoader.getScaleVertical(8);
                _loc_3.scaleX = 1.3 * this.gameLoader.appScaleSize;
                _loc_3.scaleY = 1.3 * this.gameLoader.appScaleSize;
            }
            _loc_3.visible = true;
            return;
        }// end function

    }
}
