package net.mgame.defaultcomponents
{
    import MGameEvents.*;
    import MGameUtilities.*;
    import __AS3__.vec.*;
    import com.greensock.events.*;
    import com.greensock.loading.*;
    import fl.containers.*;
    import flash.display.*;
    import flash.events.*;
    import flash.geom.*;

    public class CompoMenuMyInfo extends Sprite
    {
        private var userId:int = 0;
        private var nickName:String = "";
        private var bang:String = "";
        private var categoryUser:String = "";
        private var userType:int = 0;
        private var coinUser:Number = 0;
        private var level:Number = 1;
        private var avatarURL:String = "";
        private var isBangChuME:int = 0;
        private var bChuName:String = "";
        public var Position:int = -1;
        private var isBangChu:int = 0;
        private var currency:String = "G";
        private var exp:String = "";
        private var vipPoint:String = "";
        private var timePlayed:String = "";
        public var nextLevelExpRequire:String = "";
        private var gender:String = "";
        private var NAM:String = "1";
        private var NU:String = "0";
        private var loaderAvatar:UILoader;
        private var _pubID:Number;
        public var _isRoomOwner:Boolean = false;
        private var _isMe:Boolean = false;
        public var isFriend:Boolean = false;
        private var _isLockChat:Boolean = false;
        private var strCoin:String = "";
        public var hideBangBtn:Boolean = false;
        public var playSoundClick:Function;
        private var _background:PanelBackground;
        private var _thongTinMC:ThongTinMC;
        private var _sharePropetiesMC:SharePropetiesMc;
        private var _emoticonMC:EmoticonMC;
        private var _marketMC:MarketMC;
        private var isLoadedEmotion:Boolean = false;
        public static const SHOW_EMOTICON:String = "showEmoticon";
        public static const SHOW_MY_INFO:String = "showMyInfo";
        public static const SHOW_MARKET:String = "showMarket";
        public static const TAB_EMOTION:int = 1;
        public static const TAB_SIEUTHI:int = 2;
        public static const TAB_THONGTIN:int = 3;

        public function CompoMenuMyInfo() : void
        {
            if (stage)
            {
                this.init();
            }
            else
            {
                addEventListener(Event.ADDED_TO_STAGE, this.init);
            }
            return;
        }// end function

        private function init(event:Event = null) : void
        {
            removeEventListener(Event.ADDED_TO_STAGE, this.init);
            this._background = new PanelBackground();
            this._background.x = 0;
            this._background.y = 0;
            addChildAt(this._background, 0);
            this._background.gotoAndStop(1);
            this.configUI();
            return;
        }// end function

        private function get thongTinMC() : ThongTinMC
        {
            if (this._thongTinMC == null)
            {
                this._thongTinMC = new ThongTinMC();
                this._thongTinMC.gotoAndStop(1);
                this.addChild(this._thongTinMC);
                this._thongTinMC.panelMyInfo.CoinTxt.selectable = false;
                this._thongTinMC.panelMyInfo.level_text.selectable = false;
                this._thongTinMC.panelMyInfo.GioiTinhTxt.selectable = false;
                this._thongTinMC.panelMyInfo.BangTxt.selectable = false;
                this._thongTinMC.panelMyInfo.NickName.selectable = false;
                this._thongTinMC.panelMyInfo.IDTxt.selectable = false;
            }
            return this._thongTinMC;
        }// end function

        private function get sharePropetiesMC() : SharePropetiesMc
        {
            if (this._sharePropetiesMC == null)
            {
                this._sharePropetiesMC = new SharePropetiesMc();
                this._sharePropetiesMC.closeBtn.addEventListener(MouseEvent.CLICK, this.onClose, false, 0, true);
                this.addChild(this._sharePropetiesMC);
            }
            return this._sharePropetiesMC;
        }// end function

        private function onClose(event:MouseEvent) : void
        {
            this.playSoundClick();
            this.Hide();
            return;
        }// end function

        public function get emoticonMC() : EmoticonMC
        {
            if (this._emoticonMC == null)
            {
                this._emoticonMC = new EmoticonMC();
                this.addChildAt(this._emoticonMC, 0);
            }
            return this._emoticonMC;
        }// end function

        public function get marketMC() : MarketMC
        {
            if (this._marketMC == null)
            {
                this._marketMC = new MarketMC();
                this._marketMC.tabLeft.lbCoin.text = this.strCoin;
                this._marketMC.x = 33;
                this._marketMC.y = 125;
                this.addChildAt(this._marketMC, 0);
            }
            return this._marketMC;
        }// end function

        public function get Exp() : String
        {
            return this.exp;
        }// end function

        public function set Exp(param1:String) : void
        {
            this.exp = param1;
            return;
        }// end function

        public function get NextLevelExpRequire() : String
        {
            return this.nextLevelExpRequire;
        }// end function

        public function set NextLevelExpRequire(param1:String) : void
        {
            this.nextLevelExpRequire = param1;
            return;
        }// end function

        public function set IsBangChu(param1:int) : void
        {
            this.isBangChu = param1;
            return;
        }// end function

        public function set UserId(param1:int) : void
        {
            this.userId = param1;
            return;
        }// end function

        public function get UserId() : int
        {
            return this.userId;
        }// end function

        public function set Bang(param1:String) : void
        {
            this.bang = param1;
            if (this._isMe)
            {
                this.thongTinMC.panelMyInfo.BangTxt.text = this.bang;
            }
            else
            {
                this.thongTinMC.panelPlayerInfo.BangTxt.text = this.bang;
            }
            return;
        }// end function

        public function get Bang() : String
        {
            return this.bang;
        }// end function

        public function set NickName(param1:String) : void
        {
            this.nickName = param1;
            if (this._isMe)
            {
                this.thongTinMC.panelMyInfo.NickName.text = this.nickName;
            }
            else
            {
                this.thongTinMC.panelPlayerInfo.NickName.text = this.nickName;
            }
            return;
        }// end function

        public function get NickName() : String
        {
            return this.nickName;
        }// end function

        public function set VipPoint(param1:String) : void
        {
            this.vipPoint = param1;
            (this.thongTinMC.getChildAt(0) as Object).lbVipPoint.text = this.vipPoint;
            return;
        }// end function

        public function set TimePlayed(param1:String) : void
        {
            this.timePlayed = param1;
            (this.thongTinMC.getChildAt(0) as Object).lbTimePlayed.text = this.timePlayed;
            return;
        }// end function

        public function set CategoryUser(param1:String) : void
        {
            this.categoryUser = param1;
            if (this._isMe)
            {
                this.thongTinMC.panelMyInfo.KindUserEffect.gotoAndStop(Number(this.categoryUser));
            }
            else
            {
                this.thongTinMC.panelPlayerInfo.KindUserEffect.gotoAndStop(Number(this.categoryUser));
            }
            if (this.Gender != this.NAM)
            {
                if (Number(this.categoryUser) == 7)
                {
                    if (this._isMe)
                    {
                        this.thongTinMC.panelMyInfo.KindUserEffect.gotoAndStop((Number(this.categoryUser) + 1));
                    }
                    else
                    {
                        this.thongTinMC.panelPlayerInfo.KindUserEffect.gotoAndStop((Number(this.categoryUser) + 1));
                    }
                }
            }
            return;
        }// end function

        public function get CategoryUser() : String
        {
            return this.categoryUser;
        }// end function

        public function set UserType(param1:int) : void
        {
            this.userType = param1;
            return;
        }// end function

        public function get UserType() : int
        {
            return this.userType;
        }// end function

        public function get CoinUser() : Number
        {
            return this.coinUser;
        }// end function

        public function set CoinUser(param1:Number) : void
        {
            this.coinUser = param1;
            var _loc_2:* = Format.Coin(this.coinUser.toString());
            while (_loc_2.indexOf(".") > 0)
            {
                
                _loc_2 = _loc_2.replace(".", ",");
            }
            (this.thongTinMC.getChildAt(0) as Object).CoinTxt.text = this.currency + " " + _loc_2;
            this.strCoin = this.currency + " " + _loc_2;
            return;
        }// end function

        public function get Level() : int
        {
            return this.level;
        }// end function

        public function set Level(param1:int) : void
        {
            this.level = param1;
            (this.thongTinMC.getChildAt(0) as Object).level_text.text = this.level.toString();
            return;
        }// end function

        public function get AvatarURL() : String
        {
            return this.avatarURL;
        }// end function

        public function set AvatarURL(param1:String) : void
        {
            var _loc_2:SWFLoader = null;
            if (this.avatarURL != param1)
            {
                this.avatarURL = param1;
                this.clearOldAvatar();
                _loc_2 = new SWFLoader(this.avatarURL, {container:this.loaderAvatar, autoPlay:true, width:140, height:140, onError:this.onLoadError});
                _loc_2.load();
            }
            return;
        }// end function

        final private function clearOldAvatar() : void
        {
            var _loc_1:* = new Vector.<DisplayObject>;
            while (this.loaderAvatar.numChildren > 0)
            {
                
                this.loaderAvatar.removeChildAt(0);
            }
            return;
        }// end function

        public function get IsBangChuME() : int
        {
            return this.isBangChuME;
        }// end function

        public function set IsBangChuME(param1:int) : void
        {
            this.isBangChuME = param1;
            (this.thongTinMC.getChildAt(0) as Object).coBangChu.visible = Boolean(param1);
            return;
        }// end function

        public function get BChuName() : String
        {
            return this.bChuName;
        }// end function

        public function set BChuName(param1:String) : void
        {
            this.bChuName = param1;
            return;
        }// end function

        public function set Currency(param1:String) : void
        {
            this.currency = param1;
            this.CoinUser = this.coinUser;
            return;
        }// end function

        public function Show() : void
        {
            this.visible = true;
            return;
        }// end function

        public function Hide() : void
        {
            this.visible = false;
            return;
        }// end function

        public function configUI() : void
        {
            this.loaderAvatar = new UILoader();
            this.loaderAvatar.x = 51;
            this.loaderAvatar.y = 78;
            this.loaderAvatar.name = "UIAvatar";
            return;
        }// end function

        public function set IsMe(param1:Boolean) : void
        {
            this._isMe = param1;
            this.removeAvatar();
            if (this._isMe)
            {
                this.thongTinMC.gotoAndStop(1);
                this.thongTinMC.panelMyInfo.addChild(this.loaderAvatar);
                this.sharePropetiesMC.emoticonBtn.visible = true;
            }
            else
            {
                this.thongTinMC.gotoAndStop(2);
                this.thongTinMC.panelPlayerInfo.addChild(this.loaderAvatar);
                this.sharePropetiesMC.emoticonBtn.visible = false;
            }
            return;
        }// end function

        public function set isRoomOwner(param1:Boolean) : void
        {
            this._isRoomOwner = param1;
            return;
        }// end function

        public function get Gender() : String
        {
            return this.gender;
        }// end function

        public function set Gender(param1:String) : void
        {
            this.gender = param1;
            (this.thongTinMC.getChildAt(0) as Object).GioiTinhTxt.text = this.gender;
            return;
        }// end function

        public function get pubID() : Number
        {
            return this._pubID;
        }// end function

        public function set pubID(param1:Number) : void
        {
            this._pubID = param1;
            (this.thongTinMC.getChildAt(0) as Object).IDTxt.text = this._pubID.toString();
            return;
        }// end function

        public function get isLockChat() : Boolean
        {
            return this._isLockChat;
        }// end function

        public function set isLockChat(param1:Boolean) : void
        {
            this._isLockChat = param1;
            if (this.sharePropetiesMC.btnLockChat)
            {
                this.visibleButton(this.sharePropetiesMC.btnLockChat, !param1, this["onBtnLockChatClick"]);
            }
            return;
        }// end function

        private function onClickButton(event:MouseEvent) : void
        {
            var _loc_2:* = event.target as DisplayObject;
            switch(_loc_2.name)
            {
                case "closeBtn":
                {
                    this.visible = false;
                    break;
                }
                case "emoticonBtn":
                {
                    if (this.isLoadedEmotion == false)
                    {
                        this.isLoadedEmotion = true;
                        this.dispatchEvent(new Event(SHOW_EMOTICON, true, true));
                    }
                    else
                    {
                        this.playSoundClick();
                    }
                    this.gotoTab(TAB_EMOTION);
                    break;
                }
                case "thongTinBtn":
                {
                    if (this._isMe)
                    {
                        this.dispatchEvent(new Event(SHOW_MY_INFO, true, true));
                        this.gotoTab(TAB_THONGTIN);
                    }
                    break;
                }
                case "sieuThiBtn":
                {
                    this.dispatchEvent(new Event(SHOW_MARKET, true, true));
                    this.gotoTab(TAB_SIEUTHI);
                    break;
                }
                default:
                {
                    break;
                }
            }
            return;
        }// end function

        private function onLoadError(event:LoaderEvent) : void
        {
            this.avatarURL = this.avatarURL.substr(0, this.avatarURL.lastIndexOf("/")) + "/guestavatar.gif";
            var _loc_2:* = new SWFLoader(this.AvatarURL, {container:this.loaderAvatar, autoPlay:true, scaleMode:"proportionalInside", width:140, height:140});
            _loc_2.load();
            _loc_2 = null;
            return;
        }// end function

        private function mouseUpHandler(event:MouseEvent) : void
        {
            var _loc_2:* = event.target as MovieClip;
            if (_loc_2 != null)
            {
                _loc_2.Label_txt.textColor = _loc_2.tcolor1;
                _loc_2.gotoAndPlay(1);
                _loc_2.stage.removeEventListener(MouseEvent.MOUSE_UP, this.mouseUpHandler);
            }
            return;
        }// end function

        private function gotoTab(param1:int) : void
        {
            if (this._isMe)
            {
                this.sharePropetiesMC.gotoAndStop(1);
                this._thongTinMC.x = 0;
                this._thongTinMC.y = 110;
            }
            else
            {
                this.sharePropetiesMC.gotoAndStop(2);
                this._thongTinMC.y = 110;
                if (this.isFriend)
                {
                    this.visibleButton(this.sharePropetiesMC.btnInvite, false, this["onBtnInviteFirendClick"]);
                }
                else
                {
                    this.visibleButton(this.sharePropetiesMC.btnInvite, true, this["onBtnInviteFirendClick"]);
                }
                if (this.bang != null && this.bang.length != 0)
                {
                    this.visibleButton(this.sharePropetiesMC.btnInviteBang, false, this["onBtnInviteBangClick"]);
                }
                else
                {
                    this.visibleButton(this.sharePropetiesMC.btnInviteBang, true, this["onBtnInviteBangClick"]);
                }
                if (this.hideBangBtn)
                {
                    this.visibleButton(this.sharePropetiesMC.btnInviteBang, false, this["onBtnInviteBangClick"]);
                }
                if (!this._isRoomOwner)
                {
                    this.visibleButton(this.sharePropetiesMC.btnKickout, true, this["onBtnKickoutClick"]);
                }
                else
                {
                    this.visibleButton(this.sharePropetiesMC.btnKickout, false, this["onBtnKickoutClick"]);
                }
                if (this.isLockChat)
                {
                    this.visibleButton(this.sharePropetiesMC.btnLockChat, false, this["onBtnLockChatClick"]);
                }
                else
                {
                    this.visibleButton(this.sharePropetiesMC.btnLockChat, true, this["onBtnLockChatClick"]);
                }
            }
            switch(param1)
            {
                case TAB_EMOTION:
                {
                    this._background.gotoAndStop(2);
                    this.sharePropetiesMC.emoticonBtn.gotoAndStop(2);
                    this.sharePropetiesMC.thongTinBtn.gotoAndStop(1);
                    this.thongTinMC.visible = false;
                    this.sharePropetiesMC.emoticonBtn.visible = true;
                    this.emoticonMC.Show();
                    break;
                }
                case TAB_THONGTIN:
                {
                    this._background.gotoAndStop(1);
                    this.sharePropetiesMC.emoticonBtn.gotoAndStop(1);
                    this.thongTinMC.visible = true;
                    this.emoticonMC.visible = false;
                    this.sharePropetiesMC.thongTinBtn.gotoAndStop(2);
                    break;
                }
                default:
                {
                    break;
                }
            }
            if (this._background != null)
            {
                this.setChildIndex(this._background, 0);
            }
            return;
        }// end function

        private function removeAvatar() : void
        {
            if ((this.thongTinMC.getChildAt(0) as Object).getChildByName("UIAvatar") != null)
            {
                (this.thongTinMC.getChildAt(0) as Object).removeChild(this.loaderAvatar);
            }
            return;
        }// end function

        public function showMyInfo() : void
        {
            if (this._isMe)
            {
                this.gotoTab(TAB_EMOTION);
                this.sharePropetiesMC.emoticonBtn.addEventListener(MouseEvent.CLICK, this.onClickButton);
                this.sharePropetiesMC.emoticonBtn.dispatchEvent(new MouseEvent(MouseEvent.CLICK, false));
                this.sharePropetiesMC.emoticonBtn.buttonMode = true;
                this.sharePropetiesMC.thongTinBtn.buttonMode = true;
                this.sharePropetiesMC.closeBtn.addEventListener(MouseEvent.CLICK, this.onClickButton);
                this.sharePropetiesMC.thongTinBtn.addEventListener(MouseEvent.CLICK, this.onClickButton);
            }
            else
            {
                this.gotoTab(TAB_THONGTIN);
            }
            return;
        }// end function

        public function showEmoticon() : void
        {
            this.gotoTab(TAB_EMOTION);
            return;
        }// end function

        public function visibleButton(param1:SimpleButton, param2:Boolean, param3:Function = null) : void
        {
            var _loc_4:* = param1.transform.colorTransform;
            if (param2)
            {
                param1.enabled = true;
                _loc_4.alphaMultiplier = 1;
                param1.transform.colorTransform = _loc_4;
                if (param3 != null)
                {
                    param1.addEventListener(MouseEvent.CLICK, param3, false, 0, true);
                }
            }
            else
            {
                _loc_4.alphaMultiplier = 0.4;
                param1.transform.colorTransform = _loc_4;
                param1.enabled = false;
                if (param3.length != 0)
                {
                    if (param3 != this["onBtnLockChatClick"])
                    {
                        param1.removeEventListener(MouseEvent.CLICK, param3);
                    }
                    else
                    {
                        param1.enabled = true;
                    }
                }
            }
            return;
        }// end function

        private function onBtnInviteFirendClick(event:MouseEvent) : void
        {
            this.visibleButton(this.sharePropetiesMC.btnInvite, false, this["onBtnInviteFirendClick"]);
            this.dispatchEvent(new MakeFriendEvent(MakeFriendEvent.MAKE_FRIEND, {UserId:this.userId, NickName:this.nickName}, true));
            return;
        }// end function

        private function onBtnInviteBangClick(event:MouseEvent) : void
        {
            this.visibleButton(this.sharePropetiesMC.btnInviteBang, false, this["onBtnInviteBangClick"]);
            dispatchEvent(new IconUserFullEvent(IconUserFullEvent.JOIN_GROUP, {UserId:this.userId}, true));
            return;
        }// end function

        private function onBtnLockChatClick(event:MouseEvent) : void
        {
            this.isLockChat = !this.isLockChat;
            dispatchEvent(new IconUserFullEvent(IconUserFullEvent.LOCK_CHAT, {position:this.Position}, true));
            return;
        }// end function

        private function onBtnKickoutClick(event:MouseEvent) : void
        {
            this.visibleButton(this.sharePropetiesMC.btnKickout, false, this["onBtnKickoutClick"]);
            dispatchEvent(new IconUserFullEvent(IconUserFullEvent.STAND_UP, {UserId:this.userId}, true));
            return;
        }// end function

    }
}
