package net.mgame.defaultcomponents
{
    import AssetsCompoUserInfoPlay.*;
    import MGameEvents.*;
    import flash.display.*;
    import flash.events.*;
    import flash.geom.*;
    import net.mGame.controllers.*;

    public class EmoticonMC extends Sprite
    {
        private var strListEmotions:String = "";
        private var container:Sprite;
        public var mainMovie:EmotionListMC;
        private var scroll:IOSScrollArea;
        private var emotionPath:String = "";

        public function EmoticonMC()
        {
            this.x = 50;
            this.y = 120;
            this.mainMovie = new EmotionListMC();
            this.addChild(this.mainMovie);
            var _loc_1:* = new Sprite();
            this.container = new Sprite();
            this.scroll = new IOSScrollArea(1200, 550, false);
            this.addChild(this.scroll);
            this.addChild(this.container);
            this.scroll.Initialize(IOSScrollArea.VERTICAL, this.container);
            return;
        }// end function

        public function set StrListEmotions(param1:String) : void
        {
            this.strListEmotions = param1;
            return;
        }// end function

        public function get StrListEmotions() : String
        {
            return this.strListEmotions;
        }// end function

        public function set EmotionPath(param1:String) : void
        {
            this.emotionPath = param1;
            return;
        }// end function

        public function AddEmotionToScrollPane() : void
        {
            var _loc_5:Number = NaN;
            var _loc_7:Sprite = null;
            var _loc_8:String = null;
            var _loc_9:String = null;
            var _loc_10:BitmapData = null;
            var _loc_11:Number = NaN;
            var _loc_12:Number = NaN;
            if (this.strListEmotions.length == 0)
            {
                return;
            }
            if (this.container.numChildren > 0)
            {
                return;
            }
            var _loc_1:* = this.strListEmotions.split(",");
            var _loc_2:Number = -1;
            this.RemoveAll();
            var _loc_3:* = _loc_1.length;
            var _loc_4:int = 0;
            _loc_4 = 0;
            while (_loc_4 < _loc_3)
            {
                
                _loc_7 = new Sprite();
                _loc_7.name = _loc_1[_loc_4];
                _loc_8 = this.emotionPath + _loc_1[_loc_4];
                _loc_7.mouseChildren = false;
                _loc_9 = String(_loc_1[_loc_4]).replace(".png", "") + "_000.png";
                _loc_10 = AssetsEmotion.getTexture(_loc_9);
                if (_loc_10 != null)
                {
                    _loc_11 = 30 / _loc_10.width;
                    _loc_12 = 30 / _loc_10.height;
                    _loc_7.graphics.beginBitmapFill(_loc_10, new Matrix(_loc_11, 0, 0, _loc_12, 0, 0), false, true);
                    _loc_7.graphics.drawRect(0, 0, _loc_10.width * _loc_11, _loc_10.height * _loc_12);
                    _loc_7.graphics.endFill();
                }
                _loc_7.addEventListener(MouseEvent.CLICK, this.onClick);
                _loc_5 = _loc_4 % 9;
                _loc_2 = _loc_5 % 9 == 0 ? ((_loc_2 + 1)) : (_loc_2);
                _loc_7.x = 20 + _loc_5 * 150;
                _loc_7.y = 20 + 140 * _loc_2;
                _loc_7.scaleX = 3.7;
                _loc_7.scaleY = 3.7;
                this.container.addChild(_loc_7);
                _loc_4++;
            }
            var _loc_6:* = new Sprite();
            _loc_6.graphics.beginFill(0, 0);
            _loc_6.graphics.drawRect(0, 0, 30, 30);
            _loc_6.graphics.endFill();
            _loc_6.y = this.container.height + 30;
            this.container.addChild(_loc_6);
            return;
        }// end function

        private function onClick(event:MouseEvent) : void
        {
            var _loc_2:* = event.currentTarget as Sprite;
            if (_loc_2 != null)
            {
                this.parent.visible = false;
                this.dispatchEvent(new EmotionListEvent(EmotionListEvent.USE_EMOTION, {fileName:_loc_2.name}, true));
            }
            return;
        }// end function

        public function Show() : void
        {
            this.visible = true;
            return;
        }// end function

        public function RemoveAll() : void
        {
            if (this.container.numChildren > 0)
            {
                this.container.removeChildAt(0);
            }
            return;
        }// end function

        public function Refresh() : void
        {
            return;
        }// end function

    }
}
