package net.mgame.ui
{
    import fl.controls.*;
    import flash.display.*;
    import flash.events.*;
    import net.king.*;
    import net.mgame.keys.*;

    public class LoginBox extends Sprite
    {
        private var userId_txt:TextInput;
        private var email_txt:TextInput;
        private var password_txt:TextInput;
        private var gameId_txt:TextInput;
        private var zone_txt:TextInput;
        private var padding:Number = 5;
        private var gameLoader:GameLoader;

        public function LoginBox(param1:GameLoader)
        {
            this.gameLoader = param1;
            this.userId_txt = new TextInput();
            this.userId_txt.x = 0;
            this.userId_txt.y = 0;
            this.userId_txt.width = 300;
            this.userId_txt.height = 80;
            this.userId_txt.text = "UserId";
            this.userId_txt.editable = true;
            this.addChild(this.userId_txt);
            this.email_txt = new TextInput();
            this.email_txt.x = 0;
            this.email_txt.y = this.userId_txt.y + this.userId_txt.height + this.padding;
            this.email_txt.width = 300;
            this.email_txt.height = 80;
            this.email_txt.text = "Email";
            this.addChild(this.email_txt);
            this.password_txt = new TextInput();
            this.password_txt.x = 0;
            this.password_txt.y = this.email_txt.y + this.userId_txt.height + this.padding;
            this.password_txt.width = 300;
            this.password_txt.height = 80;
            this.password_txt.text = "123";
            this.addChild(this.password_txt);
            this.gameId_txt = new TextInput();
            this.gameId_txt.x = 0;
            this.gameId_txt.y = this.password_txt.y + this.userId_txt.height + this.padding;
            this.gameId_txt.width = 300;
            this.gameId_txt.height = 80;
            this.gameId_txt.text = "gameId";
            this.addChild(this.gameId_txt);
            this.zone_txt = new TextInput();
            this.zone_txt.x = 0;
            this.zone_txt.y = this.gameId_txt.y + this.userId_txt.height + this.padding;
            this.zone_txt.width = 300;
            this.zone_txt.height = 80;
            this.zone_txt.text = "zone";
            this.addChild(this.zone_txt);
            this.setDefaultValue();
            var _loc_2:* = new Button();
            _loc_2.x = 0;
            _loc_2.y = this.zone_txt.y + this.userId_txt.height + this.padding;
            _loc_2.width = 300;
            _loc_2.height = 100;
            _loc_2.label = "LOGIN";
            _loc_2.addEventListener(MouseEvent.CLICK, this.onLogin);
            this.addChild(_loc_2);
            return;
        }// end function

        final public function onLogin(event:MouseEvent = null) : void
        {
            this.gameLoader.playSoundClick();
            if (KF.socket.isConnected(KF.socket.defaultSocket) == false)
            {
                KF.socket.connectSocket(KF.socket.defaultSocket, this.gameLoader.global.timeToDelayReconnect);
            }
            var _loc_2:Object = {};
            _loc_2[JSONKeys.USER_ID] = this.userId_txt.text;
            _loc_2[JSONKeys.EMAIL] = this.email_txt.text;
            _loc_2[JSONKeys.PASSWORD] = this.password_txt.text;
            _loc_2[JSONKeys.GAME_ID] = this.gameId_txt.text;
            _loc_2[JSONKeys.ROOM_INFO] = this.gameLoader.global.roomToJoinInfo;
            this.gameLoader.controller.loginForDebug(this.userId_txt.text, this.password_txt.text, this.zone_txt.text, _loc_2);
            return;
        }// end function

        private function setDefaultValue() : void
        {
            this.userId_txt.text = "201";
            this.email_txt.text = "l1@l1.com";
            this.password_txt.text = "12-93-91-B9-43-E0-8B-76-26-82-88-C7-1A-05-3C-50-3A-20-65-BE";
            this.gameId_txt.text = "40";
            this.zone_txt.text = "MGame";
            return;
        }// end function

    }
}
