package net.mgame.ui.lobby.headerInfo
{
    import MGameEvents.*;
    import __AS3__.vec.*;
    import flash.display.*;
    import flash.events.*;
    import flash.text.*;
    import net.mgame.keys.*;
    import net.mgame.lobby.*;

    public class HeaderLobbyInfo extends MovieClip
    {
        private var gameName:String;
        private var gameLoader:GameLoader;
        private var gameName_txt:TextField;
        private var selectionRoom:int;
        private var listRoomB:Vector.<roomDetail>;
        private var listRoomA:Vector.<roomDetail>;
        private var listRoomVip:Vector.<roomDetail>;
        private var listRoomTour:Vector.<roomDetail>;
        private var listItems:Array;

        public function HeaderLobbyInfo()
        {
            this.gameLoader = GameLoader.getInstance();
            this.listItems = [];
            this.gameName_txt = new TextField();
            var _loc_1:* = new TextFormat();
            _loc_1.size = 50;
            _loc_1.color = 16768512;
            _loc_1.align = "center";
            _loc_1.bold = true;
            _loc_1.font = "Arial";
            this.gameName_txt.defaultTextFormat = _loc_1;
            this.gameName_txt.selectable = false;
            this.gameName_txt.width = 288;
            this.gameName_txt.cacheAsBitmap = true;
            this.addChild(this.gameName_txt);
            return;
        }// end function

        public function set SelectionRoom(param1:int) : void
        {
            var _loc_2:* = this.getChildByName("A_mc") as RoomBtn;
            var _loc_3:* = this.getChildByName("B_mc") as RoomBtn;
            var _loc_4:* = this.getChildByName("Vip_mc") as RoomBtn;
            var _loc_5:* = this.getChildByName("Tour_mc") as RoomBtn;
            this.selectionRoom = param1;
            var _loc_6:Boolean = false;
            var _loc_7:int = 0;
            while (_loc_7 < this.listRoomA.length)
            {
                
                if (this.selectionRoom == this.listRoomA[_loc_7].roomId)
                {
                    this.listRoomA[_loc_7].selection_mc.gotoAndStop(2);
                    _loc_6 = true;
                }
                else
                {
                    this.listRoomA[_loc_7].selection_mc.gotoAndStop(1);
                }
                _loc_7++;
            }
            if (_loc_2)
            {
                if (_loc_6)
                {
                    _loc_2.gotoAndStop(2);
                    _loc_2.lblRoomName.visible = false;
                    _loc_2.lblRoomNameActive.visible = true;
                }
                else
                {
                    _loc_2.gotoAndStop(1);
                    _loc_2.lblRoomName.visible = true;
                    _loc_2.lblRoomNameActive.visible = false;
                }
            }
            _loc_6 = false;
            var _loc_8:int = 0;
            while (_loc_8 < this.listRoomTour.length)
            {
                
                if (this.selectionRoom == this.listRoomTour[_loc_8].roomId)
                {
                    this.listRoomTour[_loc_8].selection_mc.gotoAndStop(2);
                    _loc_6 = true;
                }
                else
                {
                    this.listRoomTour[_loc_8].selection_mc.gotoAndStop(1);
                }
                _loc_8++;
            }
            if (_loc_5)
            {
                if (_loc_6)
                {
                    _loc_5.gotoAndStop(2);
                    _loc_5.lblRoomName.visible = false;
                    _loc_5.lblRoomNameActive.visible = true;
                }
                else
                {
                    _loc_5.gotoAndStop(1);
                    _loc_5.lblRoomName.visible = true;
                    _loc_5.lblRoomNameActive.visible = false;
                }
            }
            _loc_6 = false;
            _loc_7 = 0;
            while (_loc_7 < this.listRoomB.length)
            {
                
                if (this.selectionRoom == this.listRoomB[_loc_7].roomId)
                {
                    this.listRoomB[_loc_7].selection_mc.gotoAndStop(2);
                    _loc_6 = true;
                }
                else
                {
                    this.listRoomB[_loc_7].selection_mc.gotoAndStop(1);
                }
                _loc_7++;
            }
            if (_loc_3)
            {
                if (_loc_6)
                {
                    _loc_3.gotoAndStop(2);
                    _loc_3.lblRoomName.visible = false;
                    _loc_3.lblRoomNameActive.visible = true;
                }
                else
                {
                    _loc_3.gotoAndStop(1);
                    _loc_3.lblRoomName.visible = true;
                    _loc_3.lblRoomNameActive.visible = false;
                }
            }
            _loc_6 = false;
            _loc_7 = 0;
            while (_loc_7 < this.listRoomVip.length)
            {
                
                if (this.selectionRoom == this.listRoomVip[_loc_7].roomId)
                {
                    this.listRoomVip[_loc_7].selection_mc.gotoAndStop(2);
                    _loc_6 = true;
                }
                else
                {
                    this.listRoomVip[_loc_7].selection_mc.gotoAndStop(1);
                }
                _loc_7++;
            }
            if (_loc_4)
            {
                if (_loc_6)
                {
                    _loc_4.gotoAndStop(2);
                    _loc_4.lblRoomName.visible = false;
                    _loc_4.lblRoomNameActive.visible = true;
                }
                else
                {
                    _loc_4.gotoAndStop(1);
                    _loc_4.lblRoomName.visible = true;
                    _loc_4.lblRoomNameActive.visible = false;
                }
            }
            return;
        }// end function

        public function set GameName(param1:String) : void
        {
            this.gameName = param1;
            this.gameName_txt.text = this.gameName;
            return;
        }// end function

        public function get GameName() : String
        {
            return this.gameName;
        }// end function

        public function removeAll() : void
        {
            while (this.numChildren > 0)
            {
                
                this.removeChildAt(0);
            }
            this.addChild(this.gameName_txt);
            return;
        }// end function

        public function loadRoom(param1:Array) : void
        {
            var _loc_2:Array = null;
            var _loc_3:roomDetail = null;
            this.removeAll();
            this.listRoomA = new Vector.<roomDetail>;
            this.listRoomTour = new Vector.<roomDetail>;
            this.listRoomB = new Vector.<roomDetail>;
            this.listRoomVip = new Vector.<roomDetail>;
            var _loc_4:int = 0;
            while (_loc_4 < param1.length)
            {
                
                _loc_2 = param1[_loc_4] as Array;
                _loc_3 = new roomDetail(_loc_2, this.selectRoom);
                switch(_loc_3.roomType)
                {
                    case GlobalConstants.RoomType_Tournament:
                    {
                        this.listRoomTour.push(_loc_3);
                        break;
                    }
                    case GlobalConstants.RoomType_VIP:
                    {
                        this.listRoomVip.push(_loc_3);
                        break;
                    }
                    case GlobalConstants.RoomType_A:
                    {
                        this.listRoomA.push(_loc_3);
                        break;
                    }
                    case GlobalConstants.RoomType_B:
                    {
                        this.listRoomB.push(_loc_3);
                        break;
                    }
                    default:
                    {
                        break;
                    }
                }
                _loc_4++;
            }
            this.arrangeRoom();
            return;
        }// end function

        private function selectRoom(param1:int) : void
        {
            this.SelectionRoom = param1;
            return;
        }// end function

        private function onPhongClick(event:MouseEvent) : void
        {
            this.gameLoader.playSoundClick();
            var _loc_2:* = this.getChildByName("phongBorder") as border_mc;
            if (event.type == MouseEvent.MOUSE_DOWN)
            {
                _loc_2.scaleX = 1.1;
                _loc_2.scaleY = 1.1;
            }
            else
            {
                _loc_2.scaleX = 1;
                _loc_2.scaleY = 1;
                dispatchEvent(new HeaderEvent(HeaderEvent.FRIENDS, {}, true));
            }
            return;
        }// end function

        public function createRoomList(param1:int, param2:Number, param3:Vector.<roomDetail>) : Number
        {
            var _loc_4:roomDetail = null;
            var _loc_7:int = 0;
            var _loc_5:* = new RoomBtn();
            switch(param1)
            {
                case GlobalConstants.RoomType_Tournament:
                {
                    _loc_5.lblRoomName.text = "Tour";
                    _loc_5.lblRoomNameActive.text = "Tour";
                    _loc_5.name = "Tour_mc";
                    _loc_5.y = 8;
                    break;
                }
                case GlobalConstants.RoomType_VIP:
                {
                    _loc_5.lblRoomName.text = "Vip";
                    _loc_5.lblRoomNameActive.text = "Vip";
                    _loc_5.name = "Vip_mc";
                    break;
                }
                case GlobalConstants.RoomType_A:
                {
                    _loc_5.lblRoomName.text = "A";
                    _loc_5.lblRoomNameActive.text = "A";
                    _loc_5.name = "A_mc";
                    break;
                }
                case GlobalConstants.RoomType_B:
                {
                    _loc_5.lblRoomName.text = "B";
                    _loc_5.lblRoomNameActive.text = "B";
                    _loc_5.name = "B_mc";
                    break;
                }
                default:
                {
                    break;
                }
            }
            _loc_5.x = param2;
            _loc_5.lblRoomNameActive.visible = false;
            _loc_5.roomType = param1;
            _loc_5.isOpen = false;
            param2 = param2 + _loc_5.width;
            _loc_5.addEventListener(MouseEvent.CLICK, this.onOpenListTour);
            var _loc_6:* = _loc_5.y + _loc_5.height;
            _loc_7 = 0;
            while (_loc_7 < param3.length)
            {
                
                _loc_4 = param3[_loc_7];
                _loc_4.visible = false;
                _loc_4.y = _loc_6;
                _loc_6 = _loc_6 + _loc_4.height;
                _loc_5.addChild(_loc_4);
                _loc_7++;
            }
            this.addChild(_loc_5);
            return param2;
        }// end function

        public function arrangeRoom() : void
        {
            var _loc_2:DisplayObject = null;
            var _loc_5:roomDetail = null;
            var _loc_1:* = this.listItems.length;
            var _loc_3:int = 0;
            while (_loc_3 < _loc_1)
            {
                
                _loc_2 = this.listItems[_loc_3] as DisplayObject;
                if (this.contains(_loc_2))
                {
                    this.removeChild(_loc_2);
                }
                _loc_3++;
            }
            this.listItems.length = 0;
            var _loc_4:* = this.gameName_txt.width + 106;
            if (this.listRoomB.length == 1)
            {
                if (this.listRoomB.length != 0)
                {
                    _loc_5 = this.listRoomB[0];
                    _loc_5.x = _loc_4;
                    _loc_4 = _loc_4 + _loc_5.width;
                    this.addChild(_loc_5);
                    this.listItems.push(_loc_5);
                }
            }
            else if (this.listRoomB.length > 1)
            {
                _loc_4 = this.createRoomList(GlobalConstants.RoomType_B, _loc_4, this.listRoomB);
            }
            if (this.listRoomA.length == 1)
            {
                if (this.listRoomA.length != 0)
                {
                    _loc_5 = this.listRoomA[0];
                    _loc_5.x = _loc_4;
                    _loc_4 = _loc_4 + _loc_5.width;
                    this.addChild(_loc_5);
                    this.listItems.push(_loc_5);
                }
            }
            else if (this.listRoomA.length > 1)
            {
                _loc_4 = this.createRoomList(GlobalConstants.RoomType_A, _loc_4, this.listRoomA);
            }
            if (this.listRoomVip.length == 1)
            {
                if (this.listRoomVip.length != 0)
                {
                    _loc_5 = this.listRoomVip[0];
                    _loc_5.x = _loc_4;
                    _loc_4 = _loc_4 + _loc_5.width;
                    this.addChild(_loc_5);
                    this.listItems.push(_loc_5);
                }
            }
            else if (this.listRoomVip.length > 1)
            {
                _loc_4 = this.createRoomList(GlobalConstants.RoomType_VIP, _loc_4, this.listRoomVip);
            }
            if (this.listRoomTour.length > 0)
            {
                this.createRoomList(GlobalConstants.RoomType_Tournament, _loc_4 - 2, this.listRoomTour);
            }
            return;
        }// end function

        private function onOpenListTour(event:MouseEvent) : void
        {
            var _loc_2:int = 0;
            var _loc_3:roomDetail = null;
            var _loc_5:MovieClip = null;
            var _loc_7:Vector.<roomDetail> = null;
            var _loc_8:Boolean = false;
            var _loc_4:* = event.currentTarget as RoomBtn;
            var _loc_6:* = new Sprite();
            _loc_6.name = "background";
            switch(_loc_4.roomType)
            {
                case GlobalConstants.RoomType_Tournament:
                {
                    _loc_7 = this.listRoomTour;
                    break;
                }
                case GlobalConstants.RoomType_VIP:
                {
                    _loc_7 = this.listRoomVip;
                    break;
                }
                case GlobalConstants.RoomType_A:
                {
                    _loc_7 = this.listRoomA;
                    break;
                }
                case GlobalConstants.RoomType_B:
                {
                    _loc_7 = this.listRoomB;
                    break;
                }
                default:
                {
                    break;
                }
            }
            this.hideAllDropDown(_loc_4.roomType);
            if (!_loc_4.isOpen)
            {
                _loc_6.graphics.beginFill(0, 0.2);
                _loc_6.graphics.drawRect(0, _loc_4.y, _loc_4.width, _loc_4.height);
                _loc_6.graphics.endFill();
                _loc_4.addChild(_loc_6);
                _loc_4.setChildIndex(_loc_6, 0);
                _loc_2 = 0;
                while (_loc_2 < _loc_7.length)
                {
                    
                    _loc_3 = _loc_7[_loc_2];
                    _loc_3.visible = true;
                    _loc_2++;
                }
                _loc_4.isOpen = true;
                _loc_4.gotoAndStop(2);
                _loc_4.lblRoomName.visible = false;
                _loc_4.lblRoomNameActive.visible = true;
            }
            else
            {
                _loc_6 = _loc_4.getChildByName("background") as Sprite;
                if (_loc_6)
                {
                    _loc_4.removeChild(_loc_6);
                }
                _loc_8 = false;
                _loc_2 = 0;
                while (_loc_2 < _loc_7.length)
                {
                    
                    _loc_3 = _loc_7[_loc_2];
                    _loc_3.visible = false;
                    if (this.selectionRoom == _loc_3.roomId)
                    {
                        _loc_8 = true;
                    }
                    _loc_2++;
                }
                _loc_4.isOpen = false;
                if (!_loc_8)
                {
                    _loc_4.gotoAndStop(1);
                    _loc_4.lblRoomName.visible = true;
                    _loc_4.lblRoomNameActive.visible = false;
                }
            }
            return;
        }// end function

        public function hideAllDropDown(param1:int) : void
        {
            var _loc_2:* = this.getChildByName("A_mc") as MovieClip;
            var _loc_3:* = this.getChildByName("B_mc") as MovieClip;
            var _loc_4:* = this.getChildByName("Vip_mc") as MovieClip;
            var _loc_5:* = this.getChildByName("Tour_mc") as MovieClip;
            if (_loc_2 && _loc_2.roomType != param1 && _loc_2.isOpen)
            {
                _loc_2.dispatchEvent(new MouseEvent(MouseEvent.CLICK, true));
            }
            if (_loc_3 && _loc_3.roomType != param1 && _loc_3.isOpen)
            {
                _loc_3.dispatchEvent(new MouseEvent(MouseEvent.CLICK, true));
            }
            if (_loc_4 && _loc_4.roomType != param1 && _loc_4.isOpen)
            {
                _loc_4.dispatchEvent(new MouseEvent(MouseEvent.CLICK, true));
            }
            if (_loc_5 && _loc_5.roomType != param1 && _loc_5.isOpen)
            {
                _loc_5.dispatchEvent(new MouseEvent(MouseEvent.CLICK, true));
            }
            return;
        }// end function

    }
}

class roomDetail extends MovieClip
{
    public var roomId:int;
    public var roomName:String;
    public var quantity:int;
    public var serverAndPort:String;
    public var maxConnection:int;
    public var minJoinRoom:Number;
    public var rangeOfBet:String;
    public var roomType:int;
    public var mmax:Array = null;
    public var MinCoin:Number;
    public var MaxCoin:Number;
    private var gameLoader:GameLoader;
    public var roomName_txt:TextField;
    public var selection_mc:RoomBtn;
    private var selectRoomFunction:Function;

    function roomDetail(param1:Array, param2:Function) : void
    {
        this.gameLoader = GameLoader.getInstance();
        this.selectRoomFunction = param2;
        this.roomId = param1[0];
        this.roomName = param1[1];
        this.quantity = param1[2];
        this.serverAndPort = param1[3];
        this.maxConnection = param1[4];
        this.minJoinRoom = param1[5];
        this.rangeOfBet = param1[6];
        this.roomType = param1[7];
        this.mmax = this.rangeOfBet.split(":");
        this.MinCoin = Number(this.mmax[0]);
        this.MaxCoin = Number(this.mmax[1]);
        this.selection_mc = new RoomBtn();
        this.selection_mc.y = 8;
        this.selection_mc.lblRoomName.text = this.roomName;
        this.selection_mc.lblRoomNameActive.text = this.roomName;
        this.addChild(this.selection_mc);
        this.addEventListener(MouseEvent.CLICK, this.onRoomClick, true);
        return;
    }// end function

    private function onRoomClick(event:MouseEvent) : void
    {
        if (this.selection_mc.currentFrame == 2)
        {
            return;
        }
        if (!this.IsJoinable())
        {
            this.dispatchEvent(new LoadNewRoomEvent(LoadNewRoomEvent.LOAD, {Error:true, RoomName:this.roomName, MinJoinRoom:this.minJoinRoom}, true));
            return;
        }
        this.dispatchEvent(new LoadNewRoomEvent(LoadNewRoomEvent.LOAD, {MinCoin:this.MinCoin, MaxCoin:this.MaxCoin, RoomId:this.roomId, RoomName:this.roomName, RoomType:this.roomType, ServerIP:this.serverAndPort, Error:false}, true));
        this.selectRoomFunction(this.roomId);
        this.gameLoader.playSoundClick();
        return;
    }// end function

    private function IsJoinable() : Boolean
    {
        var _loc_1:Number = NaN;
        if (this.gameLoader)
        {
            if (this.gameLoader.global.MyInfo.isAdmin())
            {
                return true;
            }
            _loc_1 = this.gameLoader.global.MyInfo.coin;
            if (this.gameLoader.global.isTourRoom)
            {
                _loc_1 = this.gameLoader.global.MyInfo.realCoin;
            }
            if (this.minJoinRoom >= 0)
            {
                return _loc_1 >= this.minJoinRoom;
            }
            return _loc_1 < Math.abs(this.minJoinRoom);
        }
        return false;
    }// end function

}

