package net.mgame.ui.star
{
    import MGameUtilities.*;
    import flash.display.*;
    import flash.events.*;
    import flash.filters.*;
    import flash.text.*;

    public class Star_mc extends Sprite
    {
        private var gameloader:GameLoader;
        private var sao1:Bitmap;
        private var sao2:Bitmap;
        private var textCoin:TextField;
        private var textCoinBitMap:Bitmap;

        public function Star_mc()
        {
            this.sao1 = new Bitmap(new resourceSao1());
            this.sao2 = new Bitmap(new resourceSao2());
            this.sao1.smoothing = true;
            this.sao2.smoothing = true;
            this.addChild(this.sao1);
            this.addChild(this.sao2);
            this.addEventListener(MouseEvent.CLICK, this.onClick);
            this.gameloader = GameLoader.getInstance();
            this.visible = false;
            this.buttonMode = true;
            this.textCoin = new TextField();
            this.textCoin.width = 180;
            this.textCoinBitMap = new Bitmap(new BitmapData(180, 40));
            this.textCoinBitMap.x = 90;
            this.textCoinBitMap.y = 25;
            this.addChild(this.textCoinBitMap);
            var _loc_1:* = new GlowFilter(2818565, 1, 8, 8);
            this.textCoin.filters = [_loc_1];
            var _loc_2:* = new TextFormat("Arial", 22, 16777215, true);
            this.textCoin.defaultTextFormat = _loc_2;
            _loc_2 = null;
            return;
        }// end function

        public function onClick(event:MouseEvent = null) : void
        {
            this.sendActiveStar(this.sao1.visible);
            return;
        }// end function

        public function show() : void
        {
            this.visible = this.checkIsShowStar();
            return;
        }// end function

        public function reset() : void
        {
            this.gotoAndStop(1);
            return;
        }// end function

        public function checkIsShowStar() : Boolean
        {
            if (this.getIsActiveSao() == false)
            {
                return false;
            }
            if (this.gameloader.global.isTourRoom)
            {
                return false;
            }
            if (this.gameloader.global.isGameXiTo || this.gameloader.global.isGameBinh || this.gameloader.global.isGameTLMN || this.gameloader.global.isGameSam || this.gameloader.global.isGameLieng || this.gameloader.global.isGameU9La || this.gameloader.global.isGameDanhChan || this.gameloader.global.isGameTaiXiu)
            {
                return true;
            }
            return false;
        }// end function

        public function sendActiveStar(param1:Boolean) : void
        {
            var _loc_2:* = new Object();
            _loc_2[StarConstan.subCommandKey] = StarConstan.subCommand_Apply;
            _loc_2[StarConstan.isActive] = param1;
            this.gameloader.controller.sendActiveStar(_loc_2);
            return;
        }// end function

        public function setActive(param1:Boolean) : void
        {
            if (param1 == false)
            {
                this.gotoAndStop(1);
            }
            else
            {
                this.gotoAndStop(2);
            }
            return;
        }// end function

        public function setCoinForToolTip(param1:Number) : void
        {
            this.textCoin.text = Format.MobileCoinFormat(param1);
            if (this.textCoinBitMap.bitmapData != null)
            {
                this.textCoinBitMap.bitmapData.dispose();
            }
            var _loc_2:* = new BitmapData(this.textCoin.width, this.textCoin.height, true, 65280);
            _loc_2.draw(this.textCoin);
            this.textCoinBitMap.bitmapData = _loc_2;
            this.textCoinBitMap.smoothing = true;
            return;
        }// end function

        private function gotoAndStop(param1:int) : void
        {
            this.sao2.visible = param1 == 2;
            this.sao1.visible = !this.sao2.visible;
            return;
        }// end function

        public function getIsActiveSao() : Boolean
        {
            var _loc_1:* = this.gameloader.preloader.api;
            return _loc_1.this.gameloader.preloader.api["getIsActiveSao"]();
        }// end function

    }
}
