package AssetsCompoUserInfoPlay
{
    import __AS3__.vec.*;
    import flash.display.*;
    import flash.events.*;
    import flash.utils.*;

    public class EmotionMC extends Sprite
    {
        private var listName:Vector.<String>;
        private var curFrame:int = 0;
        private var _preName:String;
        private var timer:Timer;

        public function EmotionMC()
        {
            this.timer = new Timer(50, 0);
            this.timer.addEventListener(TimerEvent.TIMER, this.onTick);
            return;
        }// end function

        public function start() : void
        {
            if (this.listName == null)
            {
                return;
            }
            this.timer.start();
            this.curFrame = 0;
            return;
        }// end function

        private function onTick(event:Event) : void
        {
            if (this.listName.length < 2)
            {
                return;
            }
            if (this.curFrame >= this.listName.length)
            {
                this.curFrame = 0;
            }
            var _loc_2:* = AssetsEmotion.getTexture(this.listName[this.curFrame]);
            this.graphics.clear();
            this.graphics.beginBitmapFill(_loc_2, null, false, true);
            this.graphics.drawRect(0, 0, _loc_2.rect.width, _loc_2.rect.height);
            this.graphics.endFill();
            var _loc_3:String = this;
            var _loc_4:* = this.curFrame + 1;
            _loc_3.curFrame = _loc_4;
            return;
        }// end function

        public function stop() : void
        {
            this.timer.stop();
            return;
        }// end function

        public function isPlaying() : Boolean
        {
            return this.timer.running;
        }// end function

        public function clear() : void
        {
            this.graphics.clear();
            return;
        }// end function

        public function set preName(param1:String) : void
        {
            this._preName = param1;
            this.listName = AssetsEmotion.getNames(this._preName);
            return;
        }// end function

    }
}
