package 
{
    import IGame.*;
    import flash.display.*;

    public interface IGame
    {

        public function IGame();

        function playMove(param1:Object) : void;

        function getChildObjectbyName(param1:String) : DisplayObject;

        function updatePosition(param1:Array, param2:Boolean) : void;

        function setGameConfig(param1:Object) : void;

        function updateInterfaceWhenEndMatchAndGetResultString(param1:Array, param2:String) : String;

        function userLeaveGame(param1:Number, param2:int) : void;

        function processGameDataForViewer(param1:Object) : void;

        function addUserSit(param1:Number) : void;

        function clearUI() : void;

        function setDisplayDealerButton(param1:Number) : void;

        function isPlaying(param1:Number) : Boolean;

        function setInterfaceBoard(param1:Boolean) : void;

        function setCardStyle(param1:Boolean) : void;

        function getInterfaceBoard() : Boolean;

        function getCardStyle() : Boolean;

        function setLockBoard(param1:Boolean) : void;

        function getTotalPlayer() : int;

        function updateBoardOwner(param1:Number, param2:Number) : void;

        function updateCompoUserInfoPlay(param1:Number) : void;

        function hideStartButton() : void;

        function handleUnknownObject(param1:String, param2:Object) : void;

    }
}
