package jackpot
{
    import mgame.manager.*;
    import net.mGame.controllers.*;
    import net.mgame.jackpot.*;

    public class LichSuCuoc_mc extends MGSprite
    {
        private var listUserInfoMc:Array;
        private var compoHistoryJackpot:CompoHistoryJackpot;
        private var spLichSuCuocSource:MGSprite;
        private var scroll:IOSScrollArea;
        private var ID:String = "id";
        private var USER_ID:String = "uid";
        private var NICK_NAME:String = "nn";
        private var BOARD_ID:String = "bid";
        private var MATCH_ID:String = "MID";
        private var COIN:String = "c";
        private var WIN_TYPE:String = "wti";
        private var LIST_CARD:String = "lc";
        private var DATE_TIME:String = "dt";

        public function LichSuCuoc_mc(param1:CompoHistoryJackpot)
        {
            this.listUserInfoMc = [];
            this.compoHistoryJackpot = param1;
            this.spLichSuCuocSource = new MGSprite();
            var _loc_2:* = new MGSprite();
            _loc_2.graphics.beginFill(16744576);
            _loc_2.graphics.drawRect(0, 0, 1260, 430);
            _loc_2.graphics.endFill();
            _loc_2.visible = false;
            this.spLichSuCuocSource.addChild(_loc_2);
            return;
        }// end function

        public function show(param1:Array, param2:int = -1) : void
        {
            var _loc_4:JackpotRowMC = null;
            this.removeAllInfoUser();
            if (param1.length == 0)
            {
                return;
            }
            var _loc_3:Number = 0;
            var _loc_5:* = param1.length;
            var _loc_6:* = _loc_5 - 1;
            while (_loc_6 >= 0)
            {
                
                _loc_4 = this.createInfoUserMc(param1[_loc_6], param2);
                if (_loc_4 == null)
                {
                }
                else
                {
                    _loc_4.y = _loc_3;
                    _loc_3 = _loc_3 + _loc_4.height;
                    this.spLichSuCuocSource.addChild(_loc_4);
                    this.listUserInfoMc.push(_loc_4);
                }
                _loc_6 = _loc_6 - 1;
            }
            if (this.scroll == null)
            {
                this.scroll = new IOSScrollArea(1260, 430, false);
                this.addChild(this.scroll);
                this.addChild(this.spLichSuCuocSource);
                this.scroll.Initialize(IOSScrollArea.VERTICAL, this.spLichSuCuocSource);
            }
            return;
        }// end function

        private function createInfoUserMc(param1:Object, param2:int = -1) : JackpotRowMC
        {
            var _loc_12:CardValue = null;
            var _loc_3:* = param1[this.DATE_TIME];
            var _loc_4:* = _loc_3.match(/(\d\d)\/(\d\d)\/(\d\d\d\d)""(\d\d)\/(\d\d)\/(\d\d\d\d)/);
            var _loc_5:* = param1[this.BOARD_ID];
            var _loc_6:* = param1[this.NICK_NAME];
            var _loc_7:* = param1[this.COIN];
            var _loc_8:* = param1[this.LIST_CARD];
            var _loc_9:* = param1[this.MATCH_ID];
            if (param2.toString() == _loc_9)
            {
                return null;
            }
            var _loc_10:int = -1;
            if (param1.hasOwnProperty(this.WIN_TYPE))
            {
                _loc_10 = int(param1[this.WIN_TYPE]);
            }
            var _loc_11:* = new JackpotRowMC();
            _loc_11.txtName.text = _loc_6;
            _loc_11.txtMatchID.text = _loc_5 + " (" + _loc_9 + ")";
            _loc_11.txtDate.text = _loc_3;
            _loc_11.txtGold.text = this.compoHistoryJackpot.formatCoin(_loc_7);
            if (CompoHistoryJackpot.gameId == CardUtilities.XiToGameId)
            {
                _loc_12 = new CardValue();
                _loc_12.show(this.getCardValueAndType(_loc_8));
                _loc_11.mcCardValue.addChild(_loc_12);
                _loc_11.txtValueCard.text = "";
            }
            else
            {
                _loc_11.txtValueCard.text = CardUtilities.getWinTypeString(_loc_10);
            }
            _loc_11.mouseEnabled = false;
            _loc_11.mouseChildren = false;
            return _loc_11;
        }// end function

        private function removeAllInfoUser() : void
        {
            this.spLichSuCuocSource.removeAllChild();
            this.listUserInfoMc.length = 0;
            return;
        }// end function

        public function getCardValueAndType(param1:String) : Array
        {
            var _loc_6:Object = null;
            var _loc_2:* = param1.split(",");
            var _loc_3:* = _loc_2.length;
            var _loc_4:Array = [];
            var _loc_5:int = 0;
            while (_loc_5 < _loc_3)
            {
                
                _loc_6 = this.getCardDetails(int(_loc_2[_loc_5]));
                _loc_4.push(_loc_6);
                _loc_5++;
            }
            return _loc_4;
        }// end function

        private function getCardDetails(param1:int) : Object
        {
            var _loc_2:* = new Object();
            _loc_2 = CardUtilities.getCardInfo(param1);
            var _loc_3:* = param1 / 4 + 2;
            _loc_2.value = _loc_3;
            if (_loc_2.value == 11)
            {
                _loc_2.value = "J";
            }
            else if (_loc_2.value == 12)
            {
                _loc_2.value = "Q";
            }
            else if (_loc_2.value == 13)
            {
                _loc_2.value = "K";
            }
            else if (_loc_2.value == 14)
            {
                _loc_2.value = "A";
            }
            _loc_2.type = param1 % 4 + 1;
            return _loc_2;
        }// end function

    }
}
