package jackpot
{
    import mgame.manager.*;
    import net.mGame.controllers.*;
    import net.mgame.jackpot.*;

    public class ListJackpotContainer extends MGSprite
    {
        private var arrJackpot:Array;
        private var compoHistoryJackpot:CompoHistoryJackpot;
        private var container:MGSprite;
        private var scroll:IOSScrollArea;
        private var heightAfterScaleY:Number;
        public var data:Array;

        public function ListJackpotContainer(param1:CompoHistoryJackpot, param2:Number = 0, param3:Array = null)
        {
            this.arrJackpot = [];
            this.compoHistoryJackpot = param1;
            this.heightAfterScaleY = param2;
            this.data = param3;
            this.container = new MGSprite();
            var _loc_4:* = new MGSprite();
            _loc_4.graphics.beginFill(16744576);
            _loc_4.graphics.drawRect(0, 0, 1260, 430 * (param2 / 720));
            _loc_4.graphics.endFill();
            _loc_4.visible = false;
            this.container.addChild(_loc_4);
            this.initListJackPot();
            return;
        }// end function

        private function removeAllItem() : void
        {
            this.container.removeAllChild();
            this.arrJackpot.length = 0;
            return;
        }// end function

        public function initListJackPot() : void
        {
            var _loc_2:ItemJackpotMC = null;
            var _loc_3:Object = null;
            this.removeAllItem();
            if (this.data == null || this.data.length == 0)
            {
                return;
            }
            var _loc_1:Number = 0;
            for each (_loc_3 in this.data)
            {
                
                _loc_2 = new ItemJackpotMC();
                _loc_2.txtJackpotItem.text = _loc_3.n;
                _loc_2.txtPercent.text = _loc_3.p + "%";
                if (_loc_2 == null)
                {
                    continue;
                }
                _loc_2.y = _loc_1;
                _loc_1 = _loc_1 + _loc_2.height;
                this.container.addChild(_loc_2);
                this.arrJackpot.push(_loc_2);
            }
            if (this.scroll == null)
            {
                this.scroll = new IOSScrollArea(1260, 430 * (this.heightAfterScaleY / 720), false);
                this.addChild(this.scroll);
                this.addChild(this.container);
                this.scroll.Initialize(IOSScrollArea.VERTICAL, this.container);
            }
            return;
        }// end function

    }
}
