package net.mgame.controllers
{
    import ICompoLuat.*;
    import MGameEvents.*;
    import MGameUtilities.*;
    import __AS3__.vec.*;
    import flash.events.*;
    import flash.net.*;
    import mx.utils.*;
    import net.king.*;
    import net.king.data.*;
    import net.king.entities.*;
    import net.mgame.components.*;
    import net.mgame.defaultcomponents.*;
    import net.mgame.keys.*;
    import net.mgame.models.*;
    import net.mgame.utils.*;

    public class GlobalListeners extends Object
    {
        private var gameLoader:GameLoader;
        public var isChangeServer:Boolean = false;
        private var userIdToKick:Number;
        private var boardToKick:Number;

        public function GlobalListeners(param1:GameLoader)
        {
            this.gameLoader = param1;
            param1.addEventListener(HeaderEvent.FRIENDS, this.onOpenFriends, false, 0, true);
            param1.addEventListener(HeaderEvent.GO_BACK_TO_PHONGCHO, this.onBackToLobby, false, 0, true);
            param1.addEventListener(HeaderEvent.CHOI_NGAY, this.onChoiNgay, false, 0, true);
            param1.addEventListener(HeaderEvent.TAO_BAN_RIENG, this.onCreateBoard, false, 0, true);
            param1.addEventListener(HeaderEvent.PROFILE, this.onViewProfile, false, 0, true);
            param1.addEventListener(HeaderEvent.BUY_USD, this.onOpenBuyItemBarCuoc, false, 0, true);
            param1.addEventListener(HeaderEvent.SETTING, this.onUseSetting, false, 0, true);
            param1.addEventListener(HeaderEvent.TAKE_PHOTO, this.onTakePhoto, false, 0, true);
            param1.addEventListener(HeaderEvent.EFFECT, this.onOpenGuide, false, 0, true);
            param1.addEventListener(HeaderEvent.NAP_GOLD, this.onNapGold, false, 0, true);
            param1.addEventListener(JoinBoardEvent.VIEWER_JOIN_BOARD, this.onViewerJoinBoard, false, 0, true);
            param1.addEventListener(JoinBoardEvent.JOIN_BOARD_HIDE, this.onJoinBoardHide, false, 0, true);
            param1.addEventListener(JoinBoardEvent.KICK_BOARD, this.onKickBoard, false, 0, true);
            param1.addEventListener(JoinBoardEvent.SEAT_TO_PLAY, this.onUserSeatToPlay, false, 0, true);
            param1.addEventListener(KickUserEvent.KICK, this.onAdminKickUser, false, 0, true);
            param1.addEventListener(JoinBoardEvent.USER_SIT_TO_PLAY, this.onUserSitToPlayInBoard, false, 0, true);
            param1.addEventListener(LuatGameEvent.CHANGE_RULE, this.setGameRule);
            param1.addEventListener(LoadNewRoomEvent.LOAD, this.onJoinGroup, false, 0, true);
            param1.addEventListener(MenuInviteEvent.INVITE, this.onShowBETDialog, false, 0, true);
            param1.addEventListener(TopCaoThuEvent.LOAD_LIST_TOP_CAO_THU, this.onLoadTopCaoThu, false, 0, true);
            param1.addEventListener(TopCaoThuEvent.SELECT_CAO_THU, this.onSelectCaoThu, false, 0, true);
            param1.addEventListener(SendSelectedUserEvents.SELECT_USER, this.onShowMenuPUBAvatar, false, 0, true);
            param1.addEventListener(MenuInviteEvent.LINK_PERSONALPAGE, this.onLinkPersonalPage, false, 0, true);
            param1.addEventListener(MenuInviteEvent.JOIN_ASSOCIATION, this.onJoinBangHoi, false, 0, true);
            param1.addEventListener(MenuInviteEvent.ADD_BLACK_LIST, this.onAddUserIntoBlackList, false, 0, true);
            param1.addEventListener(MenuInviteEvent.INVITE_DIALOG, this.onInviteToPlay, false, 0, true);
            param1.addEventListener(IconUserFullEvent.STAND_UP, this.onStandUp, false, 0, true);
            param1.addEventListener(IconUserFullEvent.CAST_MONEY, this.onOpenPopupTransferMoney, false, 0, true);
            param1.addEventListener(IconUserFullEvent.VIEW_SHOP_ASSET, this.onShowShopAsset, false, 0, true);
            param1.addEventListener(IconUserFullEvent.VIEW_ASSET, this.onShowPersonalAssets, false, 0, true);
            param1.addEventListener(IconUserFullEvent.JOIN_GROUP, this.onJoinBangHoi, false, 0, true);
            param1.addEventListener(IconUserFullEvent.USER_INFO, this.onShowUserInfo, false, 0, true);
            param1.addEventListener(IconUserFullEvent.BOARD_BLACK_LIST, this.onBoardBlackList, false, 0, true);
            param1.addEventListener(MakeFriendEvent.MAKE_FRIEND, this.onMakeFriend, false, 0, true);
            param1.addEventListener(IconUserFullEvent.LOCK_CHAT, this.onLockChat, false, 0, true);
            param1.addEventListener(ItemBarEvent.REQUEST_TO_GET_NEXT_ITEM, this.onRequestToGetNextItem, false, 0, true);
            param1.addEventListener(EmotionListEvent.LOAD, this.onLoadEmotion, false, 0, true);
            param1.addEventListener(EmotionListEvent.USE_EMOTION, this.onUseEmotion, false, 0, true);
            param1.addEventListener(SendChatEvent.SEND_MESCHAT_PRIVATE, this.onSendChatTextPrivate, false, 0, true);
            param1.addEventListener(SendSelectedUserEvents.SELECT_USER_FROM_BOX_FRIEND, this.onSelectUserFromBoxFriend, false, 0, true);
            param1.addEventListener(CompoFriendEvent.BANG_HOI, this.onViewMemberInBangHoi, false, 0, true);
            param1.addEventListener(CompoFriendEvent.BAN_BE, this.onReViewFriend, false, 0, true);
            param1.addEventListener(CompoFriendEvent.MOVE_SERVER, this.onMoveServer, false, 0, true);
            param1.addEventListener(CompoFriendEvent.PHONG_CHO, this.onViewUserLobby, false, 0, true);
            param1.addEventListener(CompoFriendEvent.SHOW_BOX_FRIEND_TO_INVITE, this.onShowBoxFriendToInvite, false, 0, true);
            param1.addEventListener(CompoFriendEvent.BLACK_LIST, this.onViewUserBlackList, false, 0, true);
            param1.addEventListener(CompoFriendEvent.REMOVE_BLACK_LIST, this.onRemoveBlackList, false, 0, true);
            param1.addEventListener(SettingEvent.SETUP, this.onSetupSetting, false, 0, true);
            param1.addEventListener(ComplainEvent.SendComplain, this.onSendComplain, false, 0, true);
            param1.addEventListener(DealCardEvent.REQUEST_START, this.onRequestStartGame, false, 0, true);
            param1.addEventListener(DealCardEvent.REQUEST_START_GAME_SUCCESSFULLY, this.onRequestStartGameSuccessfully, false, 0, true);
            param1.addEventListener(KickUserEvent.STAND_UP, this.onStandUpByMyself, false, 0, true);
            param1.addEventListener(KickUserEvent.STAND_UP_BY_OWNER, this.onStandUpByRoomOwner, false, 0, true);
            param1.addEventListener(KickUserEvent.BLACK_LIST, this.onKickBlackList, false, 0, true);
            param1.addEventListener(AssociationEvent.SEND_GET_EXP_OR_COIN, this.onSendGetExpAndCoinForAssociation, false, 0, true);
            param1.addEventListener(UploadAvatarEvent.UPLOAD, this.onUploadAvatar, false, 0, true);
            param1.addEventListener(UploadAvatarEvent.ACTIVE, this.onActiveAvatar, false, 0, true);
            param1.addEventListener(UploadAvatarEvent.UNUPLOAD, this.onUnUploadAvatar, false, 0, true);
            param1.addEventListener(EnterPasswordEvent.ENTER_PASSWORD, this.onEnterPassword, false, 0, true);
            param1.addEventListener(CompoMenuMyInfo.SHOW_EMOTICON, this.onShowEmoticonFromCompoMenuMyInfo);
            param1.addEventListener(CompoMenuMyInfo.SHOW_MY_INFO, this.onShowMyInfoFromCompoMenuMyInfo);
            param1.addEventListener(CompoMenuMyInfo.SHOW_MARKET, this.onShowMarketFromCompoMenuMyInfo);
            param1.addEventListener(CompoHeaderBarInGame.SET_SOUND_VIBRATION, this.onOpenPopUpSupportAndGold);
            param1.addEventListener(CustomEvent.OPEN_POPUP_USERINFO, this.onOpenPopUpUserInfo);
            return;
        }// end function

        private function onOpenPopUpUserInfo(event:CustomEvent) : void
        {
            this.gameLoader.playSoundClick();
            if (this.gameLoader.isGame())
            {
                return;
            }
            this.gameLoader.lobbyScreen.loadDataThongTinScreen();
            return;
        }// end function

        public function onOpenPopUpSupportAndGold(event:Event) : void
        {
            this.gameLoader.dispatchEvent(new CustomEvent(CustomEvent.OPEN_POPUP_SUPPORT_GOLD, {}, true));
            return;
        }// end function

        private function getMessageDetail(event:HeaderEvent) : void
        {
            var _loc_2:* = new WebServiceControler(this.gameLoader.global.APIWebServicePath);
            var _loc_3:* = StringUtil.substitute(this.gameLoader.global.WS_API.DETAIL_MESSAGE, event.data);
            _loc_2.callWebService(_loc_3, this.onGetMessageDetailFisnish);
            return;
        }// end function

        private function onGetMessageDetailFisnish(param1:String) : void
        {
            return;
        }// end function

        private function getEventDetail(event:HeaderEvent) : void
        {
            var _loc_2:* = new WebServiceControler(this.gameLoader.global.APIWebServicePath);
            var _loc_3:* = StringUtil.substitute(this.gameLoader.global.WS_API.DETAIL_EVENT, event.data);
            _loc_2.callWebService(_loc_3, this.onGetEventDetailFisnish);
            return;
        }// end function

        private function onGetEventDetailFisnish(param1:String) : void
        {
            return;
        }// end function

        private function onNapGold(event:HeaderEvent) : void
        {
            var _loc_3:WebServiceControler = null;
            var _loc_4:String = null;
            this.gameLoader.playSoundClick();
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                _loc_3 = new WebServiceControler(this.gameLoader.global.APIWebServicePath);
                _loc_4 = StringUtil.substitute(this.gameLoader.global.WS_API.NAP_TIEN, this.gameLoader.global.myUserId, _loc_2.serial, _loc_2.cardnumber, _loc_2.cardtype);
                _loc_3.callWebService(_loc_4, this.onNapGoldFinish);
            }
            return;
        }// end function

        private function getMessage() : void
        {
            var _loc_1:* = new WebServiceControler(this.gameLoader.global.APIWebServicePath);
            var _loc_2:* = StringUtil.substitute(this.gameLoader.global.WS_API.MESSAGES, this.gameLoader.global.myUserId, StringUtils.formatDateTimeStandard(new Date(), "ddMMyyyy"));
            _loc_1.callWebService(_loc_2, this.onGetMessageFisnish);
            return;
        }// end function

        private function getListEvent() : void
        {
            var _loc_1:* = new WebServiceControler(this.gameLoader.global.APIWebServicePath);
            var _loc_2:* = this.gameLoader.global.WS_API.LIST_EVENT;
            _loc_1.callWebService(_loc_2, this.onGetListEventFisnish);
            return;
        }// end function

        private function onGetListEventFisnish(param1:String) : void
        {
            var _loc_2:* = KingJson.parse(param1);
            if (_loc_2.status == "0")
            {
                this.gameLoader.globalComponents.compoNotify.Show(_loc_2.message);
            }
            return;
        }// end function

        private function onGetMessageFisnish(param1:String) : void
        {
            var _loc_2:* = KingJson.parse(param1);
            if (_loc_2.status == "0")
            {
                this.gameLoader.globalComponents.compoNotify.Show(_loc_2.message);
            }
            return;
        }// end function

        private function onNapGoldFinish(param1:String) : void
        {
            var _loc_2:* = KingJson.parse(param1);
            if (_loc_2.status == "0")
            {
                this.gameLoader.globalComponents.compoNotify.Show(_loc_2.message);
            }
            else
            {
                this.gameLoader.controller.sendRequestUpdateMyCoin();
            }
            return;
        }// end function

        private function onShowMyInfoFromCompoMenuMyInfo(event:Event) : void
        {
            this.gameLoader.playSoundClick();
            this.gameLoader.dispatchEvent(new IconUserFullEvent(IconUserFullEvent.USER_INFO, {UserId:this.gameLoader.global.MyInfo.userId}, true));
            return;
        }// end function

        private function onShowEmoticonFromCompoMenuMyInfo(event:Event) : void
        {
            this.gameLoader.playSoundClick();
            this.gameLoader.dispatchEvent(new EmotionListEvent(EmotionListEvent.LOAD, {UserID:this.gameLoader.global.MyInfo.userId}, true));
            return;
        }// end function

        private function onShowMarketFromCompoMenuMyInfo(event:Event) : void
        {
            this.gameLoader.playSoundClick();
            this.gameLoader.global.onlyShowGameItem = true;
            this.gameLoader.controller.sendGetItemBarAllCategory(this.gameLoader.global.MyInfo.userId);
            return;
        }// end function

        private function onSendCreateBoardBar(event:CustomEvent) : void
        {
            var _loc_2:* = event.data.betCoin;
            if (_loc_2 > this.gameLoader.global.MyInfo.coin)
            {
                this.gameLoader.globalComponents.compoNotify.Show("B?n kh");
                return;
            }
            this.gameLoader.controller.createRoom(_loc_2, 0, "", 0);
            return;
        }// end function

        private function onSelectCaoThu(event:TopCaoThuEvent) : void
        {
            var _loc_2:* = int(event.data.UserId);
            var _loc_3:* = this.gameLoader.global.getUser(_loc_2);
            if (_loc_3 == null)
            {
                this.gameLoader.controller.sendGetAllInfoUser(_loc_2);
                return;
            }
            var _loc_4:* = UserInfo.fromUser(_loc_3);
            this.showCompoMenuPUBAvatar(_loc_4);
            return;
        }// end function

        final private function showCompoMenuPUBAvatar(param1:UserInfo) : void
        {
            return;
        }// end function

        private function onLoadTopCaoThu(event:TopCaoThuEvent) : void
        {
            this.gameLoader.controller.sendGetListCaoThu();
            return;
        }// end function

        private function onOpenGuide(event:HeaderEvent) : void
        {
            this.gameLoader.playSoundClick();
            navigateToURL(new URLRequest(this.gameLoader.global.huongDanChoiGameURL), "_blank");
            return;
        }// end function

        private function onMoveServer(event:CompoFriendEvent) : void
        {
            var _loc_3:Number = NaN;
            var _loc_2:* = event.data.gameId;
            if (this.gameLoader.global.isGame4(_loc_2))
            {
                _loc_3 = event.data.UserId;
                this.gameLoader.controller.sendMoveToNewServer(_loc_3);
            }
            else
            {
                this.gameLoader.globalComponents.compoNotify.Show("B?n ch? c");
            }
            return;
        }// end function

        private function onEnterPassword(event:EnterPasswordEvent) : void
        {
            var _loc_2:* = event.data.roomId;
            var _loc_3:* = event.data.position;
            var _loc_4:* = event.data.password;
            this.gameLoader.controller.joinRoomWithPassword(_loc_2, _loc_3, _loc_4);
            return;
        }// end function

        private function onAddUserIntoBlackList(event:MenuInviteEvent) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            var _loc_2:* = int(event.data.UserId);
            this.gameLoader.controller.sendAddIntoBlackListUser(_loc_2);
            return;
        }// end function

        private function onRemoveBlackList(event:CompoFriendEvent) : void
        {
            var _loc_2:String = "";
            var _loc_3:* = int(event.data.UserId);
            this.gameLoader.controller.sendRemoveUserOutBlackList(_loc_3);
            return;
        }// end function

        private function onViewUserBlackList(event:CompoFriendEvent) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            this.gameLoader.controller.sendGetUsersInBlackList();
            return;
        }// end function

        private function onBoardBlackList(event:IconUserFullEvent) : void
        {
            return;
        }// end function

        private function onUnUploadAvatar(event:UploadAvatarEvent) : void
        {
            this.gameLoader.globalComponents.compoNotify.Show("Kch thu?c hnh vu?t qu 500kb. Vui l");
            return;
        }// end function

        private function onActiveAvatar(event:UploadAvatarEvent) : void
        {
            var _loc_3:String = null;
            var _loc_4:String = null;
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                _loc_3 = _loc_2.Avatarid;
                _loc_4 = _loc_2.AvatarName;
            }
            this.gameLoader.controller.sendActiveAvatar(this.gameLoader.global.MyInfo.userId, _loc_3, _loc_4);
            return;
        }// end function

        private function onUploadAvatar(event:UploadAvatarEvent) : void
        {
            return;
        }// end function

        private function onRequestStartGameSuccessfully(event:DealCardEvent) : void
        {
            if (this.gameLoader.global.MyInfo.isPlaying)
            {
                this.gameLoader.global.startTimerToUpdateTimePlay();
            }
            this.gameLoader.globalComponents.compoSetting.Hide();
            return;
        }// end function

        private function onSendGetExpAndCoinForAssociation(event:AssociationEvent) : void
        {
            return;
        }// end function

        private function onAdminKickUser(event:KickUserEvent) : void
        {
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                this.userIdToKick = _loc_2.UserId;
                this.gameLoader.globalComponents.compoNotify.ShowWithConfirm(StringUtils.formatString(this.gameLoader.global.kickUserMessage, _loc_2.NickName), this.onKickUser);
            }
            return;
        }// end function

        private function onKickUser() : void
        {
            this.gameLoader.controller.adminKickUser(this.userIdToKick);
            return;
        }// end function

        private function onStandUpByRoomOwner(event:KickUserEvent) : void
        {
            if (this.gameLoader.global.listUserWillBeStandUp.length > 0)
            {
                this.gameLoader.controller.sendStandUpByRoomOwner(this.gameLoader.global.listUserWillBeStandUp);
                this.gameLoader.global.listUserWillBeStandUp = [];
            }
            return;
        }// end function

        private function onKickBlackList(event:KickUserEvent) : void
        {
            if (this.gameLoader.global.isPlaying == false)
            {
                this.gameLoader.controller.sendKickBlackList();
            }
            return;
        }// end function

        private function onStandUpByMyself(event:KickUserEvent) : void
        {
            if (this.gameLoader.global.isStandUpAfterPlaying)
            {
                this.gameLoader.controller.sendStandUp(this.gameLoader.global.Me.getId(), true);
            }
            return;
        }// end function

        private function onUserSitToPlayInBoard(event:JoinBoardEvent) : void
        {
            var _loc_2:int = 0;
            var _loc_3:Number = NaN;
            var _loc_4:String = null;
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            if (this.gameLoader.global.MyInfo.userKind == GlobalConstants.ADMIN_USERTYPE || this.gameLoader.global.MyInfo.userKind == GlobalConstants.MOD_USERTYPE)
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.cannotPlayMessage);
                return;
            }
            if (this.gameLoader.global.checkUserCoinWithBetCoin())
            {
                _loc_2 = int(event.data.position);
                _loc_3 = this.gameLoader.global.MyInfo.joinedRoom.getId();
                this.gameLoader.controller.joinRoom(_loc_3, _loc_2);
            }
            else
            {
                _loc_4 = StringUtils.formatString(this.gameLoader.global.cannotSitDownMessage, this.gameLoader.global.getBetCondition(this.gameLoader.global.getRoomRules()));
                this.gameLoader.globalComponents.compoNotify.Show(_loc_4);
            }
            return;
        }// end function

        private function onRequestStartGame(event:DealCardEvent) : void
        {
            var _loc_2:int = 0;
            var _loc_5:Object = null;
            var _loc_6:Boolean = false;
            var _loc_7:CompoSettingM = null;
            var _loc_8:Boolean = false;
            var _loc_9:Array = null;
            this.gameLoader.playSoundClick();
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            var _loc_3:* = event.data[JSONKeys.IS_FROM_SETTING];
            if (this.gameLoader.globalComponents.compoSetting.compoLuatGame)
            {
                _loc_3 = this.gameLoader.global.isDifferenceSetting(this.gameLoader.global.getRoomBetCoin(), this.gameLoader.global.getRoomBetTime(), this.gameLoader.global.getRoomRules(), this.gameLoader.global.isSolo, this.gameLoader.global.isGopGa);
            }
            else
            {
                _loc_3 = this.gameLoader.global.isDifferenceSetting(this.gameLoader.global.getRoomBetCoin(), this.gameLoader.global.getRoomBetTime(), this.gameLoader.global.getRoomRules(), false, this.gameLoader.global.isGopGa);
            }
            var _loc_4:* = this.gameLoader.global.getNumPlayer(this.gameLoader.global.MyInfo.joinedRoom);
            if (_loc_4 >= this.gameLoader.global.minPlayer || _loc_3)
            {
                _loc_5 = {};
                _loc_5[JSONKeys.BET_COIN] = this.gameLoader.global.betCoin;
                _loc_5[JSONKeys.TIME_OUT] = this.gameLoader.global.betTime;
                _loc_6 = false;
                _loc_7 = this.gameLoader.globalComponents.compoSetting;
                if (_loc_7.compoLuatGame)
                {
                    _loc_6 = _loc_7.compoLuatGame.isSolo;
                }
                _loc_5[JSONKeys.IS_SOLO] = _loc_6;
                _loc_8 = _loc_7.isGopGa;
                _loc_5[JSONKeys.IS_GOPGA] = _loc_8;
                if (this.gameLoader.global.rules.length == 0)
                {
                    if (!this.gameLoader.global.isGameU9La && this.gameLoader.global.gameID != GlobalConstants.XiToGameId)
                    {
                        this.gameLoader.global.rules = this.gameLoader.globalComponents.compoSetting.GetDefaultRule();
                    }
                }
                _loc_5[JSONKeys.RULES] = this.gameLoader.global.rules;
                if (event.data)
                {
                    _loc_9 = event.data[JSONKeys.LIST_CARD] as Array;
                    if (_loc_9)
                    {
                        if (_loc_9.length > 1)
                        {
                            _loc_5[JSONKeys.LIST_CARD] = _loc_9;
                        }
                    }
                }
                if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.gameID == GlobalConstants.LiengId)
                {
                    _loc_2 = int(event.data[JSONKeys.CUSTOM_MAX_PLAYER]);
                    if (_loc_2 > 0)
                    {
                        _loc_5[JSONKeys.CUSTOM_MAX_PLAYER] = _loc_2;
                    }
                }
                this.gameLoader.gameScreen.hideStartButton();
                this.gameLoader.controller.requestStartGame(_loc_5);
            }
            else
            {
                if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.gameID == GlobalConstants.LiengId)
                {
                    _loc_2 = int(event.data[JSONKeys.CUSTOM_MAX_PLAYER]);
                    if (_loc_2 > 0)
                    {
                        this.gameLoader.controller.sendUpdateCustomMaxPlayer(_loc_2);
                    }
                }
                this.gameLoader.gameScreen.Notice = this.gameLoader.global.dontHaveEnoughPlayerMessage;
                this.gameLoader.gameScreen.updateDealerUser(this.gameLoader.global.dealerId);
            }
            return;
        }// end function

        private function onShowBoxFriendToInvite(event:CompoFriendEvent) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            var _loc_2:* = int(event.data.position);
            if (this.gameLoader.isGame())
            {
                this.gameLoader.globalComponents.compoPUBInGame.Position = _loc_2;
                this.gameLoader.globalComponents.compoPUBInGame.BetCoin = this.gameLoader.global.getRoomBetCoin();
                this.gameLoader.globalComponents.compoPUBInGame.TimeOutInit = this.gameLoader.global.getRoomBetTime();
                this.gameLoader.controller.sendGetLobbyUsers();
            }
            return;
        }// end function

        private function onLinkPersonalPage(event:MenuInviteEvent) : void
        {
            var _loc_2:* = StringUtils.formatString(this.gameLoader.global.personalPage, event.data.UserId);
            navigateToURL(new URLRequest(_loc_2), "_blank");
            return;
        }// end function

        final private function onSendChatTextPrivate(event:SendChatEvent) : void
        {
            var _loc_5:String = null;
            this.gameLoader.playSoundClick();
            var _loc_2:* = event.data.ReceiverId;
            var _loc_3:* = event.data.ReceiverNickname;
            if (this.gameLoader.global.MyInfo.isPlayer == false && this.gameLoader.isGame())
            {
                return;
            }
            if (this.gameLoader.isLobby() == false && this.gameLoader.global.isCanChat == false && this.gameLoader.global.isTourRoom)
            {
                return;
            }
            var _loc_4:* = event.data.Msg;
            if (_loc_4.length > 0)
            {
                _loc_4 = _loc_4.substr(0, int(GlobalConstants.MaxChatLen));
                if (this.gameLoader.global.hasInvalidText(_loc_4))
                {
                    return;
                }
                this.gameLoader.controller.sendTextChat(_loc_2, _loc_3, StringFormat.ConvertTags(_loc_4));
                if (int(_loc_2) > 0)
                {
                    _loc_5 = _loc_3;
                }
            }
            _loc_4 = null;
            event = null;
            return;
        }// end function

        final private function onStandUp(event:IconUserFullEvent) : void
        {
            var _loc_3:User = null;
            var _loc_4:UserInfo = null;
            var _loc_5:StandUpPopUpMC = null;
            var _loc_6:String = null;
            if (this.gameLoader.isLobby())
            {
                return;
            }
            var _loc_2:* = int(event.data.UserId);
            if (_loc_2 > 0)
            {
                if (this.gameLoader.global.MyInfo.userId != _loc_2)
                {
                    if (this.gameLoader.global.isTourRoomAndShowMessage())
                    {
                        return;
                    }
                    if (this.gameLoader.global.gameID == GlobalConstants.TienlenMNGameId || this.gameLoader.global.gameID == GlobalConstants.TienlenMNGame41Id)
                    {
                        this.gameLoader.globalComponents.compoNotify.Show("Game TLMN t?m th?i kh");
                        return;
                    }
                    if (this.gameLoader.global.gameID == GlobalConstants.SamId)
                    {
                        this.gameLoader.globalComponents.compoNotify.Show("Game Sm L?c t?m th?i kh");
                        return;
                    }
                }
                _loc_3 = this.gameLoader.global.getUser(_loc_2);
                _loc_4 = UserInfo.fromUser(_loc_3);
                if (_loc_2 == this.gameLoader.global.MyInfo.userId && _loc_4.isPlaying)
                {
                    _loc_5 = this.gameLoader.globalComponents.standUpPopUp_mc;
                    _loc_5.Hide_btn.addEventListener(MouseEvent.CLICK, this.onHideStandUpPopUp, false, 0, true);
                    _loc_5.dongY_btn.addEventListener(MouseEvent.CLICK, this.onStandUpPopUp, false, 0, true);
                    _loc_5.addEventListener(MouseEvent.MOUSE_DOWN, this.gameLoader.global.onDrag, false, 0, true);
                    _loc_5.addEventListener(MouseEvent.MOUSE_UP, this.gameLoader.global.onDrop, false, 0, true);
                    _loc_5.visible = true;
                    _loc_5.UserId = _loc_2;
                }
                else if (_loc_2 == this.gameLoader.global.MyInfo.userId && _loc_4.isPlaying == false)
                {
                    this.gameLoader.controller.sendStandUp(_loc_2, true);
                }
                else if (this.gameLoader.global.MyInfo.isRoomOwner && _loc_4.isPlaying == false)
                {
                    this.gameLoader.controller.sendStandUpByRoomOwner([_loc_2]);
                    this.gameLoader.controller.sendNoticeForUserKickedAfterEndMatch(_loc_2);
                }
                else if (this.gameLoader.global.MyInfo.isRoomOwner && _loc_4.isPlaying)
                {
                    if (this.gameLoader.global.listUserWillBeStandUp.indexOf(_loc_2) == -1)
                    {
                        this.gameLoader.global.listUserWillBeStandUp.push(_loc_2);
                        _loc_6 = "<font color=\'#FFFF99\'><b>" + _loc_4.nickName + this.gameLoader.global.getMessageUserStandUp() + "</b></font>";
                        this.gameLoader.controller.sendNoticeForUserKickedAfterEndMatch(_loc_2);
                    }
                }
            }
            return;
        }// end function

        final private function onHideStandUpPopUp(event:MouseEvent) : void
        {
            this.gameLoader.playSoundClick();
            this.gameLoader.globalComponents.standUpPopUp_mc.Hide_btn.removeEventListener(MouseEvent.CLICK, this.onHideStandUpPopUp);
            this.gameLoader.globalComponents.standUpPopUp_mc.dongY_btn.removeEventListener(MouseEvent.CLICK, this.onStandUpPopUp);
            this.gameLoader.globalComponents.standUpPopUp_mc.visible = false;
            this.gameLoader.globalComponents.standUpPopUp_mc.resetStateBtn();
            return;
        }// end function

        final private function onStandUpPopUp(event:MouseEvent) : void
        {
            var _loc_4:Boolean = false;
            this.gameLoader.playSoundClick();
            var _loc_2:* = this.gameLoader.globalComponents.standUpPopUp_mc;
            if (!_loc_2.visible)
            {
                return;
            }
            var _loc_3:* = Number(_loc_2.UserId);
            if (_loc_3 > 0)
            {
                _loc_4 = _loc_2.isDungDayLien();
                if (_loc_4)
                {
                    if (this.gameLoader.global.MyInfo.userId == _loc_3)
                    {
                        this.gameLoader.controller.sendStandUp(_loc_3, true);
                    }
                }
                else
                {
                    this.gameLoader.controller.sendStandUp(_loc_3, false);
                }
            }
            this.onHideStandUpPopUp(event);
            return;
        }// end function

        final private function onOpenPopupTransferMoney(event:IconUserFullEvent) : void
        {
            if (this.gameLoader.global.isTourRoom)
            {
                return;
            }
            var _loc_2:* = Number(event.data.UserId);
            if (_loc_2 != this.gameLoader.global.MyInfo.userId)
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.disableTransferMoneyMessage);
                return;
            }
            return;
        }// end function

        final private function onShowShopAsset(event:IconUserFullEvent) : void
        {
            return;
        }// end function

        final private function onShowPersonalAssets(event:IconUserFullEvent) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
            {
                this.gameLoader.globalComponents.compoNotify.Show("Kh");
                return;
            }
            var _loc_2:* = event.data as Object;
            if (_loc_2 != null)
            {
                this.gameLoader.controller.SendGetPersonalAssets(_loc_2.UserId);
                _loc_2 = null;
            }
            event = null;
            return;
        }// end function

        final private function onJoinBangHoi(param1:Object) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            var _loc_2:* = param1.data as Object;
            var _loc_3:Object = {};
            _loc_3[JSONKeys.USER_ID_SEND] = this.gameLoader.global.MyInfo.userId;
            _loc_3[JSONKeys.USERID_RECIEVER] = _loc_2.UserId;
            _loc_3[JSONKeys.TYPE_OF_REQUEST] = GlobalConstants.INVITE;
            this.gameLoader.controller.sendInviteJoinBang(_loc_3);
            return;
        }// end function

        private function onLockChat(event:IconUserFullEvent) : void
        {
            var _loc_2:* = this.gameLoader.gameScreen.getChildObjectbyName("compoUserInfoPlay_" + event.data.position) as CompoUserInfoPlay;
            if (_loc_2 != null)
            {
                _loc_2.lockChat = !_loc_2.lockChat;
            }
            return;
        }// end function

        final private function onShowUserInfo(event:IconUserFullEvent) : void
        {
            this.gameLoader.playSoundClick();
            var _loc_2:* = Number(event.data.UserId);
            if (this.gameLoader.global.MyInfo.userId != _loc_2)
            {
                if (this.gameLoader.global.isVongGiauMat() && this.gameLoader.global.isTourRoomAndShowMessage())
                {
                    return;
                }
            }
            var _loc_3:* = this.gameLoader.global.getUser(_loc_2);
            if (_loc_3 == null)
            {
                return;
            }
            var _loc_4:* = UserInfo.fromUser(_loc_3);
            var _loc_5:* = this.gameLoader.gameScreen.getChildObjectbyName("compoUserInfoPlay_" + _loc_4.position) as CompoUserInfoPlay;
            var _loc_6:* = this.gameLoader.globalComponents.compoMenuMyInfo;
            _loc_6.visible = true;
            _loc_6.IsMe = _loc_4.userId == this.gameLoader.global.MyInfo.userId;
            _loc_6.UserId = _loc_4.userId;
            if (this.gameLoader.global.ListFriendID.indexOf("," + _loc_6.UserId + ",") > -1)
            {
                _loc_6.isFriend = true;
            }
            else
            {
                _loc_6.isFriend = false;
            }
            _loc_6.isLockChat = _loc_5 != null ? (_loc_5.IsLockChat()) : (false);
            _loc_6.isRoomOwner = !this.gameLoader.global.MyInfo.isRoomOwner;
            _loc_6.NickName = _loc_4.nickName;
            _loc_6.Bang = _loc_4.assName;
            _loc_6.hideBangBtn = false;
            if (this.gameLoader.global.MyInfo.userId != _loc_4.userId)
            {
                _loc_6.hideBangBtn = true;
            }
            _loc_6.UserType = _loc_4.userKind;
            _loc_6.IsBangChu = _loc_4.isAssOwner;
            _loc_6.Position = _loc_4.position;
            _loc_6.Level = _loc_4.levelUser;
            _loc_6.CoinUser = _loc_4.coin;
            _loc_6.Gender = _loc_4.genderString;
            _loc_6.CategoryUser = _loc_4.categoryUser.toString();
            _loc_6.BChuName = _loc_4.ownerNickName;
            _loc_6.IsBangChuME = this.gameLoader.global.MyInfo.isAssOwner;
            _loc_6.Exp = _loc_4.expScore.toString();
            _loc_6.NextLevelExpRequire = this.gameLoader.global.GetNextExp(_loc_4.levelUser).toString();
            _loc_6.pubID = _loc_4.pubId;
            _loc_6.showMyInfo();
            this.loadExternalUserInfo(_loc_4.userId);
            this.gameLoader.setChildIndex(_loc_6, (this.gameLoader.numChildren - 1));
            _loc_6.AvatarURL = _loc_5 != null ? (_loc_5.Avatar) : (this.gameLoader.global.avatarPath + "noimage.gif");
            return;
        }// end function

        private function loadExternalUserInfo(param1:int) : void
        {
            var _loc_2:* = new WebServiceControler(this.gameLoader.preloader.webserviceInfo.wsPath);
            var _loc_3:* = StringUtil.substitute(this.gameLoader.preloader.webserviceInfo.userProfileParams, param1, param1);
            _loc_2.callWebService(_loc_3, this.onCallBackGetThongTinUser);
            return;
        }// end function

        private function onCallBackGetThongTinUser(param1:String) : void
        {
            var _loc_3:Object = null;
            var _loc_4:String = null;
            var _loc_5:String = null;
            var _loc_6:CompoMenuMyInfo = null;
            var _loc_2:* = KingJson.parse(param1);
            if (_loc_2 == null || parseInt(_loc_2.status) == 0)
            {
                return;
            }
            if (_loc_2.data.length != 0)
            {
                _loc_3 = _loc_2.data[0];
                _loc_4 = _loc_3.time;
                _loc_5 = _loc_3.vippoint;
                _loc_6 = this.gameLoader.globalComponents.compoMenuMyInfo;
                if (_loc_6 != null && _loc_6.visible)
                {
                    _loc_6.TimePlayed = _loc_4;
                    _loc_6.VipPoint = _loc_5;
                }
            }
            return;
        }// end function

        final private function onMakeFriend(event:MakeFriendEvent) : void
        {
            var _loc_3:Number = NaN;
            var _loc_4:String = null;
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                _loc_3 = Number(_loc_2.UserId);
                _loc_4 = _loc_2.NickName;
                if (this.gameLoader.global.ListFriendID.indexOf("," + _loc_3 + ",") == -1)
                {
                    this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.makeFriendSentMessage, true);
                    this.gameLoader.controller.onSendRequestMakeFriend(_loc_3);
                }
                else
                {
                    this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.alreadyIsFriendMessage, _loc_4), true);
                }
                _loc_2 = null;
            }
            event = null;
            return;
        }// end function

        final private function onInviteToPlay(event:MenuInviteEvent) : void
        {
            var _loc_15:UserInfo = null;
            var _loc_16:String = null;
            var _loc_17:User = null;
            var _loc_18:Array = null;
            var _loc_19:int = 0;
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            var _loc_2:* = event.data;
            if (_loc_2 == null)
            {
                return;
            }
            var _loc_3:* = Number(_loc_2.BetCoin);
            var _loc_4:* = int(_loc_2.TimeOut);
            this.gameLoader.global.betTime = _loc_4;
            this.gameLoader.global.betCoin = _loc_3;
            var _loc_5:* = this.gameLoader.global.maxPlayer;
            var _loc_6:Boolean = false;
            _loc_6 = _loc_2.Solo;
            var _loc_7:* = _loc_2.GopGa;
            if (_loc_2.Type == 2)
            {
                if (this.gameLoader.isGame())
                {
                    return;
                }
                this.gameLoader.global.rules = this.gameLoader.globalComponents.compoSetting.GetDefaultRule();
                if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.gameID == GlobalConstants.LiengId)
                {
                    _loc_5 = _loc_2.maxPlayer;
                }
                if (this.gameLoader.global.gameID == GlobalConstants.XiToGameId)
                {
                    this.gameLoader.global.rules = GlobalConstants.LUAT_TU_DONG_THEO_2LA;
                }
                if (this.gameLoader.globalComponents.compoBETDialog.compoLuatGame != null)
                {
                    this.gameLoader.global.rules = this.gameLoader.globalComponents.compoBETDialog.compoLuatGame.Rule;
                }
                this.gameLoader.controller.createRoom(_loc_3, _loc_4, this.gameLoader.global.rules, _loc_5, _loc_6, _loc_7);
                return;
            }
            var _loc_8:* = _loc_2.UserId;
            var _loc_9:Number = 0;
            if (_loc_8.indexOf(",") == -1)
            {
                _loc_9 = Number(_loc_8);
            }
            var _loc_10:* = String(_loc_2.Message);
            var _loc_11:* = String(_loc_2.NickName);
            var _loc_12:* = String(_loc_2.Rule);
            var _loc_13:* = _loc_3 * this.gameLoader.global.getBetCondition(_loc_12);
            var _loc_14:String = "";
            if (this.gameLoader.isLobby())
            {
                if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.gameID == GlobalConstants.LiengId)
                {
                    _loc_5 = _loc_2.maxPlayer;
                }
                if (_loc_9 > 0)
                {
                    _loc_17 = this.gameLoader.global.getUser(_loc_9);
                    if (_loc_17 == null)
                    {
                        this.gameLoader.controller.inviteJoinBoard(_loc_9, -1, _loc_3, _loc_4, _loc_12, this.gameLoader.global.MyInfo.emotionPath, this.gameLoader.global.MyInfo.levelUser, _loc_5, _loc_6, _loc_7);
                        _loc_16 = this.gameLoader.global.inviteMessage;
                        _loc_16 = StringUtils.formatString(_loc_16, _loc_11);
                        this.gameLoader.globalComponents.compoNotify.Show(_loc_16);
                        return;
                    }
                    _loc_15 = UserInfo.fromUser(_loc_17);
                    if (_loc_15 != null)
                    {
                        if (_loc_15.coin < _loc_13 || this.gameLoader.global.MyInfo.coin < _loc_13)
                        {
                            if (_loc_15.coin < _loc_13)
                            {
                                this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.cannotInvitePlayerMessage, _loc_11, this.gameLoader.global.getBetCondition(_loc_12)));
                            }
                            else
                            {
                                this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.cannotInviteMessage, this.gameLoader.global.getBetCondition(_loc_12)));
                            }
                            _loc_15 = null;
                            return;
                        }
                    }
                    this.gameLoader.controller.inviteJoinBoard(_loc_17.getId(), -1, _loc_3, _loc_4, _loc_12, this.gameLoader.global.MyInfo.emotionPath, this.gameLoader.global.MyInfo.levelUser, _loc_5, _loc_6, _loc_7);
                    _loc_16 = this.gameLoader.global.inviteMessage;
                    _loc_16 = StringUtils.formatString(_loc_16, _loc_11);
                    this.gameLoader.globalComponents.compoNotify.Show(_loc_16);
                }
                else
                {
                    _loc_18 = _loc_8.split(",");
                    _loc_19 = 0;
                    while (_loc_19 < _loc_18.length)
                    {
                        
                        this.gameLoader.controller.inviteJoinBoard(Number(_loc_18[_loc_19]), -1, _loc_3, _loc_4, _loc_12, this.gameLoader.global.MyInfo.emotionPath, this.gameLoader.global.MyInfo.levelUser, _loc_5, _loc_6, _loc_7);
                        _loc_19++;
                    }
                }
                this.gameLoader.global.rules = _loc_12;
                this.gameLoader.global.myRules = _loc_12;
                this.gameLoader.global.myBetTime = _loc_4;
                _loc_15 = null;
            }
            return;
        }// end function

        public function IsPLayingWith(param1:int) : Boolean
        {
            var _loc_5:User = null;
            var _loc_2:* = this.gameLoader.global.MyInfo.joinedRoom;
            if (!_loc_2.IsGame())
            {
                return false;
            }
            var _loc_3:* = _loc_2.getPlayerList();
            var _loc_4:int = 0;
            while (_loc_4 < _loc_3.length)
            {
                
                _loc_5 = _loc_3[_loc_4];
                if (_loc_5 != null && _loc_5.getId() == param1)
                {
                    return true;
                }
                _loc_4++;
            }
            return false;
        }// end function

        final private function onShowBETDialog(event:MenuInviteEvent) : void
        {
            var _loc_3:int = 0;
            var _loc_4:Boolean = false;
            var _loc_5:Array = null;
            var _loc_6:Array = null;
            var _loc_7:Number = NaN;
            var _loc_8:int = 0;
            var _loc_9:int = 0;
            var _loc_10:String = null;
            var _loc_11:int = 0;
            var _loc_12:String = null;
            var _loc_13:String = null;
            if (this.gameLoader.global.gameID == GlobalConstants.KenoGameId || this.gameLoader.global.gameID == GlobalConstants.BarGameId || this.gameLoader.global.gameID == GlobalConstants.QuaySoGameId)
            {
                this.gameLoader.globalComponents.compoNotify.Show("Kh");
                return;
            }
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            if (this.gameLoader.global.MyInfo.isAdmin())
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.cannotPlayMessage);
                return;
            }
            var _loc_2:Object = null;
            if (event != null)
            {
                _loc_2 = event.data;
            }
            else
            {
                _loc_2 = {Type:2};
            }
            if (this.gameLoader.isLobby())
            {
                if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
                {
                    this.gameLoader.globalComponents.compoBETDialog.TimeOut = this.gameLoader.global.timeOutTextDefault;
                    this.gameLoader.globalComponents.compoBETDialog.BetTime = 15;
                    this.gameLoader.globalComponents.compoBETDialog.MaxBet = this.gameLoader.global.MyInfo.coin - this.gameLoader.global.MyInfo.coin % 1000;
                    this.gameLoader.globalComponents.compoBETDialog.MinBet = this.gameLoader.global.minBet;
                    this.gameLoader.globalComponents.compoBETDialog.setDefaultBetCoin(this.gameLoader.global.minBet);
                    if (_loc_2.Type == 2)
                    {
                        this.gameLoader.globalComponents.compoBETDialog.UserId = this.gameLoader.global.MyInfo.userId.toString();
                        this.gameLoader.globalComponents.compoBETDialog.NickName = "";
                        this.gameLoader.globalComponents.compoBETDialog.Show(2);
                        return;
                    }
                    this.gameLoader.globalComponents.compoBETDialog.UserId = _loc_2.UserId;
                    this.gameLoader.globalComponents.compoBETDialog.NickName = _loc_2.NickNames;
                    this.gameLoader.globalComponents.compoBETDialog.Show();
                    return;
                }
                _loc_3 = 0;
                if (this.gameLoader.global.gameID == GlobalConstants.BinhGameId)
                {
                    this.gameLoader.globalComponents.compoBETDialog.TimeOut = this.gameLoader.global.timeOutTextBinh;
                    _loc_3 = 30;
                }
                else
                {
                    this.gameLoader.globalComponents.compoBETDialog.TimeOut = this.gameLoader.global.timeOutTextDefault;
                    _loc_3 = 15;
                }
                this.gameLoader.global.myBetTime = _loc_3;
                this.gameLoader.globalComponents.compoBETDialog.MaxBet = this.gameLoader.global.getMaxBet();
                this.gameLoader.globalComponents.compoBETDialog.MinBet = this.gameLoader.global.minBet;
                this.gameLoader.globalComponents.compoBETDialog.setDefaultBetCoin(this.gameLoader.global.minBet);
                this.gameLoader.globalComponents.compoBETDialog.SetRule(this.gameLoader.global.myRules);
                this.gameLoader.globalComponents.compoBETDialog.BetTime = this.gameLoader.global.myBetTime;
                if (this.gameLoader.globalComponents.compoBETDialog.compoLuatGame)
                {
                    this.gameLoader.globalComponents.compoBETDialog.compoLuatGame.enableOptionSolo = true;
                }
                if (_loc_2.Type == 2)
                {
                    this.gameLoader.controller.sendUpdateMaxBet();
                    this.gameLoader.globalComponents.compoBETDialog.UserId = this.gameLoader.global.MyInfo.userId.toString();
                    this.gameLoader.globalComponents.compoBETDialog.NickName = "";
                    this.gameLoader.globalComponents.compoBETDialog.Show(2);
                    return;
                }
                this.gameLoader.globalComponents.compoBETDialog.UserId = _loc_2.UserId;
                this.gameLoader.globalComponents.compoBETDialog.NickName = _loc_2.NickNames;
                this.gameLoader.globalComponents.compoBETDialog.Show();
                this.gameLoader.controller.sendUpdateMaxBet();
            }
            else if (this.gameLoader.isGame())
            {
                if (event.data.UserId != null)
                {
                    _loc_4 = false;
                    _loc_5 = String(event.data.UserId).split(",");
                    _loc_6 = String(event.data.NickNames).split(",");
                    _loc_7 = this.gameLoader.global.betCoin;
                    _loc_8 = this.gameLoader.global.betTime;
                    _loc_9 = event.data.Position;
                    if (event.data.NickNames != null)
                    {
                        _loc_10 = "";
                        _loc_11 = 0;
                        while (_loc_11 < _loc_5.length)
                        {
                            
                            _loc_12 = _loc_5[_loc_11];
                            if (_loc_12.length > 0)
                            {
                                _loc_4 = this.IsPLayingWith(int(_loc_12));
                                if (!_loc_4)
                                {
                                    this.gameLoader.controller.inviteJoinBoard(int(_loc_12), _loc_9, _loc_7, _loc_8, "", this.gameLoader.global.MyInfo.emotionPath, this.gameLoader.global.MyInfo.levelUser);
                                }
                                else
                                {
                                    _loc_10 = _loc_10 + (_loc_6[_loc_11] + ", ");
                                }
                            }
                            _loc_11++;
                        }
                        if (!_loc_4 && _loc_10 == "")
                        {
                            this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.inviteListMessage);
                        }
                        else if (_loc_10.length > 0)
                        {
                            _loc_10 = _loc_10.substr(0, _loc_10.length - 2);
                            this.gameLoader.globalComponents.compoNotify.Show("B?n dang ng?i chung bn v?i " + _loc_10);
                        }
                        delete this[_loc_5.splice(0)];
                        _loc_5 = null;
                    }
                    else
                    {
                        _loc_13 = event.data.NickName;
                        if (this.IsPLayingWith(_loc_5[0]))
                        {
                            this.gameLoader.globalComponents.compoNotify.Show("B?n dang ng?i chung bn v?i " + _loc_13);
                        }
                        else
                        {
                            this.gameLoader.controller.inviteJoinBoard(int(_loc_5[0]), _loc_9, _loc_7, _loc_8, "", this.gameLoader.global.MyInfo.emotionPath, this.gameLoader.global.MyInfo.levelUser);
                        }
                    }
                }
            }
            return;
        }// end function

        private function handleInviteTaiXiu(event:MenuInviteEvent) : void
        {
            var _loc_2:int = 0;
            var _loc_3:String = null;
            var _loc_4:String = null;
            if (this.gameLoader.isLobby())
            {
                if (this.gameLoader.global.MyInfo.coin < 10000)
                {
                    this.gameLoader.globalComponents.compoNotify.Show("? lm ci b?n c?n ph?i c");
                    return;
                }
                if (event != null && event.data.UserId != null)
                {
                    _loc_2 = event.data.UserId;
                }
                else
                {
                    _loc_2 = this.gameLoader.global.Me.getId();
                }
                _loc_3 = "";
                if (event.data.NickName != null)
                {
                    _loc_3 = event.data.NickName;
                }
                _loc_4 = this.gameLoader.global.inviteMessage;
                _loc_4 = StringUtils.formatString(_loc_4, _loc_3);
                this.gameLoader.globalComponents.compoNotify.Show(_loc_4);
                this.gameLoader.controller.inviteJoinBoard(_loc_2, 1, 1000, 25, "", "", 1);
            }
            return;
        }// end function

        private function onShowMenuPUBAvatar(param1:SendSelectedUserEvents) : void
        {
            return;
        }// end function

        private function onViewProfile(event:HeaderEvent) : void
        {
            return;
        }// end function

        private function onCreateBoard(event:HeaderEvent) : void
        {
            this.gameLoader.playSoundClick();
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (this.gameLoader.global.gameID == GlobalConstants.KenoGameId || this.gameLoader.global.gameID == GlobalConstants.QuaySoGameId)
            {
                this.gameLoader.globalComponents.compoNotify.Show("Kh");
                return;
            }
            if (this.gameLoader.global.gameID == GlobalConstants.BarGameId)
            {
                return;
            }
            if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
            {
                return;
            }
            if (this.gameLoader.global.getMaxBet() == 0)
            {
                this.gameLoader.globalComponents.compoNotify.Show("Ti kho?n c?a b?n hi?n c");
                return;
            }
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            if (this.gameLoader.global.MyInfo.userKind == GlobalConstants.ADMIN_USERTYPE || this.gameLoader.global.MyInfo.userKind == GlobalConstants.MOD_USERTYPE)
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.cannotPlayMessage);
            }
            else
            {
                this.onShowBETDialog(null);
            }
            return;
        }// end function

        private function onJoinGroup(event:LoadNewRoomEvent) : void
        {
            var _loc_2:* = event.data.ServerIP;
            if (this.connectRoomErrorHandler(event))
            {
                if (_loc_2 != this.gameLoader.global.socketKey)
                {
                    this.isChangeServer = true;
                    KF.socket.resetGroupInfo();
                    KF.socket.closeSocket(this.gameLoader.global.socketKey);
                    this.gameLoader.global.socketKey = _loc_2;
                    KF.socket.defaultSocket = this.gameLoader.global.socketKey;
                    KF.socket.connectSocket(this.gameLoader.global.socketKey, this.gameLoader.global.timeToDelayReconnect);
                    this.isChangeServer = false;
                }
                else
                {
                    this.gameLoader.controller.joinGroup(event.data.RoomName);
                }
                this.gameLoader.global.resetForJoinNewGroup();
            }
            return;
        }// end function

        private function connectRoomErrorHandler(event:LoadNewRoomEvent) : Boolean
        {
            var _loc_3:String = null;
            var _loc_4:String = null;
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                if (_loc_2.Error == true)
                {
                    if (_loc_2.MinJoinRoom != null)
                    {
                        _loc_3 = _loc_2.RoomName;
                        _loc_4 = Format.Coin(_loc_2.MinJoinRoom);
                        this.gameLoader.globalComponents.compoNotify.Show("Ti kho?n b?n kh" + _loc_3 + ". i?u ki?n vo ph" + _loc_3 + " ph?i c" + _loc_4 + " Gold");
                        return false;
                    }
                    this.gameLoader.globalComponents.compoNotify.Show(_loc_2.RoomName + " d d?y, m?i b?n quay l?i sau!");
                    return false;
                }
                return true;
            }
            return false;
        }// end function

        private function onUserSeatToPlay(event:JoinBoardEvent) : void
        {
            var _loc_3:int = 0;
            var _loc_4:Number = NaN;
            var _loc_5:Boolean = false;
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                _loc_3 = _loc_2.position;
                _loc_4 = _loc_2.boardID;
                if (_loc_2.isLock)
                {
                    _loc_5 = _loc_2.isSetPass;
                    if (_loc_5)
                    {
                        this.gameLoader.globalComponents.compoInputPassword.show(_loc_4, _loc_3, this.gameLoader.global.MyInfo.joinedRoom.getName(), "Bn " + _loc_2.boardName);
                    }
                    else
                    {
                        this.gameLoader.globalComponents.compoNotify.Show("Kh");
                    }
                }
                else
                {
                    this.gameLoader.controller.joinRoom(_loc_4, _loc_3);
                }
            }
            return;
        }// end function

        private function onKickBoard(event:JoinBoardEvent) : void
        {
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                this.boardToKick = _loc_2.boardID;
                this.gameLoader.globalComponents.compoNotify.ShowWithConfirm(this.gameLoader.global.agreeToKickUserMessage, this.kickBoard);
            }
            return;
        }// end function

        private function kickBoard() : void
        {
            this.gameLoader.controller.kickBoard(this.boardToKick);
            return;
        }// end function

        private function onJoinBoardHide(event:JoinBoardEvent) : void
        {
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                this.gameLoader.controller.joinRoom(_loc_2.boardID, _loc_2.position);
            }
            return;
        }// end function

        final private function onViewerJoinBoard(event:JoinBoardEvent) : void
        {
            var _loc_3:Boolean = false;
            var _loc_4:Number = NaN;
            var _loc_5:int = 0;
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                if (_loc_2.isLock)
                {
                    _loc_3 = _loc_2.isSetPass;
                    if (_loc_3)
                    {
                        _loc_4 = _loc_2.boardID;
                        _loc_5 = -1;
                        this.gameLoader.globalComponents.compoInputPassword.show(_loc_4, _loc_5, this.gameLoader.global.MyInfo.joinedRoom.getName(), "Bn " + _loc_2.boardName);
                    }
                    else
                    {
                        this.gameLoader.globalComponents.compoNotify.Show("Kh");
                    }
                }
                else
                {
                    this.gameLoader.controller.joinRoom(_loc_2.boardID, -1);
                }
            }
            return;
        }// end function

        final private function onJoinBoard(event:JoinBoardEvent) : void
        {
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                this.gameLoader.controller.joinRoom(_loc_2.boardID, _loc_2.position);
            }
            return;
        }// end function

        private function onChoiNgay(event:HeaderEvent) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            this.gameLoader.playSoundClick();
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (!this.gameLoader.global.isMaintaining())
            {
                return;
            }
            this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.autoJoinMessage);
            var _loc_2:Object = {};
            this.gameLoader.controller.sendAutoJoin(_loc_2);
            return;
        }// end function

        private function onBackToLobby(event:HeaderEvent) : void
        {
            var _loc_2:StandUpPopUpMC = null;
            this.gameLoader.playSoundClick();
            if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
            {
                this.gameLoader.controller.joinLobby();
                return;
            }
            if (this.gameLoader.global.isPlaying && this.gameLoader.global.MyInfo.isPlaying)
            {
                _loc_2 = this.gameLoader.globalComponents.standUpPopUp_mc;
                _loc_2.Hide_btn.addEventListener(MouseEvent.CLICK, this.onHideStandUpPopUp, false, 0, true);
                _loc_2.dongY_btn.addEventListener(MouseEvent.CLICK, this.onStandUpPopUp, false, 0, true);
                _loc_2.addEventListener(MouseEvent.MOUSE_DOWN, this.gameLoader.global.onDrag, false, 0, true);
                _loc_2.addEventListener(MouseEvent.MOUSE_UP, this.gameLoader.global.onDrop, false, 0, true);
                _loc_2.visible = true;
                _loc_2.UserId = this.gameLoader.global.MyInfo.userId;
            }
            else
            {
                if (this.gameLoader.global.isTourRoom)
                {
                    this.gameLoader.controller.leaveRoomByUser();
                }
                this.gameLoader.controller.joinLobby();
            }
            return;
        }// end function

        private function onOpenFriends(event:HeaderEvent) : void
        {
            var _loc_2:Room = null;
            var _loc_3:Array = null;
            var _loc_4:Vector.<UserInfo> = null;
            var _loc_5:UserInfo = null;
            var _loc_6:String = null;
            var _loc_7:User = null;
            this.gameLoader.playSoundClick();
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (this.gameLoader.globalComponents.compoPUBInGame.visible == true)
            {
                this.gameLoader.globalComponents.compoPUBInGame.Hide();
                return;
            }
            if (this.gameLoader.isGame() == false)
            {
                _loc_2 = this.gameLoader.global.MyInfo.joinedRoom;
                _loc_3 = _loc_2.getUserList();
                _loc_4 = new Vector.<UserInfo>;
                _loc_6 = "";
                for each (_loc_7 in _loc_3)
                {
                    
                    _loc_5 = UserInfo.fromUser(_loc_7);
                    if (_loc_5.nickName == null)
                    {
                        continue;
                    }
                    if (_loc_5.userKind != GlobalConstants.ADMIN_USERTYPE && _loc_5.userKind != GlobalConstants.MOD_USERTYPE && _loc_5.userId != this.gameLoader.global.Me.getId())
                    {
                        _loc_6 = _loc_6 + ("@!!!@" + _loc_5.userId);
                        _loc_6 = _loc_6 + ("," + _loc_5.nickName);
                        _loc_6 = _loc_6 + ("," + "");
                        _loc_6 = _loc_6 + ("," + _loc_5.coin);
                    }
                    _loc_5 = null;
                }
                this.gameLoader.globalComponents.compoPUBInGame.Show(_loc_6, this.gameLoader.global.ListFriendID);
            }
            return;
        }// end function

        private function showCompoFriendForInvite(param1:int = -1) : void
        {
            return;
        }// end function

        private function onClickItemBar(event:Event) : void
        {
            this.gameLoader.playSoundClick();
            return;
        }// end function

        final private function onReViewFriend(event:CompoFriendEvent) : void
        {
            this.gameLoader.controller.sendGetFriendsInfo();
            return;
        }// end function

        final private function onViewUserLobby(event:CompoFriendEvent) : void
        {
            this.gameLoader.controller.sendGetLobbyUsers();
            return;
        }// end function

        final private function onViewMemberInBangHoi(event:CompoFriendEvent) : void
        {
            this.gameLoader.controller.sendGetBangHoiUsers();
            return;
        }// end function

        final private function onSelectUserFromBoxFriend(param1:SendSelectedUserEvents) : void
        {
            return;
        }// end function

        final private function onOpenBuyItemBarCuoc(event:HeaderEvent) : void
        {
            return;
        }// end function

        final public function onUseSetting(event:HeaderEvent) : void
        {
            var _loc_2:CompoSettingM = null;
            var _loc_3:Room = null;
            var _loc_4:RoomInfo = null;
            this.gameLoader.playSoundClick();
            if (this.gameLoader.global.gameID == GlobalConstants.KenoGameId || this.gameLoader.global.gameID == GlobalConstants.BarGameId || this.gameLoader.global.gameID == GlobalConstants.QuaySoGameId)
            {
                this.gameLoader.globalComponents.compoNotify.Show("Kh");
                return;
            }
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
            {
                return;
            }
            if (this.gameLoader.isGame())
            {
                this.gameLoader.controller.sendUpdateMaxBet();
                _loc_2 = this.gameLoader.globalComponents.compoSetting;
                _loc_2.MaxBet = this.gameLoader.global.getMaxBet();
                _loc_2.MinBet = this.gameLoader.global.minBet;
                _loc_2.BetTime = this.gameLoader.global.getRoomBetTime();
                _loc_2.BetCoin = this.gameLoader.global.getRoomBetCoin();
                if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
                {
                    _loc_2.MaxBet = this.gameLoader.global.MyInfo.coin;
                    _loc_2.MinBet = this.gameLoader.global.minBet;
                    _loc_2.BetCoin = this.gameLoader.global.getRoomTaiXiuMaxBet();
                    this.gameLoader.gameScreen.enableCompoSettings(true);
                }
                this.gameLoader.setChildIndex(_loc_2, (this.gameLoader.numChildren - 1));
                if (_loc_2.visible)
                {
                    _loc_2.Hide();
                }
                else
                {
                    if (this.gameLoader.global.MyInfo.isRoomOwner && this.gameLoader.global.isPlaying)
                    {
                        _loc_2.ShowForNextMatch();
                    }
                    else
                    {
                        _loc_2.Show();
                    }
                    _loc_2.compoLuatGame = this.gameLoader.globalComponents.compoBETDialog.compoLuatGame;
                    _loc_3 = this.gameLoader.global.MyInfo.joinedRoom;
                    if (_loc_3 && _loc_3.IsGame())
                    {
                        _loc_4 = RoomInfo.fromRoom(_loc_3);
                        if (_loc_4)
                        {
                            _loc_2.SetRule(_loc_4.rules);
                            _loc_2.isSolo = _loc_4.isSolo;
                            _loc_2.isGopGa = _loc_4.isGopGa;
                            _loc_4 = null;
                        }
                    }
                }
                _loc_2 = null;
            }
            return;
        }// end function

        final private function onSetupSetting(event:SettingEvent) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            var _loc_2:* = this.gameLoader.globalComponents.compoSetting;
            if (_loc_2.Status != this.gameLoader.global.boardStatus)
            {
                if (this.gameLoader.global.MyInfo.isRoomOwner)
                {
                    this.gameLoader.controller.sendChangeStatusBoard(this.gameLoader.global.MyInfo.joinedRoom.getId(), _loc_2.Status);
                }
            }
            if (this.gameLoader.global.isLocked && this.gameLoader.global.MyInfo.isRoomOwner)
            {
                this.gameLoader.controller.sendSetPasswordBoard(_loc_2.BoardPassWord);
            }
            else
            {
                _loc_2.BoardPassWord = "";
            }
            _loc_2.Hide();
            var _loc_3:* = event.data.BetCoin;
            if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
            {
                if (_loc_3 != this.gameLoader.global.taiXiuMaxBet)
                {
                    this.gameLoader.controller.sendSetTaiXiuMaxBet(_loc_3);
                }
                return;
            }
            _loc_2 = null;
            if (this.gameLoader.global.isPlaying == true && this.gameLoader.global.MyInfo.isPlayer == false)
            {
                return;
            }
            var _loc_4:* = event.data.BetTime;
            var _loc_5:* = event.data.Rules;
            var _loc_6:Boolean = false;
            _loc_6 = event.data.Solo;
            var _loc_7:Boolean = false;
            _loc_7 = event.data.GopGa;
            this.gameLoader.global.betCoin = _loc_3;
            this.gameLoader.global.betTime = _loc_4;
            this.gameLoader.global.rules = _loc_5;
            this.gameLoader.global.isSolo = _loc_6;
            this.gameLoader.global.isGopGa = _loc_7;
            var _loc_8:int = -1;
            if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.gameID == GlobalConstants.LiengId)
            {
                _loc_8 = int(event.data.maxPlayer);
            }
            if (this.gameLoader.global.MyInfo.isRoomOwner && this.gameLoader.global.isPlaying)
            {
                this.gameLoader.controller.sendApplySettingsForNextMatch(_loc_3, _loc_4, _loc_5, _loc_8, _loc_6);
                return;
            }
            var _loc_9:Object = {};
            _loc_9[JSONKeys.IS_FROM_SETTING] = true;
            _loc_9[JSONKeys.IS_SOLO] = _loc_6;
            _loc_9[JSONKeys.IS_GOPGA] = _loc_7;
            if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId || this.gameLoader.global.gameID == GlobalConstants.LiengId)
            {
                _loc_9[JSONKeys.CUSTOM_MAX_PLAYER] = _loc_8;
            }
            this.gameLoader.dispatchEvent(new DealCardEvent(DealCardEvent.REQUEST_START, _loc_9));
            return;
        }// end function

        final private function onTakePhoto(event:HeaderEvent) : void
        {
            this.gameLoader.playSoundClick();
            if (this.gameLoader.isLobby() || this.gameLoader.global.MyInfo.isPlayer == false)
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.viewerCannotCaptureScreenMessage);
                return;
            }
            if (RoomInfo.fromRoom(this.gameLoader.global.MyInfo.joinedRoom).matchId == 0)
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.noMatchInfoMessage);
                return;
            }
            this.gameLoader.controller.sendCapturePhoto();
            return;
        }// end function

        final private function onRequestToGetNextItem(event:ItemBarEvent) : void
        {
            if (this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            this.gameLoader.controller.sendGetNextItem();
            event = null;
            return;
        }// end function

        final private function onLoadEmotion(event:EmotionListEvent) : void
        {
            var _loc_4:int = 0;
            var _loc_5:int = 0;
            var _loc_2:* = this.gameLoader.globalComponents.compoMenuMyInfo;
            _loc_2.visible = true;
            _loc_2.emoticonMC.EmotionPath = "emotions/";
            if (this.gameLoader.global.ListEmotionDefault.length == 0)
            {
                _loc_4 = this.gameLoader.global.listEmotionPath.length;
                _loc_5 = 0;
                while (_loc_5 < _loc_4)
                {
                    
                    this.gameLoader.global.ListEmotionDefault = this.gameLoader.global.ListEmotionDefault + (this.gameLoader.global.listEmotionPath[_loc_5].replace(".swf", ".png") + ",");
                    _loc_5++;
                }
            }
            var _loc_3:* = this.gameLoader.global.ListEmotionDefault + this.gameLoader.global.ListEmotionMore;
            if (_loc_3.length > 0)
            {
                _loc_3 = _loc_3.substring(0, (_loc_3.length - 1));
            }
            KF.showLog("strListEmotions: " + _loc_3);
            _loc_2.emoticonMC.StrListEmotions = _loc_3;
            _loc_2.emoticonMC.AddEmotionToScrollPane();
            _loc_2.emoticonMC.Refresh();
            _loc_2.showEmoticon();
            this.gameLoader.setChildIndex(_loc_2, (this.gameLoader.numChildren - 1));
            event = null;
            return;
        }// end function

        final private function onUseEmotion(event:EmotionListEvent) : void
        {
            var _loc_3:String = null;
            this.gameLoader.playSoundClick();
            if (this.gameLoader.global.isVongGiauMat() && this.gameLoader.global.isTourRoomAndShowMessage())
            {
                return;
            }
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                _loc_3 = _loc_2.fileName;
                _loc_3 = _loc_3.replace(".png", ".swf");
                this.gameLoader.global.playEmotionByUserId(this.gameLoader.global.MyInfo.userId, _loc_3);
                this.gameLoader.controller.sendPlayEmotion(_loc_3);
                _loc_3 = null;
                _loc_2 = null;
            }
            event = null;
            return;
        }// end function

        final private function onSendComplain(event:ComplainEvent) : void
        {
            var _loc_2:* = event.data;
            var _loc_3:* = Format.trim(_loc_2.content);
            if (_loc_3.length == 0)
            {
                return;
            }
            this.gameLoader.controller.sendComplain(_loc_3);
            return;
        }// end function

        final private function setGameRule(event:LuatGameEvent) : void
        {
            var _loc_2:* = event.data;
            if (_loc_2 != null)
            {
                this.gameLoader.globalComponents.compoBETDialog.compoLuatGame = _loc_2.luatgame as ICompoLuat;
                this.gameLoader.globalComponents.compoSetting.compoLuatGame = _loc_2.luatgame as ICompoLuat;
            }
            return;
        }// end function

    }
}
