package net.mgame.controllers.features
{
    import MGameUtilities.*;
    import net.king.entities.*;
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;
    import net.mgame.models.*;
    import net.mgame.utils.*;

    public class ChatMessageHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function ChatMessageHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_5:String = null;
            var _loc_6:String = null;
            var _loc_7:Number = NaN;
            var _loc_8:Number = NaN;
            var _loc_9:User = null;
            var _loc_10:UserInfo = null;
            var _loc_11:CompoUserInfoPlay = null;
            var _loc_12:RegExp = null;
            var _loc_13:RegExp = null;
            var _loc_14:String = null;
            var _loc_2:* = StringFormat.ConvertTags2(param1[JSONKeys.CONTENT_CHAT]);
            var _loc_3:* = int(param1[JSONKeys.SUCCESS]);
            var _loc_4:* = StringUtils.formatDate(param1[JSONKeys.SERVER_TIME]);
            if (this.gameLoader.global.hasInvalidText(_loc_2))
            {
                return;
            }
            if (_loc_3 == 1)
            {
                _loc_5 = param1[JSONKeys.NICK_SEND];
                _loc_6 = param1[JSONKeys.NICK_CHAT];
                _loc_7 = Number(param1[JSONKeys.USER_ID]);
                if (_loc_7 > 0)
                {
                    _loc_7 = Number(param1[JSONKeys.USER_ID_SEND]);
                }
                if (_loc_7 == GlobalConstants.TAB_PHONG)
                {
                    _loc_8 = Number(param1[JSONKeys.USER_ID_SEND]);
                    _loc_9 = this.gameLoader.global.getUser(_loc_8);
                    if (_loc_9)
                    {
                        _loc_10 = UserInfo.fromUser(_loc_9);
                        if (_loc_10)
                        {
                            if (_loc_10.position > 0)
                            {
                                _loc_11 = this.gameLoader.gameScreen.getChildObjectbyName("compoUserInfoPlay_" + _loc_10.position) as CompoUserInfoPlay;
                                if (_loc_11 != null)
                                {
                                    if (_loc_11.IsLockChat())
                                    {
                                        return;
                                    }
                                    if (_loc_2.indexOf("[") == 0 && _loc_2.indexOf("]") == (_loc_2.length - 1))
                                    {
                                        _loc_2 = _loc_2.substring(1, (_loc_2.length - 1));
                                    }
                                    _loc_12 = /\(:\w+\)""\(:\w+\)/g;
                                    _loc_13 = /\s{2,}""\s{2,}/g;
                                    _loc_14 = _loc_2;
                                    _loc_14 = _loc_14.replace(_loc_12, "");
                                    if (this.gameLoader.global.gameID == GlobalConstants.XiToGameId)
                                    {
                                        _loc_11.AppendChat(_loc_14.replace(_loc_13, " "), 3000);
                                    }
                                    else
                                    {
                                        _loc_11.AppendChat(_loc_14.replace(_loc_13, " "));
                                    }
                                    _loc_11 = null;
                                }
                            }
                        }
                        _loc_10 = null;
                        _loc_9 = null;
                    }
                }
                if (this.gameLoader.isLobby() == false && this.gameLoader.global.isCanChat == false && this.gameLoader.global.isTourRoom)
                {
                    return;
                }
                if (this.gameLoader.global.isVongGiauMat())
                {
                    _loc_5 = this.gameLoader.global.defaultNickName;
                    _loc_6 = this.gameLoader.global.defaultNickName;
                }
                this.gameLoader.globalComponents.compoChat.appendChat(_loc_5, _loc_2, _loc_7, _loc_5, _loc_4);
                if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
                {
                    (this.gameLoader.gameScreen.game as Object).updateChatInGame(_loc_5, _loc_2, _loc_7, _loc_4);
                }
            }
            else
            {
                this.gameLoader.global.Notice(_loc_2, true);
            }
            return;
        }// end function

    }
}
