package net.mgame.controllers.features
{
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;
    import net.mgame.models.*;
    import net.mgame.utils.*;

    public class ConfirmMakeFriendHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function ConfirmMakeFriendHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = param1[JSONKeys.USER_ID];
            var _loc_3:* = UserInfo.fromUser(this.gameLoader.global.getUser(_loc_2));
            if (_loc_3.getUserData == null)
            {
                return;
            }
            var _loc_4:* = _loc_3.nickName;
            var _loc_5:* = param1[JSONKeys.MESSAGE_SHOW];
            switch(_loc_5)
            {
                case "-1":
                {
                    this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.makeFriendAlreadyMessage, _loc_4));
                    break;
                }
                case "0":
                {
                    this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.makeFriendFailedMessage, _loc_4));
                    break;
                }
                case "1":
                {
                    this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.makeFriendSuccessMessage, _loc_4));
                    if (this.gameLoader.global.ListFriendID == "")
                    {
                        this.gameLoader.global.ListFriendID = ",";
                    }
                    this.gameLoader.global.ListFriendID = this.gameLoader.global.ListFriendID + (_loc_2 + ",");
                    break;
                }
                case "2":
                {
                    this.gameLoader.globalComponents.compoNotify.Show(StringUtils.formatString(this.gameLoader.global.makeFriendDenyMessage, _loc_4));
                    break;
                }
                default:
                {
                    break;
                }
            }
            return;
        }// end function

    }
}
