package net.mgame.controllers.features
{
    import MGameEvents.*;
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;

    public class EndMatchHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function EndMatchHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_7:String = null;
            if (this.gameLoader.isLobby())
            {
                return;
            }
            var _loc_2:* = param1[JSONKeys.SUCCESS];
            var _loc_3:* = param1[JSONKeys.RESULT_DATA];
            var _loc_4:* = param1[JSONKeys.MORE_INFO];
            var _loc_5:* = param1[JSONKeys.LIST_PLAYER_NO];
            var _loc_6:* = param1[JSONKeys.DEALER_USER];
            this.gameLoader.global.dealerId = _loc_6;
            this.gameLoader.globalComponents.compoMatchResult.mainMovie.isShowExternal = false;
            this.gameLoader.global.stopTimerToUpdateTimePlay();
            if (_loc_2)
            {
                _loc_7 = this.gameLoader.gameScreen.updateInterfaceWhenEndMatchAndGetResultString(_loc_3, _loc_4);
                if (_loc_7.length > 0)
                {
                    if (this.gameLoader.globalComponents.compoSetting.isOpenSettingAfterMatch == true && this.gameLoader.global.MyInfo.isRoomOwner)
                    {
                        this.gameLoader.global.ShowCompoSettingForRoomowner();
                        this.gameLoader.globalComponents.compoSetting.isOpenSettingAfterMatch = false;
                    }
                    this.gameLoader.globalComponents.compoMatchResult.ResultData = _loc_7;
                    this.gameLoader.globalComponents.compoMatchResult.NickName = this.gameLoader.global.MyInfo.nickName;
                    this.gameLoader.globalComponents.compoMatchResult.ParseDataMatchResult();
                    this.gameLoader.global.isPlaying = false;
                    this.gameLoader.gameScreen.updateDealerUser(this.gameLoader.global.dealerId);
                    this.gameLoader.global.refreshMyInfo();
                    if (this.gameLoader.global.listUserWillBeStandUp.length > 0)
                    {
                        this.gameLoader.dispatchEvent(new KickUserEvent(KickUserEvent.STAND_UP_BY_OWNER));
                    }
                    if (this.gameLoader.global.isStandUpAfterPlaying)
                    {
                        this.gameLoader.dispatchEvent(new KickUserEvent(KickUserEvent.STAND_UP));
                    }
                    this.gameLoader.dispatchEvent(new KickUserEvent(KickUserEvent.BLACK_LIST));
                    this.gameLoader.controller.sendExtCommandRequest();
                }
            }
            else
            {
                this.gameLoader.global.isPlaying = false;
                this.gameLoader.gameScreen.updateDealerUser(_loc_6);
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.endMatchErrorMessage);
            }
            return;
        }// end function

    }
}
