package net.mgame.controllers.features
{
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;
    import net.mgame.models.*;

    public class ErrorHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function ErrorHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_3:String = null;
            var _loc_2:* = param1[JSONKeys.ERROR_CODE];
            switch(_loc_2)
            {
                case ErrorCode.POP_UP_MESSAGE:
                default:
                {
                    if (this.gameLoader.global.gameID == GlobalConstants.BarGameId)
                    {
                        this.gameLoader.globalComponents.compoNotify.Show(param1[JSONKeys.ERROR_MESSAGE], true, true, 3000);
                    }
                    else
                    {
                        this.gameLoader.globalComponents.compoNotify.Show(param1[JSONKeys.ERROR_MESSAGE]);
                    }
                    if (this.gameLoader.global.gameID == GlobalConstants.TaiXiuId)
                    {
                        this.gameLoader.globalComponents.compoNotify.y = 60;
                    }
                    break;
                }
                case ErrorCode.START_GAME:
                {
                    this.onWrongPassword();
                    break;
                }
                case :
                {
                    _loc_3 = param1[JSONKeys.ERROR_MESSAGE];
                    this.onStartGame(_loc_3);
                    break;
                    break;
                }
            }
            return;
        }// end function

        private function onStartGame(param1:String) : void
        {
            if (this.gameLoader.isLobby())
            {
                return;
            }
            var _loc_2:* = RoomInfo.fromRoom(this.gameLoader.global.MyInfo.joinedRoom);
            this.gameLoader.global.betCoin = _loc_2.betCoin;
            this.gameLoader.global.betTime = _loc_2.timeOut;
            this.gameLoader.global.rules = _loc_2.rules;
            this.gameLoader.globalComponents.compoSetting.BetCoin = _loc_2.betCoin;
            this.gameLoader.globalComponents.compoSetting.BetTime = _loc_2.timeOut;
            this.gameLoader.globalComponents.compoSetting.SetRule(_loc_2.rules);
            this.gameLoader.globalComponents.compoNotify.Show(param1);
            return;
        }// end function

        private function onWrongPassword() : void
        {
            this.gameLoader.globalComponents.compoInputPassword.showWrongPassword();
            return;
        }// end function

    }
}
