package net.mgame.controllers.features
{
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;
    import net.mgame.utils.*;

    public class MakeFriendHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;
        private var inviterId:Number = 0;

        public function MakeFriendHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = param1[JSONKeys.USER_ID];
            var _loc_3:* = param1[JSONKeys.USERID_RECIEVER];
            var _loc_4:* = param1[JSONKeys.NICK_NAME];
            if (_loc_2 == this.gameLoader.global.MyInfo.userId)
            {
                this.gameLoader.globalComponents.compoNotify.Show(this.gameLoader.global.makeFriendSentMessage);
            }
            else
            {
                this.inviterId = _loc_2;
                if (_loc_3 == this.gameLoader.global.MyInfo.userId)
                {
                    if (this.gameLoader.global.listUserInviteMeMakeFriend.indexOf(_loc_2) > -1)
                    {
                        this.ConfirmMakeFriendNo();
                        return;
                    }
                    this.gameLoader.global.listUserInviteMeMakeFriend.push(_loc_2);
                    this.gameLoader.globalComponents.compoNotify.ShowWithArgreeAndNoAgree(StringUtils.formatString(this.gameLoader.global.makeFriendReceiveMessage, _loc_4), this.ConfirmMakeFriendYes, this.ConfirmMakeFriendNo);
                }
            }
            return;
        }// end function

        final private function ConfirmMakeFriendYes() : void
        {
            this.ConfirmMakeFriend(this.inviterId, true);
            return;
        }// end function

        final private function ConfirmMakeFriendNo() : void
        {
            this.ConfirmMakeFriend(this.inviterId, false);
            return;
        }// end function

        final private function ConfirmMakeFriend(param1:Number, param2:Boolean) : void
        {
            if (param2)
            {
                if (this.gameLoader.global.ListFriendID == "")
                {
                    this.gameLoader.global.ListFriendID = ",";
                }
                this.gameLoader.global.ListFriendID = this.gameLoader.global.ListFriendID + (param1 + ",");
            }
            var _loc_3:Object = {};
            _loc_3[JSONKeys.USER_ID] = this.gameLoader.global.MyInfo.userId;
            _loc_3[JSONKeys.AGRREE] = param2 ? ("1") : ("0");
            _loc_3[JSONKeys.USERID_RECIEVER] = param1;
            this.gameLoader.controller.sendConfirmMakeFriend(_loc_3);
            return;
        }// end function

    }
}
