package net.mgame.controllers.features
{
    import net.king.entities.*;
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;
    import net.mgame.models.*;

    public class StatusBoardHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function StatusBoardHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_4:String = null;
            var _loc_2:* = param1[JSONKeys.ROOM_ID];
            var _loc_3:* = this.gameLoader.global.getRoom(Number(_loc_2));
            if (_loc_3)
            {
                _loc_4 = RoomInfo.fromRoom(_loc_3).boardStatus;
                _loc_4 = unescape(_loc_4);
                this.gameLoader.global.boardStatus = _loc_4;
                if (this.gameLoader.isGame())
                {
                    this.gameLoader.globalComponents.compoSetting.Status = _loc_4;
                }
                else
                {
                    this.gameLoader.lobbyScreen.updateBoardStatus(_loc_2, _loc_4);
                }
            }
            return;
        }// end function

    }
}
