package net.mgame.controllers.features
{
    import net.king.entities.*;
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;
    import net.mgame.models.*;

    public class UpdateMatchIdHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function UpdateMatchIdHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_4:Number = NaN;
            var _loc_2:* = param1[JSONKeys.ROOM_ID];
            var _loc_3:* = this.gameLoader.global.getRoom(_loc_2);
            if (_loc_3)
            {
                _loc_4 = RoomInfo.fromRoom(_loc_3).matchId;
                if (this.gameLoader.isGame())
                {
                    this.gameLoader.global.matchId = _loc_4;
                    this.gameLoader.gameScreen.updateMatchId(_loc_3.getName(), _loc_4, RoomInfo.fromRoom(_loc_3).isDefault);
                }
                _loc_3 = null;
            }
            return;
        }// end function

    }
}
