package net.mgame.controllers.features.gopga
{
    import com.greensock.*;
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;

    public class GopGaHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;
        private var NOTICE_GOPGA:int = 1;
        private var NOTICE_ANGA:int = 2;

        public function GopGaHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = param1[JSONKeys.MESSAGE_SHOW];
            switch(_loc_2)
            {
                case this.NOTICE_ANGA:
                {
                    this.handleUserWin(param1);
                    break;
                }
                case this.NOTICE_GOPGA:
                {
                    this.handleUserContributeCoin(param1);
                    break;
                }
                default:
                {
                    break;
                }
            }
            return;
        }// end function

        private function handleUserContributeCoin(param1:Object) : void
        {
            this.gameLoader.global.refreshMyInfo();
            var _loc_2:* = Number(param1[JSONKeys.COIN]) * -1;
            var _loc_3:* = Number(param1[JSONKeys.USER_ID]);
            var _loc_4:* = this.gameLoader.gameScreen.getChildObjectbyName("compoUserInfoPlay_" + this.gameLoader.global.MyInfo.position) as CompoUserInfoPlay;
            if (_loc_4 == null)
            {
                return;
            }
            var _loc_5:String = " G";
            var _loc_6:* = new CoinFly_mc();
            _loc_6.x = _loc_4.x;
            _loc_6.y = _loc_4.y;
            this.gameLoader.gameScreen.addChild(_loc_6);
            TweenLite.to(_loc_6, 0.8, {x:this.gameLoader.gameScreen.jackPot.x + this.gameLoader.gameScreen.jackPot.jackpotCoin_txt.x + this.gameLoader.gameScreen.jackPot.jackpotCoin_txt.width * 0.5, y:this.gameLoader.gameScreen.jackPot.y + this.gameLoader.gameScreen.jackPot.jackpotCoin_txt.y, scaleX:0, scaleY:0, onComplete:this.onCompleteEffectGiveCoinToJackpot, onCompleteParams:[_loc_6, _loc_4, _loc_2, _loc_5]});
            return;
        }// end function

        private function onCompleteEffectGiveCoinToJackpot(param1:CoinFly_mc, param2:CompoUserInfoPlay, param3:Number, param4:String) : void
        {
            if (param1 == null)
            {
                return;
            }
            if (this.gameLoader.gameScreen.contains(param1))
            {
                this.gameLoader.gameScreen.removeChild(param1);
            }
            param2.showEffectCoin(param3, param4);
            this.gameLoader.global.refreshMyInfo();
            param2.Coin = this.gameLoader.global.MyInfo.coin;
            param1 = null;
            return;
        }// end function

        private function handleUserWin(param1:Object) : void
        {
            var _loc_2:* = int(param1[JSONKeys.USER_ID]);
            var _loc_3:* = param1[JSONKeys.COIN];
            var _loc_4:* = param1[JSONKeys.MESSAGE];
            if (this.gameLoader.global.MyInfo.userId != _loc_2)
            {
                return;
            }
            var _loc_5:* = this.gameLoader.gameScreen.getChildObjectbyName("compoUserInfoPlay_" + this.gameLoader.global.MyInfo.position) as CompoUserInfoPlay;
            if (_loc_5 == null)
            {
                return;
            }
            var _loc_6:String = " An G;
            var _loc_7:* = new CoinFly_mc();
            _loc_7.x = this.gameLoader.gameScreen.jackPot.x;
            _loc_7.y = this.gameLoader.gameScreen.jackPot.y;
            this.gameLoader.gameScreen.addChild(_loc_7);
            TweenLite.to(_loc_7, 0.8, {x:_loc_5.x, y:_loc_5.y, scaleX:0, scaleY:0, onComplete:this.onCompleteEffectGiveCoinToJackpot, onCompleteParams:[_loc_7, _loc_5, _loc_3, _loc_6]});
            return;
        }// end function

    }
}
