package net.mgame.controllers.features.star
{
    import net.mgame.controllers.features.*;
    import net.mgame.ui.star.*;

    public class StarHandler extends Object implements IHandlerMessage
    {
        private var gameloader:GameLoader;

        public function StarHandler()
        {
            this.gameloader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = param1[StarConstan.subCommandKey];
            switch(_loc_2)
            {
                case StarConstan.subCommand_Apply:
                {
                    this.handleApplyStar(param1);
                    break;
                }
                case StarConstan.subCommand_Error:
                {
                    this.handleError(param1);
                    break;
                }
                case StarConstan.subCommand_GetToTalStarUser:
                {
                    this.handleTotalStar(param1);
                }
                default:
                {
                    break;
                    break;
                }
            }
            return;
        }// end function

        private function handleApplyStar(param1:Object) : void
        {
            var _loc_2:* = param1[StarConstan.isActive];
            var _loc_3:* = param1[StarConstan.isApplyNextMath];
            this.gameloader.gameScreen.starMC.setActive(_loc_2);
            if (_loc_2 == true && this.gameloader.gameScreen.starMC.getIsActiveSao() == false)
            {
                this.gameloader.gameScreen.starMC.onClick();
            }
            if (_loc_3)
            {
                this.gameloader.globalComponents.compoNotify.Show("Tch sao d?i qu s? " + (_loc_2 ? ("") : ("b? ")) + "p d?ng vo lu?t sau");
            }
            return;
        }// end function

        private function handleError(param1:Object) : void
        {
            var _loc_2:* = param1[StarConstan.mes];
            this.gameloader.globalComponents.compoNotify.Show(_loc_2);
            return;
        }// end function

        private function handleTotalStar(param1:Object) : void
        {
            var _loc_2:* = param1[StarConstan.mes];
            this.gameloader.gameScreen.starMC.setCoinForToolTip(param1[StarConstan.numStar]);
            return;
        }// end function

    }
}
