package net.mgame.controllers.features.tournament
{
    import net.mgame.controllers.features.*;
    import net.mgame.keys.*;

    public class ResetTimeInLobbyHandler extends Object implements IHandlerMessage
    {
        private var gameLoader:GameLoader;

        public function ResetTimeInLobbyHandler()
        {
            this.gameLoader = GameLoader.getInstance();
            return;
        }// end function

        public function handleMessage(param1:Object) : void
        {
            var _loc_2:* = param1[JSONKeys.REMAIN_TIME];
            if (_loc_2 < 0)
            {
                return;
            }
            if (this.gameLoader.isLobby())
            {
                this.gameLoader.globalComponents.compoCountDown.TimeText = _loc_2;
            }
            this.gameLoader.globalComponents.compoCountDown.visible = true;
            return;
        }// end function

    }
}
