package net.mgame.defaultcomponents
{
    import ICompoLuat.*;
    import MGameEvents.*;
    import MGameUtilities.*;
    import fl.controls.*;
    import flash.display.*;
    import flash.events.*;
    import flash.text.*;
    import mgame.manager.*;
    import net.mGame.controllers.*;
    import net.mgame.keys.*;

    public class CompoBetDialogM extends MGSprite
    {
        public var mainMovie:BETDialog_mc = null;
        private var betTime:int = 0;
        private var _compoLuatGame:ICompoLuat = null;
        private var gameLoader:GameLoader;
        private var cboTime:MyCompoBox;
        private var type:int = 0;
        public var radioNghinGold:RadioButton;
        public var radioTrieuGold:RadioButton;
        public var currUnit:int;
        public var currBetCoinChoiced:Number;
        private var cboMaxPlayer:ComboBox;
        public var chk_gopGa:CheckBox;
        private var listMaxPlayer:Array;
        private var nickName:String = "";
        private var userId:String = "";
        private var timeOut:String = "30,Ch?m;20,Trung bnh;15,Nhanh";
        private var maxBet:Number = 0;
        private var minBet:Number = 0;
        public static const TRIEU:int = 1000000;
        public static const NGHIN:int = 1000;

        public function CompoBetDialogM()
        {
            this.gameLoader = GameLoader.getInstance();
            this.listMaxPlayer = [9, 8, 7, 6, 5, 4, 3, 2];
            if (stage)
            {
                this.init();
            }
            else
            {
                addWeakEventListener(this, Event.ADDED_TO_STAGE, this.init);
            }
            return;
        }// end function

        private function init(event:Event = null) : void
        {
            removeWeakEventListener(this, Event.ADDED_TO_STAGE, this.init);
            this.mainMovie = new BETDialog_mc();
            this.addChild(this.mainMovie);
            addWeakEventListener(this.mainMovie, MouseEvent.CLICK, this.processClickEvent);
            addWeakEventListener(this.mainMovie, RadioButton.EVENT_CHANGE, this.radioChangeStatus);
            addWeakEventListener(this.mainMovie.coin_txt, Event.CHANGE, this.onCoinChange);
            this.cboTime = new MyCompoBox();
            this.mainMovie.addChild(this.cboTime);
            this.Coin = 0;
            this.mainMovie.coin_txt.restrict = "0-9";
            this.mainMovie.coin_txt.maxChars = 17;
            this.cboTime.dropdownWidth = 377 * this.scaleX;
            this.cboTime.dropdown.rowHeight = 60 * this.scaleY;
            var _loc_2:* = new TextFormat();
            _loc_2.font = "Arial";
            _loc_2.align = "center";
            _loc_2.color = 0;
            _loc_2.bold = false;
            _loc_2.italic = false;
            _loc_2.size = 42 * (this.scaleX > this.scaleY ? (this.scaleY) : (this.scaleX));
            this.cboTime.setStyle("textAlign", "center");
            this.cboTime.setStyle("color", 0);
            this.cboTime.setStyle("fontWeight", "Bold");
            this.cboTime.dropdown.setRendererStyle("textFormat", _loc_2);
            this.cboTime.dropdown.setStyle("color", 77125);
            this.cboTime.positionScale = this.scaleY;
            this.cboMaxPlayer = new MyCompoBox();
            this.cboMaxPlayer.x = 985;
            this.cboMaxPlayer.y = 620;
            this.cboMaxPlayer.visible = false;
            this.mainMovie.addChild(this.cboMaxPlayer);
            this.cboMaxPlayer.dropdownWidth = 270 * this.scaleX;
            this.cboMaxPlayer.width = 270 * this.scaleX;
            this.cboMaxPlayer.dropdown.rowHeight = 60 * this.scaleY;
            this.cboMaxPlayer.setStyle("textAlign", "center");
            this.cboMaxPlayer.setStyle("color", 0);
            this.cboMaxPlayer.setStyle("fontWeight", "Bold");
            this.cboMaxPlayer.dropdown.setRendererStyle("textFormat", _loc_2);
            this.cboMaxPlayer.dropdown.setStyle("color", 77125);
            var _loc_3:* = new GroupRadio();
            this.radioNghinGold = new RadioButton(_loc_3, radioStyle);
            this.radioNghinGold.x = 673;
            this.radioNghinGold.y = 147;
            this.radioNghinGold.scaleX = 1.2;
            this.radioNghinGold.scaleY = 1.2;
            this.radioNghinGold.label = "Nghn Gold";
            this.radioNghinGold.useHandCursor = true;
            this.mainMovie.addChild(this.radioNghinGold);
            this.radioTrieuGold = new RadioButton(_loc_3, radioStyle);
            this.radioTrieuGold.x = 998;
            this.radioTrieuGold.y = 147;
            this.radioTrieuGold.scaleX = 1.2;
            this.radioTrieuGold.scaleY = 1.2;
            this.radioTrieuGold.label = "Tri?u Gold";
            this.radioTrieuGold.useHandCursor = true;
            this.mainMovie.addChild(this.radioTrieuGold);
            this.radioNghinGold.selected = true;
            this.currUnit = NGHIN;
            this.mainMovie.Error_txt.text = "";
            this.chk_gopGa = new CheckBox(checkStyle);
            this.chk_gopGa.label = "G";
            this.chk_gopGa.x = 210;
            this.chk_gopGa.y = 20;
            this.chk_gopGa.selected = false;
            this.chk_gopGa.useHandCursor = true;
            this.chk_gopGa.visible = false;
            this.mainMovie.addChild(this.chk_gopGa);
            return;
        }// end function

        public function onMinCoinClick(event:MouseEvent) : void
        {
            this.mainMovie.coin_txt.text = Format.Coin(this.minBet.toString());
            return;
        }// end function

        public function onMaxCoinClick(event:MouseEvent) : void
        {
            this.mainMovie.coin_txt.text = Format.Coin(this.maxBet.toString());
            return;
        }// end function

        public function get compoLuatGame() : ICompoLuat
        {
            return this._compoLuatGame;
        }// end function

        public function set compoLuatGame(param1:ICompoLuat) : void
        {
            this._compoLuatGame = param1;
            var _loc_2:* = this.mainMovie.getChildByName("compoLuatGame");
            if (_loc_2)
            {
                if (this.mainMovie.contains(_loc_2))
                {
                    this.mainMovie.removeChild(_loc_2);
                }
            }
            _loc_2 = this._compoLuatGame as DisplayObject;
            if (_loc_2 != null)
            {
                _loc_2.x = 53;
                _loc_2.y = 266;
                _loc_2.name = "compoLuatGame";
                this.mainMovie.addChild(_loc_2);
            }
            return;
        }// end function

        private function AdjustSize() : void
        {
            this.mainMovie.Create_btn.y = 582;
            if (this._compoLuatGame == null)
            {
                return;
            }
            var _loc_1:* = this._compoLuatGame as DisplayObject;
            if (_loc_1.y + _loc_1.height > this.mainMovie.Create_btn.y)
            {
                this.mainMovie.Create_btn.y = 610;
            }
            return;
        }// end function

        final public function removeCompoLuat() : void
        {
            var _loc_1:* = this.mainMovie.getChildByName("compoLuatGame");
            if (_loc_1)
            {
                this.mainMovie.removeChild(_loc_1);
                _loc_1 = null;
            }
            return;
        }// end function

        public function set BetTime(param1:int) : void
        {
            this.betTime = param1;
            return;
        }// end function

        public function get BetTime() : int
        {
            return this.betTime;
        }// end function

        public function set NickName(param1:String) : void
        {
            this.nickName = param1;
            return;
        }// end function

        public function get NickName() : String
        {
            return this.nickName;
        }// end function

        public function set UserId(param1:String) : void
        {
            this.userId = param1;
            return;
        }// end function

        public function get UserId() : String
        {
            return this.userId;
        }// end function

        public function set TimeOut(param1:String) : void
        {
            this.timeOut = param1;
            this.BindDataCombo(this.cboTime, this.timeOut);
            return;
        }// end function

        public function get TimeOut() : String
        {
            return this.timeOut;
        }// end function

        public function set MaxBet(param1:Number) : void
        {
            param1 = param1 / 1000 * 1000;
            this.maxBet = param1;
            return;
        }// end function

        public function get MaxBet() : Number
        {
            return this.maxBet;
        }// end function

        public function set MinBet(param1:Number) : void
        {
            this.minBet = param1;
            return;
        }// end function

        final public function setDefaultBetCoin(param1:Number) : void
        {
            this.Coin = param1;
            return;
        }// end function

        public function get MinBet() : Number
        {
            return this.minBet;
        }// end function

        private function radioChangeStatus(event:Event) : void
        {
            if (this.radioNghinGold.selected)
            {
                this.currUnit = NGHIN;
            }
            else
            {
                this.currUnit = TRIEU;
            }
            return;
        }// end function

        private function processClickEvent(event:MouseEvent) : void
        {
            var _loc_2:Array = null;
            this.gameLoader.playSoundClick();
            switch(event.target.name)
            {
                case "clearBetcoin_btn":
                {
                    this.Coin = 0;
                    break;
                }
                case "phinh_min":
                {
                    this.Coin = this.MinBet;
                    break;
                }
                case "Create_btn":
                {
                    this.InviteUser(null);
                    break;
                }
                case "Cancel_btn":
                {
                    this.Hide();
                    break;
                }
                case "phinh_1":
                case "phinh_5":
                case "phinh_10":
                case "phinh_50":
                case "phinh_100":
                {
                    _loc_2 = String(event.target.name).split("_");
                    this.processPhinhClick(int(_loc_2[1]));
                    break;
                }
                default:
                {
                    break;
                }
            }
            return;
        }// end function

        private function processPhinhClick(param1:int) : void
        {
            this.currBetCoinChoiced = this.currBetCoinChoiced + param1 * this.currUnit;
            if (this.currBetCoinChoiced > this.MaxBet)
            {
                this.currBetCoinChoiced = this.MaxBet;
            }
            this.Coin = this.currBetCoinChoiced;
            return;
        }// end function

        private function set Coin(param1:Number) : void
        {
            this.currBetCoinChoiced = param1;
            this.mainMovie.coin_txt.text = Format.Coin(param1.toString());
            return;
        }// end function

        private function onCoinChange(event:Event) : void
        {
            if (Number(Format.removeDot(this.mainMovie.coin_txt.text)) > this.MaxBet)
            {
                this.mainMovie.coin_txt.text = Format.Coin(this.MaxBet.toString());
                return;
            }
            var _loc_2:* = Number(Format.removeDot(this.mainMovie.coin_txt.text));
            this.Coin = _loc_2;
            this.mainMovie.coin_txt.setSelection(this.mainMovie.coin_txt.text.length, this.mainMovie.coin_txt.text.length);
            return;
        }// end function

        public function SetRule(param1:String) : void
        {
            if (this._compoLuatGame != null)
            {
                this._compoLuatGame.Rule = param1;
            }
            return;
        }// end function

        public function GetRuleString(param1:String) : String
        {
            if (this._compoLuatGame != null)
            {
                return this._compoLuatGame.getInviteString(param1);
            }
            return "";
        }// end function

        public function GetDefaultRule() : String
        {
            if (this._compoLuatGame != null)
            {
                return this._compoLuatGame.defaultRule();
            }
            return "";
        }// end function

        public function Show(param1:int = 1) : void
        {
            this.type = param1;
            if (param1 == 1)
            {
                if (this._compoLuatGame != null && !this.mainMovie.contains(this._compoLuatGame as DisplayObject))
                {
                    this.compoLuatGame = this._compoLuatGame;
                }
                if (this._compoLuatGame != null)
                {
                    this._compoLuatGame.showEnable(true);
                    (this._compoLuatGame as DisplayObject).visible = true;
                }
            }
            else
            {
                if (this._compoLuatGame != null && !this.mainMovie.contains(this._compoLuatGame as DisplayObject))
                {
                    this.compoLuatGame = this._compoLuatGame;
                }
                if (this._compoLuatGame != null)
                {
                    this._compoLuatGame.showEnable(true);
                    (this._compoLuatGame as DisplayObject).visible = true;
                }
            }
            this.visible = true;
            this.GoValueCombo(this.cboTime, this.BetTime);
            this.mainMovie.maxPlayer_tf.visible = false;
            this.cboMaxPlayer.visible = false;
            if (this.gameLoader.global.isGamePoker)
            {
                this.BindDataCombo(this.cboMaxPlayer, this.getMaxPlayerValue());
                this.mainMovie.maxPlayer_tf.visible = true;
                this.cboMaxPlayer.visible = true;
            }
            if (this.gameLoader.global.isGameSam || this.gameLoader.global.isGameTLMN)
            {
                if (this.gameLoader.global.isB() == true)
                {
                    this.chk_gopGa.visible = false;
                    this.chk_gopGa.enabled = false;
                }
                else
                {
                    this.chk_gopGa.x = 53;
                    this.chk_gopGa.y = 266;
                    if (this._compoLuatGame != null)
                    {
                        this.chk_gopGa.y = (this._compoLuatGame as DisplayObject).y + (this._compoLuatGame as DisplayObject).height + 10;
                    }
                    this.chk_gopGa.visible = true;
                    this.chk_gopGa.enabled = true;
                    if (this.gameLoader.global.isRoomDefault == true)
                    {
                    }
                    else
                    {
                    }
                }
            }
            else
            {
                this.chk_gopGa.visible = false;
            }
            return;
        }// end function

        public function Hide() : void
        {
            this.visible = false;
            this.mainMovie.Error_txt.visible = false;
            if (int(this.cboTime.selectedItem.data) != this.betTime)
            {
                this.GoValueCombo(this.cboTime, this.betTime);
            }
            return;
        }// end function

        public function BindDataCombo(param1:ComboBox, param2:String) : void
        {
            var _loc_6:Array = null;
            if (param1.length > 0)
            {
                param1.removeAll();
            }
            var _loc_3:* = param2.split(";");
            var _loc_4:int = 0;
            var _loc_5:int = 0;
            while (_loc_5 < _loc_3.length)
            {
                
                _loc_6 = _loc_3[_loc_5].split(",");
                param1.addItem({data:_loc_6[0], label:_loc_6[1]});
                _loc_5++;
            }
            param1.selectedIndex = _loc_4;
            return;
        }// end function

        public function GoValueCombo(param1:ComboBox, param2:int) : void
        {
            var _loc_3:* = param1.enabled;
            if (!_loc_3)
            {
                param1.enabled = true;
            }
            var _loc_4:int = 0;
            while (_loc_4 < param1.length)
            {
                
                if (int(param1.getItemAt(_loc_4).data) == param2)
                {
                    param1.selectedIndex = _loc_4;
                    break;
                }
                _loc_4++;
            }
            param1.enabled = _loc_3;
            return;
        }// end function

        private function InviteUser(event:MouseEvent) : void
        {
            if (this.userId.length == 0 || this.userId == "0")
            {
                return;
            }
            this.betTime = Number(this.cboTime.selectedItem.data);
            if (this.currBetCoinChoiced < this.MinBet)
            {
                this.mainMovie.Error_txt.visible = true;
                this.mainMovie.Error_txt.htmlText = "<b>Ti?n cu?c t nh?t l ;
                this.currBetCoinChoiced = this.MinBet;
                this.Coin = this.currBetCoinChoiced;
                return;
            }
            if (this.currBetCoinChoiced % 1000 > 0)
            {
                this.mainMovie.Error_txt.visible = true;
                this.mainMovie.Error_txt.htmlText = "<b>Ti?n cu?c ph?i l b?i s? c?a 1000 !</b>";
                this.currBetCoinChoiced = Math.floor(this.currBetCoinChoiced / 1000) * 1000;
                this.Coin = this.currBetCoinChoiced;
                return;
            }
            var _loc_2:* = this.mainMovie.getChildByName("compoLuatGame");
            var _loc_3:String = "";
            if (_loc_2)
            {
                _loc_3 = _loc_2.Rule;
            }
            var _loc_4:Boolean = false;
            if (_loc_2)
            {
                _loc_4 = _loc_2.isSolo;
            }
            var _loc_5:* = this.chk_gopGa.selected;
            if (this.gameLoader.global.gameID == GlobalConstants.PokerGameId)
            {
                this.dispatchEvent(new MenuInviteEvent(MenuInviteEvent.INVITE_DIALOG, {UserId:this.userId, NickName:this.nickName, BetCoin:this.currBetCoinChoiced, TimeOut:this.betTime, Type:this.type, Rule:_loc_3, maxPlayer:int(this.cboMaxPlayer.selectedItem.data), Solo:_loc_4, GopGa:_loc_5}, true));
            }
            else
            {
                this.dispatchEvent(new MenuInviteEvent(MenuInviteEvent.INVITE_DIALOG, {UserId:this.userId, NickName:this.nickName, BetCoin:this.currBetCoinChoiced, TimeOut:this.betTime, Type:this.type, Rule:_loc_3, Solo:_loc_4, GopGa:_loc_5}, true));
            }
            this.Hide();
            return;
        }// end function

        final public function resetUI() : void
        {
            this.cboTime.visible = true;
            return;
        }// end function

        final public function reset() : void
        {
            this.cboTime.removeAll();
            return;
        }// end function

        override public function dispose() : void
        {
            super.dispose();
            return;
        }// end function

        private function getMaxPlayerValue() : String
        {
            var _loc_1:String = "";
            var _loc_2:int = 0;
            while (_loc_2 < this.listMaxPlayer.length)
            {
                
                _loc_1 = _loc_1 + (this.listMaxPlayer[_loc_2] + "," + this.listMaxPlayer[_loc_2] + ";");
                _loc_2++;
            }
            return _loc_1.slice(0, -1);
        }// end function

    }
}
