package net.mgame.defaultcomponents
{
    import flash.display.*;
    import flash.events.*;
    import flash.utils.*;

    public class CompoMatchResult extends Sprite
    {
        public var mainMovie:MatchResult = null;
        private var displayTimer:Timer = null;
        public var ResultData:String = "";
        public var NickName:String = "";
        private var currency:String = "G";
        public static const SELECT_CHECK_BOX:String = "CompoMatchResultSelectCheckBox";
        public static const RESULT_STYLE_2ROW:uint = 1;
        public static const RESULT_STYLE_1ROW:uint = 2;
        public static const RESULT_STYLE_HaveListCard:uint = 3;

        public function CompoMatchResult() : void
        {
            this.mainMovie = new MatchResult();
            addChild(this.mainMovie);
            return;
        }// end function

        public function get isNotDisplayAgain() : Boolean
        {
            return this.mainMovie.checkBoxChecked;
        }// end function

        public function set isNotDisplayAgain(param1:Boolean) : void
        {
            if (this.mainMovie)
            {
                this.mainMovie.setStatusCheckbox(param1);
            }
            return;
        }// end function

        public function set Currency(param1:String) : void
        {
            this.currency = param1;
            return;
        }// end function

        private function onClose(event:MouseEvent) : void
        {
            this.Hide();
            return;
        }// end function

        private function onMouseUpAndDown(event:MouseEvent) : void
        {
            switch(event.type)
            {
                case MouseEvent.MOUSE_DOWN:
                {
                    this.mainMovie.startDrag();
                    return;
                }
                case MouseEvent.MOUSE_UP:
                {
                    this.mainMovie.stopDrag();
                    return;
                }
                default:
                {
                    break;
                }
            }
            return;
        }// end function

        public function Show() : void
        {
            this.mainMovie.matchResult_mc.btnClose.addEventListener(MouseEvent.CLICK, this.onClose, false, 0, true);
            this.mainMovie.getTitle().addEventListener(MouseEvent.MOUSE_DOWN, this.onMouseUpAndDown, false, 0, true);
            this.mainMovie.getTitle().addEventListener(MouseEvent.MOUSE_UP, this.onMouseUpAndDown, false, 0, true);
            this.ParseDataMatchResult();
            this.visible = true;
            return;
        }// end function

        public function Hide() : void
        {
            this.mainMovie.clearUI();
            this.mainMovie.matchResult_mc.btnClose.removeEventListener(MouseEvent.CLICK, this.onClose);
            this.mainMovie.getTitle().removeEventListener(MouseEvent.MOUSE_DOWN, this.onMouseUpAndDown);
            this.mainMovie.getTitle().removeEventListener(MouseEvent.MOUSE_UP, this.onMouseUpAndDown);
            this.visible = false;
            return;
        }// end function

        public function ParseDataMatchResult() : void
        {
            if (this.ResultData.length != 0)
            {
                this.mainMovie.bindingdata(this.ResultData, this.NickName);
            }
            return;
        }// end function

        public function visibleCheckBox(param1:Boolean) : void
        {
            return;
        }// end function

        public function setResultStyle(param1:uint) : void
        {
            this.mainMovie.resultStyle = param1;
            return;
        }// end function

    }
}
