package net.mgame.defaultcomponents
{
    import MGameUtilities.*;
    import __AS3__.vec.*;
    import flash.display.*;
    import flash.events.*;
    import flash.geom.*;
    import flash.text.*;
    import net.mGame.controllers.*;
    import net.mgame.utils.*;

    public class MatchResult extends MovieClip
    {
        public var container:Sprite;
        public var matchResult_mc:MatchResult_mc;
        private var wScroll:Number = 736;
        private var hScroll:Number = 473;
        private var scroll:IOSScrollArea;
        private var checkBox:CheckBox;
        public var checkBoxChecked:Boolean = false;
        public var resultStyle:uint = 1;
        public var mcExternal:Sprite = null;
        public var isShowExternal:Boolean = false;
        private const CARDS:Array;
        public static const SELECT_CHECK_BOX:String = "CompoMatchResultSelectCheckBox";
        private static var arrSSCards:Vector.<int> = new Vector.<int>(0);

        public function MatchResult()
        {
            this.CARDS = new Array([2, 1], [2, 2], [2, 3], [2, 4], [3, 1], [3, 2], [3, 3], [3, 4], [4, 1], [4, 2], [4, 3], [4, 4], [5, 1], [5, 2], [5, 3], [5, 4], [6, 1], [6, 2], [6, 3], [6, 4], [7, 1], [7, 2], [7, 3], [7, 4], [8, 1], [8, 2], [8, 3], [8, 4], [9, 1], [9, 2], [9, 3], [9, 4], [10, 1], [10, 2], [10, 3], [10, 4], [11, 1], [11, 2], [11, 3], [11, 4], [12, 1], [12, 2], [12, 3], [12, 4], [13, 1], [13, 2], [13, 3], [13, 4], [1, 1], [1, 2], [1, 3], [1, 4]);
            this.matchResult_mc = new MatchResult_mc();
            this.addChild(this.matchResult_mc);
            this.container = new Sprite();
            this.container.x = 50;
            this.container.y = 80;
            this.matchResult_mc.addChild(this.container);
            this.scroll = new IOSScrollArea(this.wScroll, this.hScroll, false);
            this.scroll.x = this.container.x + this.container.width;
            this.scroll.y = this.container.y;
            this.matchResult_mc.addChild(this.scroll);
            this.scroll.Initialize(IOSScrollArea.VERTICAL, this.container);
            this.checkBox = new CheckBox();
            this.checkBox.x = 60;
            this.checkBox.y = this.matchResult_mc.height - 75;
            this.checkBox.label = "Kh";
            this.checkBox.height = this.checkBox.height * 1.25;
            this.checkBox.width = this.checkBox.width * 1.25;
            addChild(this.checkBox);
            this.checkBox.addEventListener(MouseEvent.CLICK, this.onClickCheckBox);
            return;
        }// end function

        public function getTitle() : TextField
        {
            return this.matchResult_mc.lbTitle;
        }// end function

        public function setStatusCheckbox(param1:Boolean) : void
        {
            this.checkBoxChecked = param1;
            this.checkBox.selected = param1;
            return;
        }// end function

        private function onClickCheckBox(event:MouseEvent) : void
        {
            this.setStatusCheckbox(!this.checkBoxChecked);
            return;
        }// end function

        public function bindingdata(param1:String, param2:String) : void
        {
            var _loc_8:String = null;
            var _loc_10:int = 0;
            var _loc_12:Number = NaN;
            var _loc_13:Sprite = null;
            this.clearUI();
            var _loc_3:int = 0;
            var _loc_4:* = param1.split(";");
            var _loc_5:* = _loc_4.length;
            var _loc_6:Array = null;
            var _loc_7:ItemMatchResult = null;
            var _loc_9:Number = 0;
            var _loc_11:* = GameLoader.getInstance();
            _loc_10 = 0;
            while (_loc_10 < _loc_5)
            {
                
                _loc_6 = _loc_4[_loc_10].split(",");
                _loc_7 = new ItemMatchResult();
                _loc_7.gotoAndStop(this.resultStyle);
                _loc_7.mouseEnabled = false;
                _loc_7.mouseChildren = false;
                _loc_12 = 0;
                if (_loc_6[0] == param2)
                {
                    _loc_7.lbName.htmlText = "<B>" + ((_loc_10 + 1)).toString() + "." + _loc_6[0] + " </B>";
                    _loc_7.lbCoin.htmlText = "<B>" + Format.Coin(_loc_6[1]) + "</B>";
                    _loc_7.lbNote.htmlText = "<B>" + _loc_6[2] + "</B>";
                    if (this.resultStyle == CompoMatchResult.RESULT_STYLE_2ROW || this.resultStyle == CompoMatchResult.RESULT_STYLE_HaveListCard)
                    {
                        _loc_12 = _loc_7.lbNote.getLineMetrics(0).height;
                        _loc_7.lbNote.height = _loc_12 * _loc_7.lbNote.numLines;
                    }
                }
                else
                {
                    _loc_7.lbName.htmlText = ((_loc_10 + 1)).toString() + "." + (_loc_11.global.isVongGiauMat() ? ("P111") : (_loc_6[0]));
                    _loc_7.lbCoin.htmlText = Format.Coin(_loc_6[1]);
                    _loc_7.lbNote.htmlText = _loc_6[2];
                    if (this.resultStyle == CompoMatchResult.RESULT_STYLE_2ROW || this.resultStyle == CompoMatchResult.RESULT_STYLE_HaveListCard)
                    {
                        _loc_12 = _loc_7.lbNote.getLineMetrics(0).height;
                        _loc_7.lbNote.height = _loc_12 * _loc_7.lbNote.numLines;
                    }
                }
                if (this.resultStyle == CompoMatchResult.RESULT_STYLE_HaveListCard)
                {
                    this.createListCardMc(String(_loc_6[3]).split("^"), _loc_7.listCardMC);
                }
                _loc_7.y = _loc_3;
                this.container.addChild(_loc_7);
                _loc_3 = _loc_3 + (_loc_7.height + 5);
                _loc_9 = _loc_9 + (_loc_7.height + 5);
                if (this.isShowExternal && parseInt(_loc_6[1]) > 0)
                {
                    if (this.mcExternal)
                    {
                        this.mcExternal.x = _loc_7.width - this.mcExternal.width >> 1;
                        this.mcExternal.y = _loc_7.y + 40;
                    }
                }
                _loc_10++;
            }
            if (this.isShowExternal)
            {
                if (this.mcExternal)
                {
                    this.container.addChild(this.mcExternal);
                }
            }
            else
            {
                if (this.mcExternal)
                {
                    if (this.container.getChildByName("mcExternalResult") != null)
                    {
                        this.container.removeChild(this.mcExternal);
                    }
                }
                this.mcExternal = null;
            }
            _loc_9 = (this.hScroll - _loc_9) / Math.abs(5 - _loc_10);
            if (this.resultStyle == CompoMatchResult.RESULT_STYLE_2ROW || this.resultStyle == CompoMatchResult.RESULT_STYLE_HaveListCard)
            {
                while (_loc_10 < 5)
                {
                    
                    _loc_7 = new ItemMatchResult();
                    _loc_7.visible = false;
                    _loc_7.y = _loc_3;
                    _loc_7.height = _loc_9;
                    this.container.addChild(_loc_7);
                    _loc_3 = _loc_3 + (_loc_7.height + 5);
                    _loc_10++;
                }
            }
            else
            {
                _loc_13 = new Sprite();
                _loc_13.graphics.beginFill(16777215, 0);
                _loc_13.graphics.drawRect(0, 0, 1, 1);
                _loc_13.graphics.endFill();
                this.container.addChild(_loc_13);
                _loc_13.y = 500;
            }
            this.container.y = 80;
            return;
        }// end function

        public function clearUI() : void
        {
            if (this.container != null)
            {
                while (this.container.numChildren != 0)
                {
                    
                    this.container.removeChildAt(0);
                }
                this.container.y = 80;
            }
            return;
        }// end function

        private function createListCardMc(param1:Array, param2:Sprite) : void
        {
            var _loc_3:int = 0;
            if (param1.length < 3)
            {
                param2.graphics.clear();
            }
            else
            {
                _loc_3 = 0;
                while (_loc_3 < param1.length)
                {
                    
                    this.drawCard(param2, param1[_loc_3], 42 * _loc_3, 0, 40, 65);
                    _loc_3++;
                }
            }
            return;
        }// end function

        private function drawCard(param1:Sprite, param2:int, param3:Number, param4:Number, param5:int, param6:int) : void
        {
            var _loc_7:* = getSSCard(param2);
            var _loc_8:* = new BitmapData(280, 280);
            _loc_8.draw(_loc_7);
            param1.graphics.beginBitmapFill(_loc_8, new Matrix(0.8, 0, 0, 0.8, param3, param4 - 10), false, true);
            param1.graphics.drawRect(param3, param4 - 10, param5, param6);
            param1.graphics.endFill();
            _loc_7 = null;
            return;
        }// end function

        public static function getSSCard(param1:int) : SSCard
        {
            var _loc_2:int = 0;
            if (arrSSCards.length == 0)
            {
                _loc_2 = 4;
                while (_loc_2 <= 51)
                {
                    
                    arrSSCards.push(_loc_2);
                    _loc_2++;
                }
                _loc_2 = 0;
                while (_loc_2 < 4)
                {
                    
                    arrSSCards.push(_loc_2);
                    _loc_2++;
                }
                _loc_2 = 1;
                while (_loc_2 <= 2)
                {
                    
                    arrSSCards.push(52);
                    _loc_2++;
                }
            }
            return CardsManager.getSSCardById(arrSSCards[param1]);
        }// end function

    }
}
