package net.mgame.mchat
{
    import MGameEvents.*;
    import MGameUtilities.*;
    import __AS3__.vec.*;
    import fl.controls.*;
    import flash.display.*;
    import flash.events.*;
    import flash.text.*;
    import flash.text.engine.*;
    import net.mGame.controllers.*;

    public class CompoChat extends Sprite
    {
        private var mainMovie:Chat_mc;
        private var flag:Boolean = true;
        private var maxChars:int = 150;
        private var HETHONGMES:String = "HeThongMess";
        private var USERMES:String = "UserMess";
        private var maxMessageInBoxChat:int = 100;
        private var NEW_LINE:String = "newline";
        private var content:String = "";
        private var scroll:IOSScrollArea;
        private var textInput:TextInput;
        public var playSoundClick:Function;

        public function CompoChat()
        {
            this.mainMovie = new Chat_mc();
            this.addChild(this.mainMovie);
            var _loc_1:* = new TextFormat();
            _loc_1.font = "Arial";
            _loc_1.size = 36;
            _loc_1.color = 3240594;
            this.textInput = new TextInput();
            this.textInput.textField.textColor = 3240594;
            this.textInput.x = 14.5;
            this.textInput.y = 636.8;
            this.textInput.width = 336.6;
            this.textInput.height = 50;
            this.textInput.setStyle("textFormat", _loc_1);
            this.textInput.setStyle("upSkin", new Sprite());
            this.mainMovie.addChild(this.textInput);
            this.mainMovie.btnSend.addEventListener(MouseEvent.CLICK, this.onSendChat, false, 0, true);
            this.textInput.addEventListener(Event.CHANGE, this.onChangeText);
            this.textInput.addEventListener(MouseEvent.CLICK, this.onTextClick);
            this.mainMovie.close_btn.addEventListener(MouseEvent.CLICK, this.onCLose);
            this.activeIconEmoticon(false);
            this.textInput.visible = true;
            this.scroll = new IOSScrollArea(560, 600, false);
            this.scroll.x = 10;
            this.scroll.y = 13.4;
            this.mainMovie.addChild(this.scroll);
            this.scroll.Initialize(IOSScrollArea.VERTICAL, this.mainMovie.mvContent);
            return;
        }// end function

        public function activeIconEmoticon(param1:Boolean = true) : void
        {
            this.mainMovie.btnEmotion.visible = param1;
            if (!param1)
            {
                this.textInput.width = this.textInput.width + this.mainMovie.btnEmotion.width;
            }
            else
            {
                this.textInput.width = this.textInput.width - this.mainMovie.btnEmotion.width;
            }
            return;
        }// end function

        private function onCLose(event:MouseEvent) : void
        {
            this.playSoundClick();
            this.Hide();
            return;
        }// end function

        private function onDeactiveSoftKeyBoard(event:SoftKeyboardEvent) : void
        {
            return;
        }// end function

        private function onTextClick(event:MouseEvent) : void
        {
            this.stage.focus = this.textInput.textField;
            this.textInput.textField.requestSoftKeyboard();
            return;
        }// end function

        private function onChangeText(event:Event) : void
        {
            if (this.textInput.length > 0)
            {
                this.mainMovie.btnSend.gotoAndStop(2);
            }
            else
            {
                this.mainMovie.btnSend.gotoAndStop(1);
            }
            return;
        }// end function

        private function onSendChat(event:MouseEvent) : void
        {
            if (this.stage != null)
            {
                this.stage.focus = null;
            }
            var _loc_2:* = Format.trim(this.textInput.text);
            if (_loc_2.length == 0)
            {
                return;
            }
            _loc_2 = StringFormat.removeLinkInString(_loc_2);
            var _loc_3:String = "";
            dispatchEvent(new SendChatEvent(SendChatEvent.SEND_MESCHAT_PRIVATE, {ReceiverId:-2, ReceiverNickname:"receiverNickname", Msg:_loc_2}, true));
            this.textInput.text = "";
            this.onChangeText(null);
            return;
        }// end function

        public function appendSystemNotice(param1:String) : void
        {
            param1 = param1.replace("<b>", "");
            param1 = param1.replace("</b>", "");
            this.content = this.content + this.BuildSystemContent(param1);
            this.content = this.reduceNumberMessageInBoxChat();
            this.addArrayMessageToBoxChat(this.content.split(this.NEW_LINE));
            return;
        }// end function

        public function appendChat(param1:String, param2:String, param3:int, param4:String, param5:String) : void
        {
            var _loc_6:* = this.BuildString(param1, param2, param4, param5);
            this.content = this.content + _loc_6;
            this.content = this.reduceNumberMessageInBoxChat();
            this.addArrayMessageToBoxChat(this.content.split(this.NEW_LINE));
            return;
        }// end function

        public function clearContent() : void
        {
            this.content = "";
            this.clearContentChat();
            return;
        }// end function

        private function addArrayMessageToBoxChat(param1:Array) : void
        {
            var _loc_3:String = null;
            var _loc_4:RegExp = null;
            this.clearContentChat();
            var _loc_2:int = 0;
            while (_loc_2 < param1.length)
            {
                
                if (param1[_loc_2] != undefined && param1[_loc_2] != null)
                {
                    _loc_3 = String(param1[_loc_2]);
                    _loc_4 = new RegExp("<[^<]+?>", "gi");
                    _loc_3 = _loc_3.replace(_loc_4, "");
                    if (_loc_3 != "")
                    {
                        this.addMesToBoxChat(_loc_3);
                    }
                }
                _loc_2++;
            }
            return;
        }// end function

        public function addMesToBoxChat(param1:String) : void
        {
            var _loc_10:String = null;
            var _loc_11:MovieClip = null;
            var _loc_13:FontDescription = null;
            var _loc_21:ElementFormat = null;
            var _loc_22:TextElement = null;
            var _loc_23:ElementFormat = null;
            var _loc_24:TextElement = null;
            var _loc_2:String = "";
            var _loc_3:int = 1;
            if (param1.indexOf(this.HETHONGMES) == 0)
            {
                param1 = param1.replace(this.HETHONGMES, "");
                _loc_3 = 0;
            }
            if (param1.indexOf(this.USERMES) == 0)
            {
                _loc_3 = 1;
                param1 = param1.replace(this.USERMES, "");
            }
            if (param1.indexOf("|@:@|") > -1)
            {
                _loc_2 = param1.substr(0, param1.indexOf("|@:@|")) + ": ";
                param1 = param1.substr(param1.indexOf("|@:@|") + 5, param1.length);
            }
            var _loc_4:* = new Vector.<ContentElement>;
            var _loc_5:* = param1;
            var _loc_6:* = new Array();
            var _loc_7:* = /[(][^)\
r\
n]*[)]""[(][^)\r\n]*[)]/ig;
            var _loc_8:* = _loc_5.match(_loc_7);
            var _loc_9:int = 0;
            var _loc_12:String = "";
            _loc_9 = 0;
            while (_loc_9 < _loc_8.length)
            {
                
                _loc_10 = String(_loc_8[_loc_9]);
                _loc_12 = _loc_5.substring(0, _loc_5.indexOf(_loc_10));
                _loc_5 = _loc_5.substring(_loc_5.indexOf(_loc_10) + _loc_10.length, _loc_5.length);
                _loc_6.push(_loc_12);
                _loc_9++;
            }
            if (_loc_5 != "")
            {
                _loc_6.push(_loc_5);
            }
            if (_loc_2 != "")
            {
                _loc_21 = new ElementFormat(null, 28, 16053492);
                _loc_13 = new FontDescription("Arial", FontWeight.BOLD, FontPosture.NORMAL, FontLookup.DEVICE, RenderingMode.NORMAL, CFFHinting.NONE);
                _loc_13.renderingMode = RenderingMode.CFF;
                _loc_21.kerning = Kerning.ON;
                _loc_21.fontDescription = _loc_13;
                _loc_22 = new TextElement(_loc_2, _loc_21);
                _loc_4.push(_loc_22);
            }
            var _loc_14:* = _loc_6.length > _loc_8.length ? (_loc_6.length) : (_loc_8.length);
            _loc_9 = 0;
            while (_loc_9 < _loc_14)
            {
                
                if (_loc_9 < _loc_6.length)
                {
                    _loc_23 = new ElementFormat(null, 28, 16776960);
                    _loc_23.kerning = Kerning.ON;
                    if (_loc_2 != "")
                    {
                        _loc_13 = new FontDescription("Arial", FontWeight.NORMAL, FontPosture.NORMAL, FontLookup.DEVICE, RenderingMode.NORMAL, CFFHinting.NONE);
                    }
                    else
                    {
                        _loc_13 = new FontDescription("Arial", FontWeight.BOLD, FontPosture.NORMAL, FontLookup.DEVICE, RenderingMode.NORMAL, CFFHinting.NONE);
                    }
                    _loc_23.fontDescription = _loc_13;
                    if (_loc_3 == 1)
                    {
                        _loc_23.color = 16053492;
                    }
                    _loc_24 = new TextElement(_loc_6[_loc_9], _loc_23);
                    _loc_4.push(_loc_24);
                }
                if (_loc_9 < _loc_8.length)
                {
                }
                _loc_9++;
            }
            var _loc_15:* = new GroupElement(_loc_4);
            var _loc_16:* = new TextBlock();
            _loc_16.content = _loc_15;
            var _loc_17:Number = 45;
            var _loc_18:* = this.mainMovie.mvContent.index * _loc_17;
            var _loc_19:int = 555;
            var _loc_20:* = _loc_16.createTextLine(null, _loc_19);
            while (_loc_20 != null)
            {
                
                this.mainMovie.mvContent.addChild(_loc_20);
                _loc_20.name = "child_" + this.mainMovie.mvContent.index;
                var _loc_25:* = this.mainMovie.mvContent;
                var _loc_26:* = this.mainMovie.mvContent.index + 1;
                _loc_25.index = _loc_26;
                _loc_20.x = 10;
                _loc_18 = _loc_18 + _loc_17;
                _loc_20.y = _loc_18;
                _loc_20 = _loc_16.createTextLine(_loc_20, _loc_19);
            }
            return;
        }// end function

        private function reduceNumberMessageInBoxChat() : String
        {
            var _loc_1:* = this.content.split(this.NEW_LINE);
            if (_loc_1.length <= this.maxMessageInBoxChat)
            {
                return this.content;
            }
            var _loc_2:* = new Array();
            var _loc_3:* = _loc_1.length - this.maxMessageInBoxChat;
            var _loc_4:* = _loc_3;
            while (_loc_4 < _loc_1.length)
            {
                
                _loc_2.push(_loc_1[_loc_4]);
                _loc_4++;
            }
            return _loc_2.join(this.NEW_LINE);
        }// end function

        private function BuildSystemContent(param1:String) : String
        {
            param1 = param1.replace("<b>", "");
            param1 = param1.replace("</b>", "");
            return this.HETHONGMES + param1 + this.NEW_LINE;
        }// end function

        private function clearContentChat() : void
        {
            var _loc_2:DisplayObject = null;
            var _loc_1:int = 0;
            while (_loc_1 < this.mainMovie.mvContent.index)
            {
                
                _loc_2 = this.mainMovie.mvContent.getChildByName("child_" + _loc_1);
                if (_loc_2 != null)
                {
                    this.mainMovie.mvContent.removeChild(_loc_2);
                }
                _loc_1++;
            }
            this.mainMovie.mvContent.index = 0;
            return;
        }// end function

        private function showEmoticonTable(event:MouseEvent) : void
        {
            return;
        }// end function

        private function clickEmoticon(event:Event) : void
        {
            return;
        }// end function

        private function BuildString(param1:String, param2:String, param3:String, param4:String) : String
        {
            if (Format.trim(param1) != Format.trim(param3))
            {
                return param1 + "|@:@|" + param2 + this.NEW_LINE;
            }
            if (param1 == "" && param3 == "")
            {
                return param2 + this.NEW_LINE;
            }
            return param1 + "|@:@|" + param2 + this.NEW_LINE;
        }// end function

        public function Show() : void
        {
            this.visible = true;
            this.scroll.isActive = true;
            return;
        }// end function

        public function Hide() : void
        {
            this.visible = false;
            this.scroll.isActive = false;
            return;
        }// end function

    }
}
