package net.mgame.ui.listboard
{
    import flash.display.*;
    import flash.events.*;
    import net.mgame.listboard.*;

    public class PopupUserInBoard extends Sprite
    {
        private var header:PopupHeader;
        private var footer:PopupFooter;
        private var itemContainer:Sprite;
        public var playSoundClick:Function;
        private var gameLoader:GameLoader;

        public function PopupUserInBoard()
        {
            this.gameLoader = GameLoader.getInstance();
            this.header = new PopupHeader();
            this.addChild(this.header);
            this.footer = new PopupFooter();
            this.addChild(this.footer);
            this.itemContainer = new Sprite();
            this.itemContainer.y = this.header.height;
            this.addChild(this.itemContainer);
            this.visible = false;
            return;
        }// end function

        public function show(param1:Array, param2:String, param3:DisplayObject) : Boolean
        {
            var _loc_4:PopupItemUser = null;
            var _loc_6:String = null;
            if (this.gameLoader.global.isTourRoom)
            {
                return false;
            }
            this.playSoundClick();
            if (param1.length == 0)
            {
                return false;
            }
            while (this.itemContainer.numChildren > 0)
            {
                
                this.itemContainer.removeChildAt(0);
            }
            var _loc_5:int = 0;
            while (_loc_5 < param1.length)
            {
                
                _loc_4 = new PopupItemUser();
                if (param1[_loc_5].nickName != param2)
                {
                    _loc_4._isOwner.visible = false;
                }
                _loc_6 = param1[_loc_5].nickName;
                if (_loc_6.length > 12)
                {
                    _loc_6 = _loc_6.substring(0, 12) + "...";
                }
                _loc_4.txtName.text = _loc_6;
                _loc_4.y = _loc_5 * 40;
                this.itemContainer.addChild(_loc_4);
                _loc_5++;
            }
            this.footer.y = this.header.height + this.itemContainer.height;
            this.visible = true;
            this.parent.setChildIndex(this, (this.parent.numChildren - 1));
            return true;
        }// end function

        public function hide(event:Event = null) : void
        {
            this.visible = false;
            return;
        }// end function

    }
}
