package net.mgame.ui.lobby.listgame
{
    import __AS3__.vec.*;
    import fl.motion.*;
    import flash.display.*;
    import flash.events.*;
    import net.mGame.controllers.*;
    import net.mgame.lobby.*;
    import net.mgame.ui.*;

    public class CompoListGame extends Sprite
    {
        private var itemContainer:Sprite = null;
        private var scroll:IOSScrollArea;
        protected var adjustColor:AdjustColor;
        private var enterGame:Function;
        public var lobby:LobbyScreen;
        private var listItem:Vector.<ItemGame>;
        public var extendListGame_mc:extends_mc;
        private var isHide:Boolean;
        private var listGameData:Array;

        public function CompoListGame(param1:Function, param2:LobbyScreen, param3:int = 610)
        {
            var _loc_4:ItemGame = null;
            this.lobby = param2;
            this.enterGame = param1;
            this.itemContainer = new Sprite();
            this.scroll = new IOSScrollArea(260, param3, false);
            this.isHide = false;
            this.addChild(this.scroll);
            this.addChild(this.itemContainer);
            this.adjustColor = new AdjustColor();
            this.adjustColor.saturation = -90;
            this.adjustColor.hue = 0;
            this.adjustColor.contrast = 0;
            this.adjustColor.brightness = 0;
            this.scroll.Initialize(IOSScrollArea.VERTICAL, this.itemContainer);
            this.listItem = new Vector.<ItemGame>;
            this.extendListGame_mc = new extends_mc();
            this.extendListGame_mc.x = 235;
            this.extendListGame_mc.y = param3 / 2;
            this.extendListGame_mc.rotation = 0;
            this.extendListGame_mc.addEventListener(MouseEvent.CLICK, this.onExtendClick);
            this.addChild(this.extendListGame_mc);
            return;
        }// end function

        public function onExtendClick(event:MouseEvent) : void
        {
            this.lobby.gameLoader.playSoundClick();
            if (!this.isHide)
            {
                this.itemContainer.visible = false;
                this.itemContainer.mouseChildren = false;
                this.itemContainer.mouseEnabled = false;
                this.extendListGame_mc.rotation = -180;
                this.extendListGame_mc.x = 30;
                this.isHide = true;
                this.lobby.setChildIndex(this.lobby.listBoard, (this.lobby.getChildIndex(this.lobby.header_mc) - 1));
                this.lobby.expandListBoard();
            }
            else
            {
                this.itemContainer.visible = true;
                this.itemContainer.mouseChildren = true;
                this.itemContainer.mouseEnabled = true;
                this.extendListGame_mc.rotation = 0;
                this.extendListGame_mc.x = 235;
                this.isHide = false;
                this.lobby.setChildIndex(this.lobby.compoListGame, (this.lobby.getChildIndex(this.lobby.header_mc) - 1));
                this.lobby.collapseListBoard();
            }
            return;
        }// end function

        public function Load(param1:Array) : void
        {
            var _loc_2:ItemGame = null;
            var _loc_3:int = 0;
            this.listGameData = param1;
            _loc_3 = 0;
            while (_loc_3 < param1.length)
            {
                
                _loc_2 = new ItemGame(this.lobby);
                this.listItem.push(_loc_2);
                _loc_2.ParseData(param1[_loc_3], this.adjustColor, this.enterGame);
                _loc_3++;
            }
            this.arrangeItemGame(this.lobby.gameLoader.global.gameID);
            return;
        }// end function

        public function arrangeItemGame(param1:int) : void
        {
            var _loc_2:ItemGame = null;
            var _loc_3:Number = 20;
            while (this.itemContainer.numChildren > 0)
            {
                
                this.itemContainer.removeChildAt(0);
            }
            var _loc_4:int = 0;
            while (_loc_4 < this.listItem.length)
            {
                
                _loc_2 = this.listItem[_loc_4];
                if (_loc_2.gameId != param1)
                {
                    _loc_2.x = 10;
                    _loc_2.y = _loc_3;
                    _loc_2.resetOriPos();
                    this.itemContainer.addChild(_loc_2);
                    _loc_3 = _loc_3 + (_loc_2.height + 20);
                }
                _loc_4++;
            }
            return;
        }// end function

        public function active() : void
        {
            this.scroll.isActive = true;
            return;
        }// end function

        public function deactive() : void
        {
            this.scroll.isActive = false;
            return;
        }// end function

    }
}
