package net.mgame.ui.thongtin
{
    import MGameUtilities.*;
    import fl.containers.*;
    import flash.display.*;
    import flash.events.*;
    import flash.geom.*;
    import flash.media.*;
    import flash.text.*;
    import flash.utils.*;
    import mx.utils.*;
    import net.king.*;
    import net.king.data.*;
    import net.mGame.controllers.*;
    import net.mgame.*;
    import net.mgame.defaultcomponents.*;

    public class ThongTinScreen extends Sprite
    {
        private var _compoThongTin:CompoThongTin;
        public var preLoader:Object;
        public var gameLoader:Object;
        public var avatarLoader:UILoader;
        private var btnClose:ButtonClose_Orgrange;
        private var heightAfterScaleY:Number = 0;
        private var widthAfterScaleX:Number = 0;
        private var nickName:String = "";
        private var isLoadThanhTich:Boolean = false;
        private var isLoadThongTin:Boolean = false;
        private var isLoadBangHoi:Boolean = false;
        private var isLoadHistoryGold:Boolean = false;
        private var isReady:Boolean = false;
        public var stageWeb:StageWebView;
        private var viewPort:Rectangle;
        private var loaddingMC:Loading3_mc;

        public function ThongTinScreen()
        {
            this.avatarLoader = new UILoader();
            this.addEventListener(Event.ADDED_TO_STAGE, this.onAddedToStage);
            return;
        }// end function

        public function get Avatar() : String
        {
            return this.compoThongTin.Avatar;
        }// end function

        public function set Avatar(param1:String) : void
        {
            this.compoThongTin.Avatar = param1;
            return;
        }// end function

        private function onAddedToStage(event:Event) : void
        {
            removeEventListener(Event.ADDED_TO_STAGE, this.onAddedToStage);
            this.widthAfterScaleX = stage.fullScreenWidth / this.preLoader.appScaleSize;
            this._compoThongTin = new CompoThongTin();
            this._compoThongTin.preLoader = this.preLoader;
            this._compoThongTin.initEvent = this.initEvent;
            this._compoThongTin.showConfirmLeaveBang = this.showConfirmLeaveBang;
            this._compoThongTin.updateMyInfo = this.onUpdateAccountButton;
            this.addChild(this._compoThongTin);
            this.initHeader();
            this.loaddingMC = new Loading3_mc();
            this.loaddingMC.x = 1280 - this.loaddingMC.width >> 1;
            this.loaddingMC.y = 720 + 183 - this.loaddingMC.height >> 1;
            this.stopLoad();
            this.addChild(this.loaddingMC);
            this.viewPort = new Rectangle(this.preLoader.getScaleHorizontal(10), this.preLoader.getScaleVertical(183), this.preLoader.getScaleHorizontal(1262), this.preLoader.getScaleVertical(537));
            return;
        }// end function

        private function initHeader() : void
        {
            this.btnClose = new ButtonClose_Orgrange();
            this.btnClose.visible = true;
            this.btnClose.buttonMode = true;
            this.btnClose.mouseChildren = false;
            this.btnClose.x = this.widthAfterScaleX - (this.btnClose.width / 2 + 20);
            this.btnClose.y = this.y + 10;
            this.btnClose.addEventListener(MouseEvent.CLICK, this.onClose);
            this.addChild(this.btnClose);
            this.drawTitlePopUp();
            return;
        }// end function

        private function onClose(event:MouseEvent) : void
        {
            this.visible = false;
            if (this.stageWeb != null)
            {
                this.stageWeb.stage = null;
                this.stageWeb.dispose();
                this.stageWeb = null;
            }
            return;
        }// end function

        private function drawTitlePopUp() : void
        {
            var _loc_1:* = new TextFormat("Arial", 60, 16777215, true);
            _loc_1.align = TextFormatAlign.CENTER;
            var _loc_2:* = new TextField();
            _loc_2.name = "title";
            _loc_2.selectable = false;
            _loc_2.defaultTextFormat = _loc_1;
            _loc_2.width = 500;
            _loc_2.height = 70;
            _loc_2.text = "THNG TIN";
            _loc_2.mouseEnabled = false;
            _loc_2.mouseWheelEnabled = false;
            _loc_2.y = 20;
            _loc_2.x = this.widthAfterScaleX / 2 - _loc_2.width / 2;
            _loc_2.visible = true;
            _loc_2.cacheAsBitmap = true;
            this.addChild(_loc_2);
            return;
        }// end function

        public function get compoThongTin() : CompoThongTin
        {
            return this._compoThongTin;
        }// end function

        private function initEvent() : void
        {
            this.isReady = true;
            this.heightAfterScaleY = stage.fullScreenHeight / this.scaleY;
            this._compoThongTin.alignUI(this.heightAfterScaleY);
            this._compoThongTin.mainMC.header.btnThongTin.addEventListener(MouseEvent.CLICK, this.onTabClick);
            this._compoThongTin.mainMC.header.btnThanhTich.addEventListener(MouseEvent.CLICK, this.onTabClick);
            this._compoThongTin.mainMC.header.btnBangHoi.addEventListener(MouseEvent.CLICK, this.onTabClick);
            this._compoThongTin.mainMC.header.btnHistoryGold.addEventListener(MouseEvent.CLICK, this.onTabClick);
            this._compoThongTin.mainMC.header.btnThanhTich.x = this._compoThongTin.mainMC.header.btnThanhTich.x + 150;
            return;
        }// end function

        private function getUserInfomation() : void
        {
            var _loc_1:WebServiceControler = null;
            var _loc_2:String = null;
            if (!this.isLoadThongTin)
            {
                this.preLoader.startLoad(0, 0, stage.fullScreenWidth, stage.fullScreenHeight, (this.preLoader.numChildren - 1));
                _loc_1 = new WebServiceControler(this.preLoader.webserviceInfo.wsPath);
                _loc_2 = StringUtil.substitute(this.preLoader.webserviceInfo.userProfileParams, this.preLoader.loginInfo.userId, this.preLoader.loginInfo.userId);
                _loc_1.callWebService(_loc_2, this.onCallBackGetThongTinUser);
            }
            return;
        }// end function

        private function getAchievementInfomation() : void
        {
            var _loc_1:WebServiceControler = null;
            var _loc_2:String = null;
            if (!this.isLoadThanhTich)
            {
                this.preLoader.startLoad(0, 0, stage.fullScreenWidth, stage.fullScreenHeight, (this.preLoader.numChildren - 1));
                _loc_1 = new WebServiceControler(this.preLoader.webserviceInfo.wsPath);
                _loc_2 = StringUtil.substitute(this.preLoader.webserviceInfo.thanhTichParams, this.preLoader.loginInfo.userId);
                _loc_1.callWebService(_loc_2, this.onCallBackGetThanhTichUser);
            }
            return;
        }// end function

        private function getBangHoiInformation() : void
        {
            var _loc_1:WebServiceControler = null;
            var _loc_2:String = null;
            if (!this.isLoadBangHoi)
            {
                this.preLoader.startLoad(0, 0, stage.fullScreenWidth, stage.fullScreenHeight, (this.preLoader.numChildren - 1));
                _loc_1 = new WebServiceControler(this.preLoader.webserviceInfo.wsPath);
                _loc_2 = StringUtil.substitute(this.preLoader.webserviceInfo.infoAssParams, this.preLoader.loginInfo.associationId);
                _loc_1.callWebService(_loc_2, this.onCallBackGetThongTinBangHoi);
            }
            return;
        }// end function

        private function getLinkHistoryGold() : void
        {
            var _loc_1:WebServiceControler = null;
            var _loc_2:String = null;
            if (!this.isLoadHistoryGold)
            {
                this.isLoadHistoryGold = true;
                this.startLoadInside();
                _loc_1 = new WebServiceControler(this.preLoader.webserviceInfo.wsPath);
                _loc_2 = StringUtil.substitute(this.preLoader.webserviceInfo.getLinkByType, this.preLoader.loginInfo.userId, "LichSuGold");
                _loc_1.callWebService(_loc_2, this.onCallBackGetLinkHistoryGold);
            }
            return;
        }// end function

        private function onCallBackGetLinkHistoryGold(param1:String) : void
        {
            var _loc_3:String = null;
            this.preLoader.endLoad();
            var _loc_2:* = JSON.parse(param1);
            if (_loc_2.status == 1)
            {
                _loc_3 = _loc_2.data[0].url;
                this.loadURL(_loc_3);
            }
            return;
        }// end function

        public function loadDataThongTinScreen() : void
        {
            if (this.isReady)
            {
                this.isLoadBangHoi = false;
                this.isLoadThanhTich = false;
                this.isLoadThongTin = false;
                this.isLoadHistoryGold = false;
                this._compoThongTin.activeTab(0);
                this.getUserInfomation();
            }
            return;
        }// end function

        private function onCallBackGetThongTinUser(param1:String) : void
        {
            var _loc_22:Object = null;
            var _loc_23:String = null;
            var _loc_24:Array = null;
            var _loc_25:int = 0;
            this.isLoadThongTin = true;
            this.preLoader.endLoad();
            var _loc_2:Number = 0;
            var _loc_3:String = "";
            var _loc_4:Boolean = false;
            var _loc_5:Sprite = null;
            var _loc_6:Sprite = null;
            var _loc_7:Number = 0;
            var _loc_8:int = 0;
            var _loc_9:String = "";
            var _loc_10:String = "";
            var _loc_11:Number = 0;
            var _loc_12:Number = 0;
            var _loc_13:Number = 0;
            var _loc_14:String = "";
            var _loc_15:String = "";
            var _loc_16:String = "";
            var _loc_17:String = "";
            var _loc_18:Boolean = false;
            var _loc_19:String = "";
            var _loc_20:String = "";
            var _loc_21:* = KingJson.parse(param1);
            if (_loc_21 == null || parseInt(_loc_21.status) == 0)
            {
                return;
            }
            if (_loc_21.data.length != 0)
            {
                _loc_22 = _loc_21.data[0];
                _loc_7 = Number(_loc_22.puid);
                _loc_8 = int(_loc_22.cat_user);
                this.nickName = _loc_22.nick;
                _loc_2 = Number(Format.removeDot(_loc_22.gold));
                if (int(_loc_22.assid) != 0)
                {
                    _loc_3 = _loc_22.assname;
                }
                _loc_23 = _loc_22.birth;
                _loc_24 = _loc_23.split("-");
                _loc_11 = Number(_loc_24[0]);
                _loc_12 = Number(_loc_24[1]);
                _loc_13 = Number(_loc_24[2]);
                _loc_9 = String(_loc_22.pemail);
                _loc_10 = String(_loc_22.phone);
                _loc_18 = _loc_10.length == 0;
                _loc_25 = int(_loc_22.gender);
                if (_loc_25 == 0)
                {
                    _loc_4 = false;
                }
                else
                {
                    _loc_4 = true;
                }
                _loc_17 = this.preLoader.urlGamePath.imagePath + _loc_22.avatar;
                _loc_14 = String(_loc_22.fullname);
                _loc_15 = String(_loc_22.cmnd);
                _loc_16 = String(_loc_22.addr);
                _loc_19 = _loc_22.time;
                _loc_20 = _loc_22.vippoint;
            }
            this._compoThongTin.setUserInformation(this.nickName, _loc_2, _loc_7, _loc_3, _loc_11, _loc_12, _loc_13, _loc_4, _loc_9, _loc_10, _loc_8, _loc_14, _loc_16, _loc_15, _loc_17, _loc_18, _loc_19, _loc_20);
            return;
        }// end function

        private function onUpdateAccountButton() : void
        {
            var _loc_1:WebServiceControler = null;
            var _loc_4:ByteArray = null;
            var _loc_5:int = 0;
            var _loc_6:String = null;
            var _loc_7:String = null;
            this.preLoader.playSoundClick();
            var _loc_2:String = "";
            var _loc_3:* = this.nickName.indexOf(this.preLoader.prefixRandomAcount) != -1;
            if (!this._compoThongTin.isShowInfo)
            {
                if (this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtName.text.length == 0)
                {
                    this.preLoader.showNotify("H? & tn kh");
                    return;
                }
                if (this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtName.text.indexOf("<") != -1 || this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtName.text.indexOf(">") != -1)
                {
                    this.preLoader.showNotify("H? & tn kh");
                    return;
                }
                if (this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtDate.text.length == 0 || this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtMonth.text.length == 0 || this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtYear.text.length == 0)
                {
                    this.preLoader.showNotify("Hy cung c?p ngy thng nam sinh");
                    return;
                }
                if (this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtPhone.text.length == 0)
                {
                    this.preLoader.showNotify("S? di?n tho?i kh");
                    return;
                }
                if (!this._compoThongTin.checkValidDateTime())
                {
                    this.preLoader.showNotify("Gi tr? ngy thng kh");
                    return;
                }
                this.preLoader.loginInfo.birth = this._compoThongTin.getInputBirthday(false);
                _loc_4 = new ByteArray();
                _loc_5 = 0;
                _loc_6 = "";
                _loc_7 = "";
                _loc_4.writeUTFBytes(this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtName.text);
                _loc_4.position = 0;
                _loc_5 = 0;
                while (_loc_5 < _loc_4.length)
                {
                    
                    _loc_6 = _loc_6 + (_loc_4[_loc_5].toString() + ",");
                    _loc_5++;
                }
                if (_loc_6.length > 0)
                {
                    _loc_6 = _loc_6.substr(0, (_loc_6.length - 1));
                }
                if (_loc_3)
                {
                    _loc_2 = StringUtil.substitute(this.preLoader.webserviceInfo.updateRandomAccountInfoParams, this.preLoader.loginInfo.userId, escape(this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtNickname.text), this.encodeToByteString(this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtPass.text), "", escape(this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtPhone.text), escape(this.preLoader.loginInfo.birth), "", _loc_6, _loc_7, "");
                }
                else
                {
                    _loc_2 = StringUtil.substitute(this.preLoader.webserviceInfo.updateProfileParams, this.preLoader.loginInfo.userId, _loc_6, "", escape(this.preLoader.loginInfo.birth), "", escape(this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtPhone.text), _loc_7, "");
                }
                KF.showLog(_loc_2);
                _loc_1 = new WebServiceControler(this.preLoader.webserviceInfo.wsPath);
                _loc_1.callWebService(_loc_2, this.onCallBackUpdateUserInformation);
                this.preLoader.startLoad(0, 0, stage.fullScreenWidth, stage.fullScreenHeight, (this.preLoader.numChildren - 1));
            }
            return;
        }// end function

        private function encodeToByteString(param1:String) : String
        {
            var _loc_2:* = new ByteArray();
            var _loc_3:String = "";
            _loc_2.writeUTFBytes(param1);
            _loc_2.position = 0;
            var _loc_4:int = 0;
            while (_loc_4 < _loc_2.length)
            {
                
                _loc_3 = _loc_3 + (_loc_2[_loc_4].toString() + ",");
                _loc_4++;
            }
            if (_loc_3.length > 0)
            {
                _loc_3 = _loc_3.substr(0, (_loc_3.length - 1));
            }
            return _loc_3;
        }// end function

        private function checkEmailValid(param1:String) : Boolean
        {
            if (param1.indexOf("@") != -1)
            {
                if (param1.split("@").length > 2)
                {
                    return false;
                }
                return true;
            }
            return false;
        }// end function

        private function onCallBackUpdateUserInformation(param1:String) : void
        {
            var _loc_3:Boolean = false;
            var _loc_4:Object = null;
            this.preLoader.endLoad();
            var _loc_2:* = KingJson.parse(param1);
            if (_loc_2.status == 1)
            {
                _loc_3 = this.nickName.indexOf(this.preLoader.prefixRandomAcount) != -1;
                if (_loc_3)
                {
                    _loc_4 = _loc_2.data[0];
                    this.nickName = this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtNickname.text;
                    this.preLoader.saveNickNameAndPass(this.nickName, this._compoThongTin.mainMC.TabThongTin.mc_tabContent.myInfoDetailMC.txtPass.text);
                    this.preLoader.savePass(_loc_4.pass);
                    this.preLoader.loginInfo.nickName = this.nickName;
                    this.preLoader.loginInfo.pass = _loc_4.pass;
                    this.preLoader.menuGame.refeshMyCoinAndName();
                    this.preLoader.loginScreen.updateUserData();
                    this.gameLoader.lobbyScreen.compoBottomControlBar.NickName = this.nickName;
                    this.gameLoader.lobbyScreen.compoBottomControlBar.Coin = this.preLoader.loginInfo.coin;
                }
                this._compoThongTin.refreshMyInfoAfterUpdate();
                this.preLoader.showNotify(_loc_2.message);
            }
            else
            {
                this.preLoader.loginInfo.birth = "";
                this.preLoader.showNotify(_loc_2.message);
            }
            this.preLoader.saveStateUpdateInformation(this.preLoader.loginInfo.birth);
            return;
        }// end function

        private function onTabClick(event:MouseEvent) : void
        {
            var _loc_4:WebServiceControler = null;
            this.stopLoad();
            var _loc_2:* = event.currentTarget;
            var _loc_3:String = "";
            if (this.stageWeb != null && !(_loc_2 == this._compoThongTin.mainMC.header.btnHistoryGold && this._compoThongTin.currentIndex == 3))
            {
                this.stageWeb.stage = null;
            }
            if (_loc_2 == this._compoThongTin.mainMC.header.btnThongTin && this._compoThongTin.currentIndex != 0)
            {
                this.preLoader.playSoundClick();
                this._compoThongTin.activeTab(0);
                this.getUserInfomation();
            }
            else if (_loc_2 == this._compoThongTin.mainMC.header.btnThanhTich && this._compoThongTin.currentIndex != 1)
            {
                this.preLoader.playSoundClick();
                this._compoThongTin.activeTab(1);
                this.getAchievementInfomation();
            }
            else if (_loc_2 == this._compoThongTin.mainMC.header.btnBangHoi && this._compoThongTin.currentIndex != 2)
            {
                this.preLoader.playSoundClick();
                this._compoThongTin.activeTab(2);
                this.getBangHoiInformation();
            }
            else if (_loc_2 == this._compoThongTin.mainMC.header.btnHistoryGold && this._compoThongTin.currentIndex != 3)
            {
                this.preLoader.playSoundClick();
                this._compoThongTin.activeTab(3);
                this.getLinkHistoryGold();
            }
            return;
        }// end function

        private function onCallBackGetThanhTichUser(param1:String) : void
        {
            var _loc_5:Object = null;
            var _loc_6:int = 0;
            var _loc_7:int = 0;
            var _loc_8:int = 0;
            var _loc_9:int = 0;
            var _loc_10:int = 0;
            var _loc_11:int = 0;
            var _loc_12:String = null;
            this.isLoadThanhTich = true;
            this.preLoader.endLoad();
            if (param1.length == 0)
            {
                return;
            }
            var _loc_2:* = KingJson.parse(param1);
            var _loc_3:* = _loc_2.data.length;
            this._compoThongTin.clearContainerThanhTich();
            var _loc_4:int = 0;
            while (_loc_4 < _loc_3)
            {
                
                _loc_5 = _loc_2.data[_loc_4];
                _loc_6 = parseInt(_loc_5.id);
                switch(_loc_6)
                {
                    case 40:
                    {
                        _loc_6 = 1;
                        break;
                    }
                    case 34:
                    {
                        _loc_6 = 3;
                        break;
                    }
                    case 41:
                    {
                        _loc_6 = 4;
                        break;
                    }
                    case 42:
                    {
                        _loc_6 = 2;
                        break;
                    }
                    case 45:
                    {
                        _loc_6 = 5;
                        break;
                    }
                    case 201:
                    {
                        _loc_6 = 6;
                        break;
                    }
                    case 200:
                    {
                        _loc_6 = 7;
                        break;
                    }
                    case 250:
                    case 44:
                    {
                        _loc_6 = 8;
                        break;
                    }
                    default:
                    {
                        break;
                    }
                }
                _loc_7 = int(_loc_5.win);
                _loc_8 = int(_loc_5.even);
                _loc_9 = int(_loc_5.lose);
                _loc_10 = int(_loc_5.exp);
                _loc_11 = int(_loc_5.level);
                _loc_12 = _loc_5.time;
                if (_loc_4 == 0)
                {
                    this._compoThongTin.setThanhTichGame(_loc_6, _loc_7, _loc_8, _loc_9, _loc_10, _loc_11, _loc_12, true);
                }
                else
                {
                    this._compoThongTin.setThanhTichGame(_loc_6, _loc_7, _loc_8, _loc_9, _loc_10, _loc_11, _loc_12, false);
                }
                _loc_4++;
            }
            return;
        }// end function

        private function onCallBackGetThongTinBangHoi(param1:String) : void
        {
            var _loc_12:Object = null;
            var _loc_13:String = null;
            var _loc_14:int = 0;
            var _loc_15:int = 0;
            var _loc_16:Array = null;
            var _loc_2:String = "";
            var _loc_3:Number = 0;
            var _loc_4:int = 0;
            var _loc_5:String = "";
            var _loc_6:String = "";
            var _loc_7:String = "";
            var _loc_8:String = "";
            var _loc_9:String = "";
            var _loc_10:String = "0";
            this.preLoader.endLoad();
            this.isLoadBangHoi = true;
            var _loc_11:* = KingJson.parse(param1);
            if (_loc_11.data.length != 0)
            {
                _loc_12 = _loc_11.data[0];
                _loc_13 = String(_loc_12.AssCoin);
                _loc_10 = String(_loc_12.ExpNo);
                _loc_13 = _loc_13.substring(0, _loc_13.length - 5);
                _loc_14 = int(_loc_12.NumMember);
                _loc_15 = int(_loc_12.Members);
                _loc_16 = _loc_5.split(" ");
                if (_loc_16.length > 0)
                {
                    _loc_5 = _loc_16[0] + "";
                }
                _loc_9 = this.preLoader.urlGamePath.imagePath + _loc_12.Avatar;
                _loc_2 = _loc_12.Name;
                _loc_3 = Number(Format.removeDot(_loc_13));
                _loc_4 = int(_loc_12.LevelNo);
                _loc_5 = _loc_12.CreateDate;
                _loc_6 = _loc_12.OwnerNickName;
                _loc_7 = _loc_12.SubOwner;
                _loc_8 = _loc_14 + " / " + _loc_15;
            }
            this._compoThongTin.setGuildInformation(_loc_2, _loc_3, _loc_10, _loc_4, _loc_5, _loc_6, _loc_7, _loc_8, _loc_9);
            return;
        }// end function

        private function showConfirmLeaveBang() : void
        {
            if (this.preLoader.compoNotify)
            {
                this.preLoader.compoNotify.ShowWithArgreeAndNoAgree("B?n c", this.processLeaveBang, null);
            }
            return;
        }// end function

        private function processLeaveBang() : void
        {
            var _loc_1:* = new WebServiceControler(this.preLoader.webserviceInfo.wsPath);
            var _loc_2:* = StringUtil.substitute(this.preLoader.webserviceInfo.leaveBang, this.preLoader.loginInfo.userId, this.preLoader.loginInfo.userId);
            _loc_1.callWebService(_loc_2, this.onRoiBangFinish);
            return;
        }// end function

        private function onRoiBangFinish(param1:String) : void
        {
            var _loc_2:* = KingJson.parse(param1);
            if (_loc_2.status == "0")
            {
                this.preLoader.showNotify(_loc_2.message);
            }
            else
            {
                this._compoThongTin.leaveBangHoi();
            }
            return;
        }// end function

        public function loadURL(param1:String) : void
        {
            if (this._compoThongTin.currentIndex != 3)
            {
                return;
            }
            if (this.stageWeb != null)
            {
                this.stageWeb.stage = null;
            }
            this.preLoader.playSoundClick();
            this.stageWeb = new StageWebView();
            this.stageWeb.viewPort = this.viewPort;
            this.stageWeb.stage = this.stage;
            this.startLoadInside();
            this.stageWeb.loadURL(param1);
            this.stageWeb.addEventListener(Event.COMPLETE, this.onLoadWebComplete);
            return;
        }// end function

        private function onLoadWebComplete(event:Event) : void
        {
            if (this.stageWeb)
            {
                if (this.stageWeb.hasEventListener(Event.COMPLETE))
                {
                    this.stageWeb.removeEventListener(Event.COMPLETE, this.onLoadWebComplete);
                }
            }
            this.stopLoad();
            return;
        }// end function

        private function startLoadInside() : void
        {
            this.loaddingMC.visible = true;
            this.loaddingMC.gotoAndPlay(1);
            return;
        }// end function

        private function stopLoad() : void
        {
            this.loaddingMC.visible = false;
            this.loaddingMC.stop();
            return;
        }// end function

    }
}
